<?php
/* vim: set expandtab tabstop=4 softtabstop=4 shiftwidth=4:
  Codificación: UTF-8
  +----------------------------------------------------------------------+
  | Elastix version 2.0                                                  |
  | http://www.elastix.org                                               |
  +----------------------------------------------------------------------+
  | Copyright (c) 2006 Palosanto Solutions S. A.                         |
  +----------------------------------------------------------------------+
  | Cdla. Nueva Kennedy Calle E 222 y 9na. Este                          |
  | Telfs. 2283-268, 2294-440, 2284-356                                  |
  | Guayaquil - Ecuador                                                  |
  | http://www.palosanto.com                                             |
  +----------------------------------------------------------------------+
  | The contents of this file are subject to the General Public License  |
  | (GPL) Version 2 (the "License"); you may not use this file except in |
  | compliance with the License. You may obtain a copy of the License at |
  | http://www.opensource.org/licenses/gpl-license.php                   |
  |                                                                      |
  | Software distributed under the License is distributed on an "AS IS"  |
  | basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See  |
  | the License for the specific language governing rights and           |
  | limitations under the License.                                       |
  +----------------------------------------------------------------------+
  | The Original Code is: Elastix Open Source.                           |
  | The Initial Developer of the Original Code is PaloSanto Solutions    |
  +----------------------------------------------------------------------+
*/

require_once "/var/www/html/libs/paloSantoConfig.class.php";

if(!file_exists("/var/lib/mysql/sugarcrm")){
	echo "Creating database sugarcrm\n";
	if(!isset($argv[1])){
	    echo "Could not create database sugarcrm, the version is parameter needed\n";
	    exit(1);
	}
	$version = $argv[1];
	$path = "/usr/share/elastix/module_installer/$version/setup/db/install/sugarcrm/1_schema.sql";
	if(!file_exists($path)){
	     echo "Could not create database sugarcrm, the file /usr/share/elastix/module_installer/elastix-sugarcrm-addon-$version/setup/db/install/sugarcrm/1_schema.sql does not exist\n";
	     exit(1);
	}
	if(!ismysqlRunning()){
	     echo "Could not create database sugarcrm, mysql is shutdown\n";
	     exit(1);
	}
	$password = getMysqlPassword();
	if(is_null($password) || $password == ""){
	     echo "Could not create database sugarcrm, could not get mysql password\n";
	     exit(1);
	}
	$command = "mysql -uroot \"-p$password\" < $path";
	exec($command,$arrConsole,$status);
	if($status != 0){
              echo "Error, Creation of database sugarcrm failed\n";
              exit(1);
        }
	echo "The database sugarcrm was successfully created\n";
	exit(0);
}
exit(0);

function ismysqlRunning()
{
    exec("/sbin/service mysqld status &>/dev/null",$arrConsole,$flagStatus);
    if($flagStatus == 0)
        return true;
    else
        return false;
}

function getMysqlPassword()
{
    $password = "";
    $confElastix = new paloConfig("/etc","elastix.conf"," = ","[[:space:]]*=[[:space:]]*");
    $contentFile = $confElastix->leer_configuracion();
    if($contentFile)
        $password = $confElastix->privado_get_valor($contentFile,"mysqlrootpwd");
    return $password;
}
?>
