-- MySQL dump 10.11
--
-- Host: localhost    Database: sugarcrm
-- ------------------------------------------------------
-- Server version	5.0.77

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `accounts`
--

CREATE DATABASE IF NOT EXISTS sugarcrm;

USE sugarcrm;

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `accounts` (
  `id` char(36) NOT NULL,
  `name` varchar(150) default NULL,
  `date_entered` datetime default NULL,
  `date_modified` datetime default NULL,
  `modified_user_id` char(36) default NULL,
  `created_by` char(36) default NULL,
  `description` text,
  `deleted` tinyint(1) default '0',
  `assigned_user_id` char(36) default NULL,
  `account_type` varchar(50) default NULL,
  `industry` varchar(50) default NULL,
  `annual_revenue` varchar(25) default NULL,
  `phone_fax` varchar(25) default NULL,
  `billing_address_street` varchar(150) default NULL,
  `billing_address_city` varchar(100) default NULL,
  `billing_address_state` varchar(100) default NULL,
  `billing_address_postalcode` varchar(20) default NULL,
  `billing_address_country` varchar(255) default NULL,
  `rating` varchar(25) default NULL,
  `phone_office` varchar(25) default NULL,
  `phone_alternate` varchar(25) default NULL,
  `website` varchar(255) default NULL,
  `ownership` varchar(100) default NULL,
  `employees` varchar(10) default NULL,
  `ticker_symbol` varchar(10) default NULL,
  `shipping_address_street` varchar(150) default NULL,
  `shipping_address_city` varchar(100) default NULL,
  `shipping_address_state` varchar(100) default NULL,
  `shipping_address_postalcode` varchar(20) default NULL,
  `shipping_address_country` varchar(255) default NULL,
  `parent_id` char(36) default NULL,
  `sic_code` varchar(10) default NULL,
  `campaign_id` char(36) default NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_accnt_id_del` (`id`,`deleted`),
  KEY `idx_accnt_assigned_del` (`deleted`,`assigned_user_id`),
  KEY `idx_accnt_parent_id` (`parent_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `accounts`
--

LOCK TABLES `accounts` WRITE;
/*!40000 ALTER TABLE `accounts` DISABLE KEYS */;
/*!40000 ALTER TABLE `accounts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `accounts_audit`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `accounts_audit` (
  `id` char(36) NOT NULL,
  `parent_id` char(36) NOT NULL,
  `date_created` datetime default NULL,
  `created_by` varchar(36) default NULL,
  `field_name` varchar(100) default NULL,
  `data_type` varchar(100) default NULL,
  `before_value_string` varchar(255) default NULL,
  `after_value_string` varchar(255) default NULL,
  `before_value_text` text,
  `after_value_text` text
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `accounts_audit`
--

LOCK TABLES `accounts_audit` WRITE;
/*!40000 ALTER TABLE `accounts_audit` DISABLE KEYS */;
/*!40000 ALTER TABLE `accounts_audit` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `accounts_bugs`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `accounts_bugs` (
  `id` varchar(36) NOT NULL,
  `account_id` varchar(36) default NULL,
  `bug_id` varchar(36) default NULL,
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_acc_bug_acc` (`account_id`),
  KEY `idx_acc_bug_bug` (`bug_id`),
  KEY `idx_account_bug` (`account_id`,`bug_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `accounts_bugs`
--

LOCK TABLES `accounts_bugs` WRITE;
/*!40000 ALTER TABLE `accounts_bugs` DISABLE KEYS */;
/*!40000 ALTER TABLE `accounts_bugs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `accounts_cases`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `accounts_cases` (
  `id` varchar(36) NOT NULL,
  `account_id` varchar(36) default NULL,
  `case_id` varchar(36) default NULL,
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_acc_case_acc` (`account_id`),
  KEY `idx_acc_acc_case` (`case_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `accounts_cases`
--

LOCK TABLES `accounts_cases` WRITE;
/*!40000 ALTER TABLE `accounts_cases` DISABLE KEYS */;
/*!40000 ALTER TABLE `accounts_cases` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `accounts_contacts`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `accounts_contacts` (
  `id` varchar(36) NOT NULL,
  `contact_id` varchar(36) default NULL,
  `account_id` varchar(36) default NULL,
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_account_contact` (`account_id`,`contact_id`),
  KEY `idx_contid_del_accid` (`contact_id`,`deleted`,`account_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `accounts_contacts`
--

LOCK TABLES `accounts_contacts` WRITE;
/*!40000 ALTER TABLE `accounts_contacts` DISABLE KEYS */;
/*!40000 ALTER TABLE `accounts_contacts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `accounts_opportunities`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `accounts_opportunities` (
  `id` varchar(36) NOT NULL,
  `opportunity_id` varchar(36) default NULL,
  `account_id` varchar(36) default NULL,
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_account_opportunity` (`account_id`,`opportunity_id`),
  KEY `idx_oppid_del_accid` (`opportunity_id`,`deleted`,`account_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `accounts_opportunities`
--

LOCK TABLES `accounts_opportunities` WRITE;
/*!40000 ALTER TABLE `accounts_opportunities` DISABLE KEYS */;
/*!40000 ALTER TABLE `accounts_opportunities` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `acl_actions`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `acl_actions` (
  `id` char(36) NOT NULL,
  `date_entered` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  `modified_user_id` char(36) NOT NULL,
  `created_by` char(36) default NULL,
  `name` varchar(150) default NULL,
  `category` varchar(100) default NULL,
  `acltype` varchar(100) default NULL,
  `aclaccess` int(3) default NULL,
  `deleted` tinyint(1) default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_aclaction_id_del` (`id`,`deleted`),
  KEY `idx_category_name` (`category`,`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `acl_actions`
--

LOCK TABLES `acl_actions` WRITE;
/*!40000 ALTER TABLE `acl_actions` DISABLE KEYS */;
INSERT INTO `acl_actions` VALUES ('774ba042-fdaf-0c8b-1b70-4c4774b85acc','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'access','Leads','module',89,0),('7ee72692-4a96-9286-c0c5-4c4774114826','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'view','Leads','module',90,0),('7f8e0b4c-440f-8b81-80ae-4c47740d2bf8','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'list','Leads','module',90,0),('80021228-ebb4-8728-b6fa-4c477415163a','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'edit','Leads','module',90,0),('809f22ea-0cd4-e80f-13cf-4c47743b72e1','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'delete','Leads','module',90,0),('8132d1dd-956e-2312-75b0-4c47741e49ff','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'import','Leads','module',90,0),('81d6ae7f-ee38-7338-857e-4c4774936641','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'export','Leads','module',90,0),('90a7e36c-8564-e049-2c13-4c47742d89fc','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'access','Contacts','module',89,0),('911efd48-71c8-31c0-9c2a-4c477409734e','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'view','Contacts','module',90,0),('91b4fb54-3001-9beb-b92a-4c47748b07aa','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'list','Contacts','module',90,0),('9246a92d-e005-ae00-4cc9-4c4774451f5a','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'edit','Contacts','module',90,0),('92e7e70d-bb2f-c4cb-5e42-4c47741cdc57','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'delete','Contacts','module',90,0),('936a10ad-e346-60b6-5dd3-4c477462e806','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'import','Contacts','module',90,0),('93fbb81b-b7ff-3251-b7c7-4c47741a4cf2','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'export','Contacts','module',90,0),('a0930fdf-3df9-e70f-0101-4c4774511234','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'access','Accounts','module',89,0),('a152809d-1daa-4b4b-2a10-4c4774e56847','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'view','Accounts','module',90,0),('a1d02171-d871-4a25-d3fa-4c4774f8b7be','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'list','Accounts','module',90,0),('a25e54e1-93a4-98f8-99ad-4c4774d3edc7','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'edit','Accounts','module',90,0),('a2ff1fa8-f73f-31ad-6db0-4c47744d14f5','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'delete','Accounts','module',90,0),('a3a37727-93ce-fc38-a042-4c47745f127b','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'import','Accounts','module',90,0),('a45839c2-53f1-7bcc-5c46-4c47748a1559','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'export','Accounts','module',90,0),('b1700b1e-9fe5-4176-a3f4-4c4774437e3a','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'access','Opportunities','module',89,0),('b1ec1393-18d7-3ae8-f0bc-4c4774e310b3','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'view','Opportunities','module',90,0),('b27d6f1a-9269-35b0-1d7d-4c477479254c','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'list','Opportunities','module',90,0),('b3261bc7-c57b-67dd-f9f4-4c4774469c0c','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'edit','Opportunities','module',90,0),('b421f243-fe61-36e4-263b-4c47747ef70a','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'delete','Opportunities','module',90,0),('b4b87796-67a2-81a3-963a-4c4774071848','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'import','Opportunities','module',90,0),('b553afcf-97b4-b3d1-3bde-4c4774d833ef','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'export','Opportunities','module',90,0),('cb8769d9-a7dd-5a46-8251-4c4774ff4b4a','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'access','Cases','module',89,0),('cc7dca4f-bf5e-714c-caeb-4c4774ba3b59','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'view','Cases','module',90,0),('ce1e9b63-829e-9c92-0c0f-4c477443f6f0','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'list','Cases','module',90,0),('cf06bc2a-1bcf-c89d-4097-4c4774589b79','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'edit','Cases','module',90,0),('cf9edd31-23b2-1cae-b0de-4c47743da291','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'delete','Cases','module',90,0),('d02b2198-d34b-e834-cd18-4c477445acd6','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'import','Cases','module',90,0),('d0b0dea8-07e7-afa9-4c70-4c4774a061d9','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'export','Cases','module',90,0),('e1d76937-b485-4a1a-4bbd-4c4774eda785','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'access','Notes','module',89,0),('e2bb93ad-cd7e-51a7-5825-4c4774a0a528','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'view','Notes','module',90,0),('e3a08822-14a1-8722-0e97-4c4774ee7537','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'list','Notes','module',90,0),('e5303b14-cdda-1ed1-c94b-4c47746ba5f2','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'edit','Notes','module',90,0),('e61018ff-9a05-1556-b793-4c4774d92138','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'delete','Notes','module',90,0),('e762f2ed-226b-428a-8f70-4c477426fbc4','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'import','Notes','module',90,0),('e8159c1b-2c4c-a646-44c1-4c47749c47ba','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'export','Notes','module',90,0),('ef4eb128-17c4-f56e-20b3-4c4774dea733','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'access','EmailTemplates','module',89,0),('f06756db-679a-43d3-31ae-4c47748b0290','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'view','EmailTemplates','module',90,0),('f207d6fc-eac8-dac1-7145-4c477480aec0','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'list','EmailTemplates','module',90,0),('f295cbec-b3b7-0b4a-d071-4c4774ab8f92','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'edit','EmailTemplates','module',90,0),('f32ec794-53d1-56dd-d40d-4c47740e3b91','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'delete','EmailTemplates','module',90,0),('f3c7afe2-465c-1b28-2390-4c47744fc5ed','2010-07-21 22:29:21','2010-07-21 22:29:21','1',NULL,'import','EmailTemplates','module',90,0),('25a00280-9622-f57b-dba9-4c477474b8b7','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'export','EmailTemplates','module',90,0),('9b6a0204-d5a0-43c1-82d4-4c4774e0dae4','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'access','Calls','module',89,0),('a63602b7-df38-4e2a-d733-4c4774b66101','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'view','Calls','module',90,0),('b2f00549-d806-8585-977f-4c477475be96','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'list','Calls','module',90,0),('bccf0a5a-8a24-4891-1ecb-4c477405fbfd','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'edit','Calls','module',90,0),('c79c0e1f-8caf-988b-5a72-4c4774c02bf5','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'delete','Calls','module',90,0),('cf8d0125-fa93-b511-cb83-4c4774194362','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'import','Calls','module',90,0),('d8c7016e-a0b1-a759-3618-4c477450cec9','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'export','Calls','module',90,0),('1e6202f7-7ad2-5660-4df1-4c4774ba27f6','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'access','Emails','module',89,0),('1ee987aa-1ad3-beda-f341-4c4774aac477','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'view','Emails','module',90,0),('1f826d2c-32b7-b8ce-2ad7-4c477477d0de','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'list','Emails','module',90,0),('20211b65-dd7c-66d2-28df-4c4774bea87a','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'edit','Emails','module',90,0),('21087c2b-f3c5-5863-05eb-4c4774f302e6','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'delete','Emails','module',90,0),('21912d2f-6904-1cd0-0dfb-4c4774f121b3','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'import','Emails','module',90,0),('2233b54f-88a4-aea1-712c-4c4774c15474','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'export','Emails','module',90,0),('2cc1fd05-c840-e746-f82f-4c4774847e33','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'access','Meetings','module',89,0),('2d4f0922-70a5-feae-5abf-4c477403f43b','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'view','Meetings','module',90,0),('2dd9372b-ccb3-44d7-ef69-4c4774bd68aa','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'list','Meetings','module',90,0),('2e6a2baf-3c82-ea01-36fb-4c4774282d6d','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'edit','Meetings','module',90,0),('2ef3036f-5e41-27e3-e1b9-4c4774ca0473','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'delete','Meetings','module',90,0),('2f6fd0ef-92dc-84eb-74b1-4c4774a48c50','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'import','Meetings','module',90,0),('300fab28-cb14-eb2a-f55f-4c477478a2ae','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'export','Meetings','module',90,0),('3b5d22e4-5480-270b-eed9-4c4774926e26','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'access','Tasks','module',89,0),('3bd77dfd-227f-d6ec-7e3f-4c47749b0b8e','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'view','Tasks','module',90,0),('3c5a86fa-8211-086f-23ab-4c47748f02d7','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'list','Tasks','module',90,0),('3d152bb3-d25a-1982-5ecf-4c47744c351d','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'edit','Tasks','module',90,0),('3d8e974d-f6e3-20c0-60f6-4c4774beb764','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'delete','Tasks','module',90,0),('3e0c3643-2149-dbaa-bdf6-4c47746d0440','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'import','Tasks','module',90,0),('3eadb5b4-8a70-0f0c-6c0a-4c4774a216f3','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'export','Tasks','module',90,0),('4dbe1d30-ea9b-74e0-9b68-4c477421a22b','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'access','Trackers','Tracker',-99,0),('5142c211-6829-acba-9c12-4c4774771fdc','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'view','Trackers','Tracker',-99,0),('51d2249c-17be-44a8-6d0b-4c47744d0436','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'list','Trackers','Tracker',-99,0),('5250072b-d1e5-5ab1-7c1d-4c477442324d','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'edit','Trackers','Tracker',-99,0),('53042dea-067c-211b-cea3-4c4774fce62d','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'delete','Trackers','Tracker',-99,0),('5390a9bc-4ed5-f452-fbfb-4c4774e16f4a','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'import','Trackers','Tracker',-99,0),('5429136f-dee1-db61-5a87-4c4774938135','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'export','Trackers','Tracker',-99,0),('721482d6-c57f-e628-90ff-4c4774da2983','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'access','Bugs','module',89,0),('72aeb8c2-00a6-c231-9d34-4c4774b1cd05','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'view','Bugs','module',90,0),('734363c4-3cfe-b813-6ebd-4c4774f5001c','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'list','Bugs','module',90,0),('73e550d7-fa07-62ae-f582-4c4774d21f2c','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'edit','Bugs','module',90,0),('74796238-710b-a9f9-023c-4c47740672d0','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'delete','Bugs','module',90,0),('75018de6-c485-c187-e160-4c4774b25d21','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'import','Bugs','module',90,0),('75c1a48e-e056-b52a-31ed-4c4774a1d1ec','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'export','Bugs','module',90,0),('b6bf7a02-c85f-4a82-9fe8-4c477475ccd0','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'access','Project','module',89,0),('b75784e6-241f-aa27-f7de-4c47743bd3e9','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'view','Project','module',90,0),('b7f827ec-2df1-980d-dede-4c47748afc2b','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'list','Project','module',90,0),('b87fcaa3-e974-503e-e464-4c4774b20a49','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'edit','Project','module',90,0),('b90b5cba-7fbd-516a-109b-4c47748a57f2','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'delete','Project','module',90,0),('b9af27c1-569f-38f6-13eb-4c477404f686','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'import','Project','module',90,0),('ba54241b-8ddb-bf2b-536d-4c477434e812','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'export','Project','module',90,0),('c6369475-42d5-8bb1-d734-4c47740f1ccf','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'access','ProjectTask','module',89,0),('c6e96373-91fc-9ff2-c243-4c4774a4d586','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'view','ProjectTask','module',90,0),('c763a4b4-1af4-fb2a-661f-4c47749a6d92','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'list','ProjectTask','module',90,0),('c81d9497-e75b-53cf-1eac-4c4774424ea0','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'edit','ProjectTask','module',90,0),('c8bb63e2-973e-ded4-7b91-4c47744eba14','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'delete','ProjectTask','module',90,0),('c947f138-5af0-0d37-d3ba-4c4774dcd414','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'import','ProjectTask','module',90,0),('c9ce3a8e-a70e-3ff3-c75c-4c4774b8761b','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'export','ProjectTask','module',90,0),('d4f32ceb-b097-a454-b691-4c4774a2c895','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'access','EmailMarketing','module',89,0),('d5857188-2144-b3cd-4d52-4c47749680d0','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'view','EmailMarketing','module',90,0),('d60966c1-513e-514d-d3b8-4c47743b13fe','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'list','EmailMarketing','module',90,0),('d69d3a07-8ceb-448a-5b67-4c4774120576','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'edit','EmailMarketing','module',90,0),('d725f342-78bc-6082-ac4c-4c4774df0199','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'delete','EmailMarketing','module',90,0),('d7dd466e-e9be-bfe6-9dab-4c4774419f76','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'import','EmailMarketing','module',90,0),('d85b1a23-647d-9015-59d8-4c4774b474bd','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'export','EmailMarketing','module',90,0),('e0e0a266-0c2d-5c14-9b37-4c477484a877','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'access','Campaigns','module',89,0),('e1e93d11-7213-c638-0980-4c4774ede4eb','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'view','Campaigns','module',90,0),('e2708526-0be3-de71-f0fd-4c4774739793','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'list','Campaigns','module',90,0),('e30eb64c-dac7-f092-69d3-4c4774baa31a','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'edit','Campaigns','module',90,0),('e3a650bd-e0a0-3e5f-6995-4c4774be743c','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'delete','Campaigns','module',90,0),('e44f8fb6-711a-cf41-20a9-4c4774839258','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'import','Campaigns','module',90,0),('e4d9214a-4713-7e7f-3234-4c47746bd24b','2010-07-21 22:29:22','2010-07-21 22:29:22','1',NULL,'export','Campaigns','module',90,0),('3b300148-a9f5-f7e8-48fb-4c47740ebe81','2010-07-21 22:29:23','2010-07-21 22:29:23','1',NULL,'access','ProspectLists','module',89,0),('46ed0274-f5dc-09d2-1668-4c477439a9c6','2010-07-21 22:29:23','2010-07-21 22:29:23','1',NULL,'view','ProspectLists','module',90,0),('4f6d083f-bf53-8185-a8e3-4c47743c3c35','2010-07-21 22:29:23','2010-07-21 22:29:23','1',NULL,'list','ProspectLists','module',90,0),('59e70c9e-3e47-6f1d-c99f-4c477419478f','2010-07-21 22:29:23','2010-07-21 22:29:23','1',NULL,'edit','ProspectLists','module',90,0),('624b00ba-3ddc-0de8-1790-4c4774d05161','2010-07-21 22:29:23','2010-07-21 22:29:23','1',NULL,'delete','ProspectLists','module',90,0),('6ed50680-79a8-e2f8-20cf-4c4774bb5cbf','2010-07-21 22:29:23','2010-07-21 22:29:23','1',NULL,'import','ProspectLists','module',90,0),('797e0e0e-2ee6-8718-6d5d-4c47744f1524','2010-07-21 22:29:23','2010-07-21 22:29:23','1',NULL,'export','ProspectLists','module',90,0),('d8bb09e3-17b0-05d5-bbde-4c477419b1eb','2010-07-21 22:29:23','2010-07-21 22:29:23','1',NULL,'access','Prospects','module',89,0),('e2f003db-0922-e28e-0862-4c4774a7072a','2010-07-21 22:29:23','2010-07-21 22:29:23','1',NULL,'view','Prospects','module',90,0),('ec070c17-b4bc-ca79-6674-4c47746f1c3a','2010-07-21 22:29:23','2010-07-21 22:29:23','1',NULL,'list','Prospects','module',90,0),('f5520182-470b-8903-d14c-4c4774339270','2010-07-21 22:29:23','2010-07-21 22:29:23','1',NULL,'edit','Prospects','module',90,0),('100353b8-68ab-869c-bce8-4c4774e7d50d','2010-07-21 22:29:23','2010-07-21 22:29:23','1',NULL,'delete','Prospects','module',90,0),('10afeedc-9bab-dbd9-524b-4c47742cc1fb','2010-07-21 22:29:23','2010-07-21 22:29:23','1',NULL,'import','Prospects','module',90,0),('113f8db2-ac7e-a4ef-c26a-4c47743e3910','2010-07-21 22:29:23','2010-07-21 22:29:23','1',NULL,'export','Prospects','module',90,0),('1c0f442f-c3e6-28a7-ead6-4c47740cfb1f','2010-07-21 22:29:23','2010-07-21 22:29:23','1',NULL,'access','Documents','module',89,0),('1c9358ab-def6-33c5-8e66-4c47744beb9a','2010-07-21 22:29:23','2010-07-21 22:29:23','1',NULL,'view','Documents','module',90,0),('1d26b3d5-9aaf-97fc-48dd-4c4774f7e9b2','2010-07-21 22:29:23','2010-07-21 22:29:23','1',NULL,'list','Documents','module',90,0),('1dc5a79d-da23-42ef-50db-4c47742c3f6f','2010-07-21 22:29:23','2010-07-21 22:29:23','1',NULL,'edit','Documents','module',90,0),('1e515984-7084-2a9d-0ce9-4c4774009240','2010-07-21 22:29:23','2010-07-21 22:29:23','1',NULL,'delete','Documents','module',90,0),('1ecf62e3-0ae6-f064-bbb6-4c4774951bb4','2010-07-21 22:29:23','2010-07-21 22:29:23','1',NULL,'import','Documents','module',90,0),('1f6aee6d-3e4e-06b4-ea5b-4c47749a4cf5','2010-07-21 22:29:23','2010-07-21 22:29:23','1',NULL,'export','Documents','module',90,0);
/*!40000 ALTER TABLE `acl_actions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `acl_roles`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `acl_roles` (
  `id` char(36) NOT NULL,
  `date_entered` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  `modified_user_id` char(36) NOT NULL,
  `created_by` char(36) default NULL,
  `name` varchar(150) default NULL,
  `description` text,
  `deleted` tinyint(1) default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_aclrole_id_del` (`id`,`deleted`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `acl_roles`
--

LOCK TABLES `acl_roles` WRITE;
/*!40000 ALTER TABLE `acl_roles` DISABLE KEYS */;
/*!40000 ALTER TABLE `acl_roles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `acl_roles_actions`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `acl_roles_actions` (
  `id` varchar(36) NOT NULL,
  `role_id` varchar(36) default NULL,
  `action_id` varchar(36) default NULL,
  `access_override` int(3) default NULL,
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_acl_role_id` (`role_id`),
  KEY `idx_acl_action_id` (`action_id`),
  KEY `idx_aclrole_action` (`role_id`,`action_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `acl_roles_actions`
--

LOCK TABLES `acl_roles_actions` WRITE;
/*!40000 ALTER TABLE `acl_roles_actions` DISABLE KEYS */;
/*!40000 ALTER TABLE `acl_roles_actions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `acl_roles_users`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `acl_roles_users` (
  `id` varchar(36) NOT NULL,
  `role_id` varchar(36) default NULL,
  `user_id` varchar(36) default NULL,
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_aclrole_id` (`role_id`),
  KEY `idx_acluser_id` (`user_id`),
  KEY `idx_aclrole_user` (`role_id`,`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `acl_roles_users`
--

LOCK TABLES `acl_roles_users` WRITE;
/*!40000 ALTER TABLE `acl_roles_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `acl_roles_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `address_book`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `address_book` (
  `assigned_user_id` char(36) NOT NULL,
  `bean` varchar(50) NOT NULL,
  `bean_id` char(36) NOT NULL,
  KEY `ab_user_bean_idx` (`assigned_user_id`,`bean`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `address_book`
--

LOCK TABLES `address_book` WRITE;
/*!40000 ALTER TABLE `address_book` DISABLE KEYS */;
/*!40000 ALTER TABLE `address_book` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bugs`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `bugs` (
  `id` char(36) NOT NULL,
  `name` varchar(255) default NULL,
  `date_entered` datetime default NULL,
  `date_modified` datetime default NULL,
  `modified_user_id` char(36) default NULL,
  `created_by` char(36) default NULL,
  `description` text,
  `deleted` tinyint(1) default '0',
  `assigned_user_id` char(36) default NULL,
  `bug_number` int(11) NOT NULL auto_increment,
  `type` varchar(255) default NULL,
  `status` varchar(25) default NULL,
  `priority` varchar(25) default NULL,
  `resolution` varchar(255) default NULL,
  `work_log` text,
  `found_in_release` varchar(255) default NULL,
  `fixed_in_release` varchar(255) default NULL,
  `source` varchar(255) default NULL,
  `product_category` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `bugsnumk` (`bug_number`),
  KEY `bug_number` (`bug_number`),
  KEY `idx_bug_name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `bugs`
--

LOCK TABLES `bugs` WRITE;
/*!40000 ALTER TABLE `bugs` DISABLE KEYS */;
/*!40000 ALTER TABLE `bugs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bugs_audit`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `bugs_audit` (
  `id` char(36) NOT NULL,
  `parent_id` char(36) NOT NULL,
  `date_created` datetime default NULL,
  `created_by` varchar(36) default NULL,
  `field_name` varchar(100) default NULL,
  `data_type` varchar(100) default NULL,
  `before_value_string` varchar(255) default NULL,
  `after_value_string` varchar(255) default NULL,
  `before_value_text` text,
  `after_value_text` text
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `bugs_audit`
--

LOCK TABLES `bugs_audit` WRITE;
/*!40000 ALTER TABLE `bugs_audit` DISABLE KEYS */;
/*!40000 ALTER TABLE `bugs_audit` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `calls`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `calls` (
  `id` char(36) NOT NULL,
  `name` varchar(50) default NULL,
  `date_entered` datetime default NULL,
  `date_modified` datetime default NULL,
  `modified_user_id` char(36) default NULL,
  `created_by` char(36) default NULL,
  `description` text,
  `deleted` tinyint(1) default '0',
  `assigned_user_id` char(36) default NULL,
  `duration_hours` int(2) default NULL,
  `duration_minutes` int(2) default NULL,
  `date_start` datetime default NULL,
  `date_end` date default NULL,
  `parent_type` varchar(25) default NULL,
  `status` varchar(25) default NULL,
  `direction` varchar(25) default NULL,
  `parent_id` char(36) default NULL,
  `reminder_time` int(4) default '-1',
  `outlook_id` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_call_name` (`name`),
  KEY `idx_status` (`status`),
  KEY `idx_calls_date_start` (`date_start`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `calls`
--

LOCK TABLES `calls` WRITE;
/*!40000 ALTER TABLE `calls` DISABLE KEYS */;
/*!40000 ALTER TABLE `calls` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `calls_contacts`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `calls_contacts` (
  `id` varchar(36) NOT NULL,
  `call_id` varchar(36) default NULL,
  `contact_id` varchar(36) default NULL,
  `required` varchar(1) default '1',
  `accept_status` varchar(25) default 'none',
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_con_call_call` (`call_id`),
  KEY `idx_con_call_con` (`contact_id`),
  KEY `idx_call_contact` (`call_id`,`contact_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `calls_contacts`
--

LOCK TABLES `calls_contacts` WRITE;
/*!40000 ALTER TABLE `calls_contacts` DISABLE KEYS */;
/*!40000 ALTER TABLE `calls_contacts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `calls_leads`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `calls_leads` (
  `id` varchar(36) NOT NULL,
  `call_id` varchar(36) default NULL,
  `lead_id` varchar(36) default NULL,
  `required` varchar(1) default '1',
  `accept_status` varchar(25) default 'none',
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_lead_call_call` (`call_id`),
  KEY `idx_lead_call_lead` (`lead_id`),
  KEY `idx_call_lead` (`call_id`,`lead_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `calls_leads`
--

LOCK TABLES `calls_leads` WRITE;
/*!40000 ALTER TABLE `calls_leads` DISABLE KEYS */;
/*!40000 ALTER TABLE `calls_leads` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `calls_users`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `calls_users` (
  `id` varchar(36) NOT NULL,
  `call_id` varchar(36) default NULL,
  `user_id` varchar(36) default NULL,
  `required` varchar(1) default '1',
  `accept_status` varchar(25) default 'none',
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_usr_call_call` (`call_id`),
  KEY `idx_usr_call_usr` (`user_id`),
  KEY `idx_call_users` (`call_id`,`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `calls_users`
--

LOCK TABLES `calls_users` WRITE;
/*!40000 ALTER TABLE `calls_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `calls_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `campaign_log`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `campaign_log` (
  `id` char(36) NOT NULL,
  `campaign_id` char(36) default NULL,
  `target_tracker_key` varchar(36) default NULL,
  `target_id` varchar(36) default NULL,
  `target_type` varchar(25) default NULL,
  `activity_type` varchar(25) default NULL,
  `activity_date` datetime default NULL,
  `related_id` varchar(36) default NULL,
  `related_type` varchar(25) default NULL,
  `archived` tinyint(1) default '0',
  `hits` int(11) default '0',
  `list_id` char(36) default NULL,
  `deleted` tinyint(1) default '0',
  `date_modified` datetime default NULL,
  `more_information` varchar(100) default NULL,
  `marketing_id` char(36) default NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_camp_tracker` (`target_tracker_key`),
  KEY `idx_camp_campaign_id` (`campaign_id`),
  KEY `idx_camp_more_info` (`more_information`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `campaign_log`
--

LOCK TABLES `campaign_log` WRITE;
/*!40000 ALTER TABLE `campaign_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `campaign_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `campaign_trkrs`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `campaign_trkrs` (
  `id` char(36) NOT NULL,
  `tracker_name` varchar(30) default NULL,
  `tracker_url` varchar(255) default 'http://',
  `tracker_key` int(11) NOT NULL auto_increment,
  `campaign_id` char(36) default NULL,
  `date_entered` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  `modified_user_id` char(36) default NULL,
  `created_by` char(36) default NULL,
  `is_optout` tinyint(1) NOT NULL default '0',
  `deleted` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `campaign_tracker_key_idx` (`tracker_key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `campaign_trkrs`
--

LOCK TABLES `campaign_trkrs` WRITE;
/*!40000 ALTER TABLE `campaign_trkrs` DISABLE KEYS */;
/*!40000 ALTER TABLE `campaign_trkrs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `campaigns`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `campaigns` (
  `id` char(36) NOT NULL,
  `name` varchar(50) default NULL,
  `date_entered` datetime default NULL,
  `date_modified` datetime default NULL,
  `modified_user_id` char(36) default NULL,
  `created_by` char(36) default NULL,
  `deleted` tinyint(1) default '0',
  `assigned_user_id` char(36) default NULL,
  `tracker_key` int(11) NOT NULL auto_increment,
  `tracker_count` int(11) default '0',
  `refer_url` varchar(255) default 'http://',
  `tracker_text` varchar(255) default NULL,
  `start_date` date default NULL,
  `end_date` date default NULL,
  `status` varchar(25) default NULL,
  `impressions` int(11) default '0',
  `currency_id` char(36) default NULL,
  `budget` double default NULL,
  `expected_cost` double default NULL,
  `actual_cost` double default NULL,
  `expected_revenue` double default NULL,
  `campaign_type` varchar(25) default NULL,
  `objective` text,
  `content` text,
  `frequency` varchar(25) default NULL,
  PRIMARY KEY  (`id`),
  KEY `camp_auto_tracker_key` (`tracker_key`),
  KEY `idx_campaign_name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `campaigns`
--

LOCK TABLES `campaigns` WRITE;
/*!40000 ALTER TABLE `campaigns` DISABLE KEYS */;
/*!40000 ALTER TABLE `campaigns` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `campaigns_audit`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `campaigns_audit` (
  `id` char(36) NOT NULL,
  `parent_id` char(36) NOT NULL,
  `date_created` datetime default NULL,
  `created_by` varchar(36) default NULL,
  `field_name` varchar(100) default NULL,
  `data_type` varchar(100) default NULL,
  `before_value_string` varchar(255) default NULL,
  `after_value_string` varchar(255) default NULL,
  `before_value_text` text,
  `after_value_text` text
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `campaigns_audit`
--

LOCK TABLES `campaigns_audit` WRITE;
/*!40000 ALTER TABLE `campaigns_audit` DISABLE KEYS */;
/*!40000 ALTER TABLE `campaigns_audit` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cases`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `cases` (
  `id` char(36) NOT NULL,
  `name` varchar(255) default NULL,
  `date_entered` datetime default NULL,
  `date_modified` datetime default NULL,
  `modified_user_id` char(36) default NULL,
  `created_by` char(36) default NULL,
  `description` text,
  `deleted` tinyint(1) default '0',
  `assigned_user_id` char(36) default NULL,
  `case_number` int(11) NOT NULL auto_increment,
  `type` varchar(255) default NULL,
  `status` varchar(25) default NULL,
  `priority` varchar(25) default NULL,
  `resolution` text,
  `work_log` text,
  `account_id` char(36) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `casesnumk` (`case_number`),
  KEY `case_number` (`case_number`),
  KEY `idx_case_name` (`name`),
  KEY `idx_account_id` (`account_id`),
  KEY `idx_cases_stat_del` (`assigned_user_id`,`status`,`deleted`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cases`
--

LOCK TABLES `cases` WRITE;
/*!40000 ALTER TABLE `cases` DISABLE KEYS */;
/*!40000 ALTER TABLE `cases` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cases_audit`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `cases_audit` (
  `id` char(36) NOT NULL,
  `parent_id` char(36) NOT NULL,
  `date_created` datetime default NULL,
  `created_by` varchar(36) default NULL,
  `field_name` varchar(100) default NULL,
  `data_type` varchar(100) default NULL,
  `before_value_string` varchar(255) default NULL,
  `after_value_string` varchar(255) default NULL,
  `before_value_text` text,
  `after_value_text` text
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cases_audit`
--

LOCK TABLES `cases_audit` WRITE;
/*!40000 ALTER TABLE `cases_audit` DISABLE KEYS */;
/*!40000 ALTER TABLE `cases_audit` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cases_bugs`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `cases_bugs` (
  `id` varchar(36) NOT NULL,
  `case_id` varchar(36) default NULL,
  `bug_id` varchar(36) default NULL,
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_cas_bug_cas` (`case_id`),
  KEY `idx_cas_bug_bug` (`bug_id`),
  KEY `idx_case_bug` (`case_id`,`bug_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cases_bugs`
--

LOCK TABLES `cases_bugs` WRITE;
/*!40000 ALTER TABLE `cases_bugs` DISABLE KEYS */;
/*!40000 ALTER TABLE `cases_bugs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `config`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `config` (
  `category` varchar(32) default NULL,
  `name` varchar(32) default NULL,
  `value` text,
  KEY `idx_config_cat` (`category`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `config`
--

LOCK TABLES `config` WRITE;
/*!40000 ALTER TABLE `config` DISABLE KEYS */;
INSERT INTO `config` VALUES ('notify','fromaddress','do_not_reply@example.com'),('notify','fromname','SugarCRM'),('notify','send_by_default','1'),('notify','on','0'),('notify','send_from_assigning_user','0'),('info','sugar_version','5.2.0'),('MySettings','tab',''),('portal','on','0'),('Update','CheckUpdates','automatic'),('system','name','SugarCRM');
/*!40000 ALTER TABLE `config` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contacts`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `contacts` (
  `id` char(36) NOT NULL,
  `date_entered` datetime default NULL,
  `date_modified` datetime default NULL,
  `modified_user_id` char(36) default NULL,
  `created_by` char(36) default NULL,
  `description` text,
  `deleted` tinyint(1) default '0',
  `assigned_user_id` char(36) default NULL,
  `salutation` varchar(5) default NULL,
  `first_name` varchar(100) default NULL,
  `last_name` varchar(100) default NULL,
  `title` varchar(100) default NULL,
  `department` varchar(255) default NULL,
  `do_not_call` tinyint(1) default '0',
  `phone_home` varchar(25) default NULL,
  `phone_mobile` varchar(25) default NULL,
  `phone_work` varchar(25) default NULL,
  `phone_other` varchar(25) default NULL,
  `phone_fax` varchar(25) default NULL,
  `primary_address_street` varchar(150) default NULL,
  `primary_address_city` varchar(100) default NULL,
  `primary_address_state` varchar(100) default NULL,
  `primary_address_postalcode` varchar(20) default NULL,
  `primary_address_country` varchar(255) default NULL,
  `alt_address_street` varchar(150) default NULL,
  `alt_address_city` varchar(100) default NULL,
  `alt_address_state` varchar(100) default NULL,
  `alt_address_postalcode` varchar(20) default NULL,
  `alt_address_country` varchar(255) default NULL,
  `assistant` varchar(75) default NULL,
  `assistant_phone` varchar(25) default NULL,
  `lead_source` varchar(100) default NULL,
  `reports_to_id` char(36) default NULL,
  `birthdate` date default NULL,
  `portal_name` varchar(255) default NULL,
  `portal_active` tinyint(1) NOT NULL default '0',
  `portal_app` varchar(255) default NULL,
  `campaign_id` char(36) default NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_cont_last_first` (`last_name`,`first_name`,`deleted`),
  KEY `idx_contacts_del_last` (`deleted`,`last_name`),
  KEY `idx_cont_del_reports` (`deleted`,`reports_to_id`,`last_name`),
  KEY `idx_reports_to_id` (`reports_to_id`),
  KEY `idx_del_id_user` (`deleted`,`id`,`assigned_user_id`),
  KEY `idx_cont_assigned` (`assigned_user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `contacts`
--

LOCK TABLES `contacts` WRITE;
/*!40000 ALTER TABLE `contacts` DISABLE KEYS */;
/*!40000 ALTER TABLE `contacts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contacts_audit`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `contacts_audit` (
  `id` char(36) NOT NULL,
  `parent_id` char(36) NOT NULL,
  `date_created` datetime default NULL,
  `created_by` varchar(36) default NULL,
  `field_name` varchar(100) default NULL,
  `data_type` varchar(100) default NULL,
  `before_value_string` varchar(255) default NULL,
  `after_value_string` varchar(255) default NULL,
  `before_value_text` text,
  `after_value_text` text
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `contacts_audit`
--

LOCK TABLES `contacts_audit` WRITE;
/*!40000 ALTER TABLE `contacts_audit` DISABLE KEYS */;
/*!40000 ALTER TABLE `contacts_audit` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contacts_bugs`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `contacts_bugs` (
  `id` varchar(36) NOT NULL,
  `contact_id` varchar(36) default NULL,
  `bug_id` varchar(36) default NULL,
  `contact_role` varchar(50) default NULL,
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_con_bug_con` (`contact_id`),
  KEY `idx_con_bug_bug` (`bug_id`),
  KEY `idx_contact_bug` (`contact_id`,`bug_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `contacts_bugs`
--

LOCK TABLES `contacts_bugs` WRITE;
/*!40000 ALTER TABLE `contacts_bugs` DISABLE KEYS */;
/*!40000 ALTER TABLE `contacts_bugs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contacts_cases`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `contacts_cases` (
  `id` varchar(36) NOT NULL,
  `contact_id` varchar(36) default NULL,
  `case_id` varchar(36) default NULL,
  `contact_role` varchar(50) default NULL,
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_con_case_con` (`contact_id`),
  KEY `idx_con_case_case` (`case_id`),
  KEY `idx_contacts_cases` (`contact_id`,`case_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `contacts_cases`
--

LOCK TABLES `contacts_cases` WRITE;
/*!40000 ALTER TABLE `contacts_cases` DISABLE KEYS */;
/*!40000 ALTER TABLE `contacts_cases` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contacts_users`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `contacts_users` (
  `id` varchar(36) NOT NULL,
  `contact_id` varchar(36) default NULL,
  `user_id` varchar(36) default NULL,
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_con_users_con` (`contact_id`),
  KEY `idx_con_users_user` (`user_id`),
  KEY `idx_contacts_users` (`contact_id`,`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `contacts_users`
--

LOCK TABLES `contacts_users` WRITE;
/*!40000 ALTER TABLE `contacts_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `contacts_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `currencies`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `currencies` (
  `id` char(36) NOT NULL,
  `name` varchar(36) NOT NULL,
  `symbol` varchar(36) NOT NULL,
  `iso4217` varchar(3) NOT NULL,
  `conversion_rate` double NOT NULL default '0',
  `status` varchar(25) default NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  `date_entered` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  `created_by` char(36) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_currency_name` (`name`,`deleted`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `currencies`
--

LOCK TABLES `currencies` WRITE;
/*!40000 ALTER TABLE `currencies` DISABLE KEYS */;
/*!40000 ALTER TABLE `currencies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `custom_fields`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `custom_fields` (
  `bean_id` varchar(36) default NULL,
  `set_num` int(11) default '0',
  `field0` varchar(255) default NULL,
  `field1` varchar(255) default NULL,
  `field2` varchar(255) default NULL,
  `field3` varchar(255) default NULL,
  `field4` varchar(255) default NULL,
  `field5` varchar(255) default NULL,
  `field6` varchar(255) default NULL,
  `field7` varchar(255) default NULL,
  `field8` varchar(255) default NULL,
  `field9` varchar(255) default NULL,
  `deleted` tinyint(1) default '0',
  KEY `idx_beanid_set_num` (`bean_id`,`set_num`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `custom_fields`
--

LOCK TABLES `custom_fields` WRITE;
/*!40000 ALTER TABLE `custom_fields` DISABLE KEYS */;
/*!40000 ALTER TABLE `custom_fields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dashboards`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `dashboards` (
  `id` char(36) NOT NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  `date_entered` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  `modified_user_id` char(36) NOT NULL,
  `assigned_user_id` char(36) default NULL,
  `created_by` char(36) default NULL,
  `name` varchar(100) default NULL,
  `description` text,
  `content` text,
  PRIMARY KEY  (`id`),
  KEY `idx_dashboard_name` (`name`,`deleted`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `dashboards`
--

LOCK TABLES `dashboards` WRITE;
/*!40000 ALTER TABLE `dashboards` DISABLE KEYS */;
/*!40000 ALTER TABLE `dashboards` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `document_revisions`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `document_revisions` (
  `id` varchar(36) NOT NULL,
  `change_log` varchar(255) default NULL,
  `document_id` varchar(36) default NULL,
  `date_entered` datetime default NULL,
  `created_by` char(36) default NULL,
  `filename` varchar(255) NOT NULL,
  `file_ext` varchar(25) default NULL,
  `file_mime_type` varchar(100) default NULL,
  `revision` varchar(25) default NULL,
  `deleted` tinyint(1) default '0',
  `date_modified` datetime default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `document_revisions`
--

LOCK TABLES `document_revisions` WRITE;
/*!40000 ALTER TABLE `document_revisions` DISABLE KEYS */;
/*!40000 ALTER TABLE `document_revisions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `documents`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `documents` (
  `id` char(36) NOT NULL,
  `date_entered` datetime default NULL,
  `date_modified` datetime default NULL,
  `modified_user_id` char(36) default NULL,
  `created_by` char(36) default NULL,
  `description` text,
  `deleted` tinyint(1) default '0',
  `document_name` varchar(255) NOT NULL,
  `active_date` date default NULL,
  `exp_date` date default NULL,
  `category_id` varchar(25) default NULL,
  `subcategory_id` varchar(25) default NULL,
  `status_id` varchar(25) default NULL,
  `document_revision_id` varchar(36) default NULL,
  `related_doc_id` char(36) default NULL,
  `related_doc_rev_id` char(36) default NULL,
  `is_template` tinyint(1) default '0',
  `template_type` varchar(25) default NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_doc_cat` (`category_id`,`subcategory_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `documents`
--

LOCK TABLES `documents` WRITE;
/*!40000 ALTER TABLE `documents` DISABLE KEYS */;
/*!40000 ALTER TABLE `documents` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `email_addr_bean_rel`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `email_addr_bean_rel` (
  `id` char(36) NOT NULL,
  `email_address_id` char(36) NOT NULL,
  `bean_id` char(36) NOT NULL,
  `bean_module` varchar(25) NOT NULL,
  `primary_address` tinyint(1) default '0',
  `reply_to_address` tinyint(1) default '0',
  `date_created` datetime default NULL,
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_email_address_id` (`email_address_id`),
  KEY `idx_bean_id` (`bean_id`,`bean_module`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `email_addr_bean_rel`
--

LOCK TABLES `email_addr_bean_rel` WRITE;
/*!40000 ALTER TABLE `email_addr_bean_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `email_addr_bean_rel` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `email_addresses`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `email_addresses` (
  `id` char(36) NOT NULL,
  `email_address` varchar(255) NOT NULL,
  `email_address_caps` varchar(255) NOT NULL,
  `invalid_email` tinyint(1) default '0',
  `opt_out` tinyint(1) default '0',
  `date_created` datetime default NULL,
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_ea_caps_opt_out_invalid` (`email_address_caps`,`opt_out`,`invalid_email`),
  KEY `idx_ea_opt_out_invalid` (`email_address`,`opt_out`,`invalid_email`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `email_addresses`
--

LOCK TABLES `email_addresses` WRITE;
/*!40000 ALTER TABLE `email_addresses` DISABLE KEYS */;
/*!40000 ALTER TABLE `email_addresses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `email_cache`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `email_cache` (
  `ie_id` char(36) NOT NULL,
  `mbox` varchar(60) NOT NULL,
  `subject` varchar(255) default NULL,
  `fromaddr` varchar(100) default NULL,
  `toaddr` varchar(255) default NULL,
  `senddate` datetime default NULL,
  `message_id` varchar(255) default NULL,
  `mailsize` int(10) unsigned NOT NULL,
  `imap_uid` int(10) unsigned NOT NULL,
  `msgno` int(10) unsigned default NULL,
  `recent` tinyint(4) NOT NULL,
  `flagged` tinyint(4) NOT NULL,
  `answered` tinyint(4) NOT NULL,
  `deleted` tinyint(4) NOT NULL,
  `seen` tinyint(4) NOT NULL,
  `draft` tinyint(4) NOT NULL,
  KEY `idx_ie_id` (`ie_id`),
  KEY `idx_mail_date` (`ie_id`,`mbox`,`senddate`),
  KEY `idx_mail_from` (`ie_id`,`mbox`,`fromaddr`),
  KEY `idx_mail_subj` (`subject`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `email_cache`
--

LOCK TABLES `email_cache` WRITE;
/*!40000 ALTER TABLE `email_cache` DISABLE KEYS */;
/*!40000 ALTER TABLE `email_cache` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `email_marketing`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `email_marketing` (
  `id` char(36) NOT NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  `date_entered` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  `modified_user_id` char(36) default NULL,
  `created_by` char(36) default NULL,
  `name` varchar(255) default NULL,
  `from_name` varchar(100) default NULL,
  `from_addr` varchar(100) default NULL,
  `reply_to_name` varchar(100) default NULL,
  `reply_to_addr` varchar(100) default NULL,
  `inbound_email_id` varchar(36) default NULL,
  `date_start` datetime default NULL,
  `template_id` char(36) NOT NULL,
  `status` varchar(25) NOT NULL,
  `campaign_id` char(36) default NULL,
  `all_prospect_lists` tinyint(1) default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_emmkt_name` (`name`),
  KEY `idx_emmkit_del` (`deleted`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `email_marketing`
--

LOCK TABLES `email_marketing` WRITE;
/*!40000 ALTER TABLE `email_marketing` DISABLE KEYS */;
/*!40000 ALTER TABLE `email_marketing` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `email_marketing_prospect_lists`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `email_marketing_prospect_lists` (
  `id` varchar(36) NOT NULL,
  `prospect_list_id` varchar(36) default NULL,
  `email_marketing_id` varchar(36) default NULL,
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) default '0',
  PRIMARY KEY  (`id`),
  KEY `email_mp_prospects` (`email_marketing_id`,`prospect_list_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `email_marketing_prospect_lists`
--

LOCK TABLES `email_marketing_prospect_lists` WRITE;
/*!40000 ALTER TABLE `email_marketing_prospect_lists` DISABLE KEYS */;
/*!40000 ALTER TABLE `email_marketing_prospect_lists` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `email_templates`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `email_templates` (
  `id` char(36) NOT NULL,
  `date_entered` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  `modified_user_id` char(36) default NULL,
  `created_by` varchar(36) default NULL,
  `published` varchar(3) default NULL,
  `name` varchar(255) default NULL,
  `description` text,
  `subject` varchar(255) default NULL,
  `body` text,
  `body_html` text,
  `deleted` tinyint(1) NOT NULL default '0',
  `text_only` tinyint(1) default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_email_template_name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `email_templates`
--

LOCK TABLES `email_templates` WRITE;
/*!40000 ALTER TABLE `email_templates` DISABLE KEYS */;
/*!40000 ALTER TABLE `email_templates` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `emailman`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `emailman` (
  `date_entered` datetime default NULL,
  `date_modified` datetime default NULL,
  `user_id` char(36) default NULL,
  `id` int(11) NOT NULL auto_increment,
  `campaign_id` char(36) default NULL,
  `marketing_id` char(36) default NULL,
  `list_id` char(36) default NULL,
  `send_date_time` datetime default NULL,
  `modified_user_id` char(36) default NULL,
  `in_queue` tinyint(1) default '0',
  `in_queue_date` datetime default NULL,
  `send_attempts` int(11) default '0',
  `deleted` tinyint(1) default '0',
  `related_id` char(36) default NULL,
  `related_type` varchar(100) default NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_eman_list` (`list_id`,`user_id`,`deleted`),
  KEY `idx_eman_campaign_id` (`campaign_id`),
  KEY `idx_eman_relid_reltype_id` (`related_id`,`related_type`,`campaign_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `emailman`
--

LOCK TABLES `emailman` WRITE;
/*!40000 ALTER TABLE `emailman` DISABLE KEYS */;
/*!40000 ALTER TABLE `emailman` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `emails`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `emails` (
  `id` char(36) NOT NULL,
  `date_entered` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  `assigned_user_id` char(36) default NULL,
  `modified_user_id` char(36) default NULL,
  `created_by` char(36) default NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  `date_sent` datetime default NULL,
  `message_id` varchar(255) default NULL,
  `name` varchar(255) default NULL,
  `type` varchar(25) default NULL,
  `status` varchar(25) default NULL,
  `flagged` tinyint(1) default '0',
  `reply_to_status` tinyint(1) default '0',
  `intent` varchar(25) default 'pick',
  `mailbox_id` char(36) default NULL,
  `parent_type` varchar(25) default NULL,
  `parent_id` char(36) default NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_email_name` (`name`),
  KEY `idx_message_id` (`message_id`),
  KEY `idx_email_parent_id` (`parent_id`),
  KEY `idx_email_assigned` (`assigned_user_id`,`type`,`status`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `emails`
--

LOCK TABLES `emails` WRITE;
/*!40000 ALTER TABLE `emails` DISABLE KEYS */;
/*!40000 ALTER TABLE `emails` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `emails_beans`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `emails_beans` (
  `id` varchar(36) NOT NULL,
  `email_id` varchar(36) default NULL,
  `bean_id` varchar(36) default NULL,
  `bean_module` varchar(36) default NULL,
  `campaign_data` text,
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_emails_beans_bean_id` (`bean_id`),
  KEY `idx_emails_beans_email_bean` (`email_id`,`bean_id`,`deleted`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `emails_beans`
--

LOCK TABLES `emails_beans` WRITE;
/*!40000 ALTER TABLE `emails_beans` DISABLE KEYS */;
/*!40000 ALTER TABLE `emails_beans` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `emails_email_addr_rel`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `emails_email_addr_rel` (
  `id` char(36) NOT NULL,
  `email_id` char(36) NOT NULL,
  `address_type` varchar(4) NOT NULL,
  `email_address_id` char(36) NOT NULL,
  `deleted` tinyint(1) default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_eearl_email_id` (`email_id`,`address_type`),
  KEY `idx_eearl_address_id` (`email_address_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `emails_email_addr_rel`
--

LOCK TABLES `emails_email_addr_rel` WRITE;
/*!40000 ALTER TABLE `emails_email_addr_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `emails_email_addr_rel` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `emails_text`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `emails_text` (
  `email_id` varchar(36) NOT NULL,
  `from_addr` varchar(255) default NULL,
  `reply_to_addr` varchar(255) default NULL,
  `to_addrs` text,
  `cc_addrs` text,
  `bcc_addrs` text,
  `description` longtext,
  `description_html` longtext,
  `raw_source` longtext,
  `deleted` tinyint(1) default '0',
  PRIMARY KEY  (`email_id`),
  KEY `emails_textfromaddr` (`from_addr`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `emails_text`
--

LOCK TABLES `emails_text` WRITE;
/*!40000 ALTER TABLE `emails_text` DISABLE KEYS */;
/*!40000 ALTER TABLE `emails_text` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `feeds`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `feeds` (
  `id` char(36) NOT NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  `date_entered` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  `modified_user_id` char(36) NOT NULL,
  `assigned_user_id` char(36) default NULL,
  `created_by` char(36) default NULL,
  `title` varchar(100) default NULL,
  `description` text,
  `url` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_feed_name` (`title`,`deleted`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `feeds`
--

LOCK TABLES `feeds` WRITE;
/*!40000 ALTER TABLE `feeds` DISABLE KEYS */;
INSERT INTO `feeds` VALUES ('e8bc00cd-cbb7-280c-0aa5-41e2df9c988d',0,'2005-01-10 12:01:58','2005-01-10 12:01:58','1','1',NULL,'Linux Today',NULL,'http://linuxtoday.com/backend/biglt.rss'),('a93b3610-0f3c-a4cb-6985-41e2df65b1c8',0,'2005-01-10 12:02:07','2005-01-10 12:02:07','1','1',NULL,'MacCentral News',NULL,'http://maccentral.macworld.com/mnn.cgi'),('dde361bb-7d4a-cc59-8cce-41e2dfcf3c1b',0,'2005-01-10 12:02:21','2005-01-10 12:02:21','1','1',NULL,'MacMerc.com',NULL,'http://macmerc.com/backend.php'),('925ef6eb-7bbf-2766-cc7a-41e2df228578',0,'2005-01-10 12:02:30','2005-01-10 12:02:30','1','1',NULL,'ABC News: Business',NULL,'http://my.abcnews.go.com/rsspublic/business_rss20.xml'),('dbab5f6c-d0da-4e67-478c-41e2df8b122c',0,'2005-01-10 12:02:34','2005-01-10 12:02:34','1','1',NULL,'ABC News: Entertainment',NULL,'http://my.abcnews.go.com/rsspublic/entertainment_rss20.xml'),('7eb0e2e7-28c5-21cc-31f9-41e2dfbf3713',0,'2005-01-10 12:02:39','2005-01-10 12:02:39','1','1',NULL,'ABC News: GMA',NULL,'http://my.abcnews.go.com/rsspublic/gma_rss20.xml'),('e8066ab5-3b23-fe0d-614e-41e2df558ec8',0,'2005-01-10 12:02:43','2005-01-10 12:02:43','1','1',NULL,'ABC News: Health',NULL,'http://my.abcnews.go.com/rsspublic/health_rss20.xml'),('36b67446-880f-d6a5-e16e-41e2df3bd857',0,'2005-01-10 12:02:48','2005-01-10 12:02:48','1','1',NULL,'ABC News: Nightline',NULL,'http://my.abcnews.go.com/rsspublic/nightline_rss20.xml'),('83235e59-0a98-1777-2a9c-41e2df9a09ce',0,'2005-01-10 12:02:52','2005-01-10 12:02:52','1','1',NULL,'ABC News: Politics',NULL,'http://my.abcnews.go.com/rsspublic/politics_rss20.xml'),('c2e3db4d-c176-53bf-1aac-41e2df1a1450',0,'2005-01-10 12:02:56','2005-01-10 12:02:56','1','1',NULL,'ABC News: Primetime',NULL,'http://my.abcnews.go.com/rsspublic/primetime_rss20.xml'),('4550e09a-b93e-092f-80ec-41e2dfc550f7',0,'2005-01-10 12:03:01','2005-01-10 12:03:01','1','1',NULL,'ABC News: Technology',NULL,'http://my.abcnews.go.com/rsspublic/scitech_rss20.xml'),('a164cc3f-435e-0a59-3e8c-41e2dfebd62f',0,'2005-01-10 12:03:05','2005-01-10 12:03:05','1','1',NULL,'ABC News: Travel',NULL,'http://my.abcnews.go.com/rsspublic/travel_rss20.xml'),('28572e36-b2fa-cd0e-fbec-41e2df1b84c0',0,'2005-01-10 12:03:15','2005-01-10 12:03:15','1','1',NULL,'ABC News: ThisWeek',NULL,'http://my.abcnews.go.com/rsspublic/tw_rss20.xml'),('a50a67a3-73fd-c3b7-5ee6-41e2dffe5ec5',0,'2005-01-10 12:03:19','2005-01-10 12:03:19','1','1',NULL,'ABC News: US',NULL,'http://my.abcnews.go.com/rsspublic/us_rss20.xml'),('ef110198-40fe-1799-363a-41e2df5c1007',0,'2005-01-10 12:03:24','2005-01-10 12:03:24','1','1',NULL,'ABC News: WNT',NULL,'http://my.abcnews.go.com/rsspublic/wnt_rss20.xml'),('5b71af07-470d-95c3-8afd-41e2df76f015',0,'2005-01-10 12:03:28','2005-01-10 12:03:28','1','1',NULL,'ABC News: International',NULL,'http://my.abcnews.go.com/rsspublic/world_rss20.xml'),('16c540cc-c02a-4311-d64c-41e2dfdbd596',0,'2005-01-10 12:03:29','2005-01-10 12:03:29','1','1',NULL,'BBC News | Africa | World Edition',NULL,'http://news.bbc.co.uk/rss/newsonline_world_edition/africa/rss091.xml'),('bc2c7c1f-220d-400a-c383-41e2dfc79697',0,'2005-01-10 12:03:29','2005-01-10 12:03:29','1','1',NULL,'BBC News | Americas | World Edition',NULL,'http://news.bbc.co.uk/rss/newsonline_world_edition/americas/rss091.xml'),('81bb8625-d0c5-07f1-04da-41e2df5fc5e2',0,'2005-01-10 12:03:30','2005-01-10 12:03:30','1','1',NULL,'BBC News | Asia-Pacific | World Edition',NULL,'http://news.bbc.co.uk/rss/newsonline_world_edition/asia-pacific/rss091.xml'),('3a68ade5-eba9-dcf7-b8bc-41e2df75bea6',0,'2005-01-10 12:03:31','2005-01-10 12:03:31','1','1',NULL,'BBC News | Business | World Edition',NULL,'http://news.bbc.co.uk/rss/newsonline_world_edition/business/rss091.xml'),('c5ae7e2a-c2c8-a261-8f4f-41e2dfad01f6',0,'2005-01-10 12:03:31','2005-01-10 12:03:31','1','1',NULL,'BBC News | Entertainment | World Edition',NULL,'http://news.bbc.co.uk/rss/newsonline_world_edition/entertainment/rss091.xml'),('7da60a3e-c6b3-4d4a-0338-41e2df90838a',0,'2005-01-10 12:03:32','2005-01-10 12:03:32','1','1',NULL,'BBC News | Europe | World Edition',NULL,'http://news.bbc.co.uk/rss/newsonline_world_edition/europe/rss091.xml'),('3191a790-8894-ea0a-fad6-41e2df8b7d62',0,'2005-01-10 12:03:33','2005-01-10 12:03:33','1','1',NULL,'BBC News | News Front Page | World Edition',NULL,'http://news.bbc.co.uk/rss/newsonline_world_edition/front_page/rss091.xml'),('d0089e80-9da9-93d5-6999-41e2df85a074',0,'2005-01-10 12:03:33','2005-01-10 12:03:33','1','1',NULL,'BBC News | Health | World Edition',NULL,'http://news.bbc.co.uk/rss/newsonline_world_edition/health/rss091.xml'),('9582dea7-c0dd-c5cb-07eb-41e2df38591c',0,'2005-01-10 12:03:34','2005-01-10 12:03:34','1','1',NULL,'BBC News | Middle East | World Edition',NULL,'http://news.bbc.co.uk/rss/newsonline_world_edition/middle_east/rss091.xml'),('1c853682-6da0-1ebf-5a4b-41e2df0c6ae0',0,'2005-01-10 12:03:35','2005-01-10 12:03:35','1','1',NULL,'BBC News | Programmes | World Edition',NULL,'http://news.bbc.co.uk/rss/newsonline_world_edition/programmes/rss091.xml'),('bd3d3b2a-3b2b-1b1c-b833-41e2dfed10b2',0,'2005-01-10 12:03:35','2005-01-10 12:03:35','1','1',NULL,'BBC News | Science/Nature | World Edition',NULL,'http://news.bbc.co.uk/rss/newsonline_world_edition/science/nature/rss091.xml'),('77ea97e9-f224-ae60-e2f3-41e2dfa83f37',0,'2005-01-10 12:03:36','2005-01-10 12:03:36','1','1',NULL,'BBC News | South Asia | World Edition',NULL,'http://news.bbc.co.uk/rss/newsonline_world_edition/south_asia/rss091.xml'),('15d960df-ef6b-bb2a-6bc7-41e2df301151',0,'2005-01-10 12:03:37','2005-01-10 12:03:37','1','1',NULL,'BBC News | Have Your Say | World Edition',NULL,'http://news.bbc.co.uk/rss/newsonline_world_edition/talking_point/rss091.xml'),('a441427a-dded-20ec-14c0-41e2df00b0ca',0,'2005-01-10 12:03:37','2005-01-10 12:03:37','1','1',NULL,'BBC News | Technology | World Edition',NULL,'http://news.bbc.co.uk/rss/newsonline_world_edition/technology/rss091.xml'),('4c8f056f-3eeb-7c81-89df-41e2dfdc1c14',0,'2005-01-10 12:03:38','2005-01-10 12:03:38','1','1',NULL,'BBC News | UK News | Magazine | World Edition',NULL,'http://news.bbc.co.uk/rss/newsonline_world_edition/uk_news/magazine/rss091.xml'),('3a000f75-1443-8f26-018e-41e2df41bb7e',0,'2005-01-10 12:03:39','2005-01-10 12:03:39','1','1',NULL,'BBC News | UK | World Edition',NULL,'http://news.bbc.co.uk/rss/newsonline_world_edition/uk_news/rss091.xml'),('b18a157a-9129-126a-3ae6-41e2df5bf062',0,'2005-01-10 12:03:39','2005-01-10 12:03:39','1','1',NULL,'BBC News | Week at a Glance | World Edition',NULL,'http://news.bbc.co.uk/rss/newsonline_world_edition/week_at-a-glance/rss091.xml'),('5a354efc-6fd6-e3a9-a39d-41e2dfed604c',0,'2005-01-10 12:03:45','2005-01-10 12:03:45','1','1',NULL,'Scotsman.com News - Alcohol & binge drinking',NULL,'http://news.scotsman.com/topics.cfm?tid=585&format=rss'),('52a9de11-f2fe-5a6d-539c-41e2dff841e5',0,'2005-01-10 12:03:46','2005-01-10 12:03:46','1','1',NULL,'CNET News.com - Personal Technology',NULL,'http://rss.com.com/2547-1040-0-5.xml'),('e4a450fe-6602-2a1e-3ef2-41e2df356543',0,'2005-01-10 12:03:46','2005-01-10 12:03:46','1','1',NULL,'Yahoo! News: Technology - Apple/Macintosh',NULL,'http://rss.news.yahoo.com/rss/applecomputer'),('573d09a7-7e57-b158-56bf-41e2df105ef4',0,'2005-01-10 12:03:47','2005-01-10 12:03:47','1','1',NULL,'Yahoo! News: Entertainment - Arts and Stage',NULL,'http://rss.news.yahoo.com/rss/arts'),('a52e6677-1fa7-85fa-e4c6-41e2df9fbcca',0,'2005-01-10 12:03:47','2005-01-10 12:03:47','1','1',NULL,'Yahoo! News: Business',NULL,'http://rss.news.yahoo.com/rss/business'),('a66852ab-d691-b6be-a3e0-41e2dfdb2fd7',0,'2005-01-10 12:03:48','2005-01-10 12:03:48','1','1',NULL,'Yahoo! News: Cellular Phones',NULL,'http://rss.news.yahoo.com/rss/cellphones'),('211ea34b-c571-6bbc-22b0-41e2df130f37',0,'2005-01-10 12:03:49','2005-01-10 12:03:49','1','1',NULL,'Yahoo! News: Entertainment - Dear Abby',NULL,'http://rss.news.yahoo.com/rss/dearabby'),('8d740c93-ee6b-36d6-a86d-41e2df99cf90',0,'2005-01-10 12:03:49','2005-01-10 12:03:49','1','1',NULL,'Yahoo! News: Digital Photography',NULL,'http://rss.news.yahoo.com/rss/digitalimaging'),('7bc75358-93c7-5aeb-88f6-41e2df228bca',0,'2005-01-10 12:03:50','2005-01-10 12:03:50','1','1',NULL,'Yahoo! News: Digital Music',NULL,'http://rss.news.yahoo.com/rss/digitalmusic'),('4537c91f-a52d-a98d-448a-41e2df099679',0,'2005-01-10 12:03:51','2005-01-10 12:03:51','1','1',NULL,'Yahoo! News: Digital Video/TV Technology',NULL,'http://rss.news.yahoo.com/rss/digitalvideo'),('152a8211-c6a2-13b7-e8b6-41e2dfbb8c86',0,'2005-01-10 12:03:52','2005-01-10 12:03:52','1','1',NULL,'Yahoo! News: Business - Earnings',NULL,'http://rss.news.yahoo.com/rss/earnings'),('a6050911-0292-5625-9ce2-41e2dfebccef',0,'2005-01-10 12:03:53','2005-01-10 12:03:53','1','1',NULL,'Yahoo! News: Business - Economy',NULL,'http://rss.news.yahoo.com/rss/economy'),('a8ad7517-8eaa-08ea-f162-41e2dfd39386',0,'2005-01-10 12:03:53','2005-01-10 12:03:53','1','1',NULL,'Yahoo! News: Presidential Election',NULL,'http://rss.news.yahoo.com/rss/elections'),('a3240865-6431-2f39-2057-41e2dfa726a0',0,'2005-01-10 12:03:54','2005-01-10 12:03:54','1','1',NULL,'Yahoo! News: Entertainment - Industry',NULL,'http://rss.news.yahoo.com/rss/enindustry'),('4b590300-8679-61c0-cc2f-41e2dfddd876',0,'2005-01-10 12:03:55','2005-01-10 12:03:55','1','1',NULL,'Yahoo! News: Technology - Enterprise',NULL,'http://rss.news.yahoo.com/rss/enterprise'),('a9cf9f87-69b2-717a-a8d2-41e2dffffa44',0,'2005-01-10 12:03:55','2005-01-10 12:03:55','1','1',NULL,'Yahoo! News: Entertainment',NULL,'http://rss.news.yahoo.com/rss/entertainment'),('c48dea5a-b340-21da-b590-41e2dfadee26',0,'2005-01-10 12:03:56','2005-01-10 12:03:56','1','1',NULL,'Yahoo! News: Business - European Economy',NULL,'http://rss.news.yahoo.com/rss/eurobiz'),('4d575816-f907-80dd-5fe5-41e2dff30297',0,'2005-01-10 12:03:57','2005-01-10 12:03:57','1','1',NULL,'Yahoo! News: Fashion',NULL,'http://rss.news.yahoo.com/rss/fashion'),('9d01947b-4fa4-530b-ae22-41e2df953c95',0,'2005-01-10 12:03:57','2005-01-10 12:03:57','1','1',NULL,'Yahoo! News: Health',NULL,'http://rss.news.yahoo.com/rss/health'),('186244ef-6a28-e5d3-f85f-41e2df10fc8e',0,'2005-01-10 12:03:58','2005-01-10 12:03:58','1','1',NULL,'Yahoo! News: Reader Ratings',NULL,'http://rss.news.yahoo.com/rss/highestrated'),('d0c4a1f1-4235-1e44-137b-41e2dfd0f653',0,'2005-01-10 12:03:58','2005-01-10 12:03:58','1','1',NULL,'Yahoo! News: Technology - Internet',NULL,'http://rss.news.yahoo.com/rss/internet'),('4ae094bf-947f-304a-4659-41e2dfa5d909',0,'2005-01-10 12:04:00','2005-01-10 12:04:00','1','1',NULL,'Yahoo! News: Iraq',NULL,'http://rss.news.yahoo.com/rss/iraq'),('e7f2de1f-52ee-a6d6-4df2-41e2df2a1d06',0,'2005-01-10 12:04:00','2005-01-10 12:04:00','1','1',NULL,'Yahoo! News: Linux/Open Source',NULL,'http://rss.news.yahoo.com/rss/linux'),('942cac2d-f97a-91b9-4073-41e2df6c80d5',0,'2005-01-10 12:04:02','2005-01-10 12:04:02','1','1',NULL,'Yahoo! News: Microsoft',NULL,'http://rss.news.yahoo.com/rss/microsoft'),('bf300aab-0041-415e-788e-41e2df06cba4',0,'2005-01-10 12:04:03','2005-01-10 12:04:03','1','1',NULL,'Yahoo! News: Most Emailed',NULL,'http://rss.news.yahoo.com/rss/mostemailed'),('8368b72f-f4e5-c4c5-f288-41e2df962d3a',0,'2005-01-10 12:04:03','2005-01-10 12:04:03','1','1',NULL,'Yahoo! News: Most Viewed',NULL,'http://rss.news.yahoo.com/rss/mostviewed'),('1c3c47e4-4be0-7987-4ea9-41e2df97209b',0,'2005-01-10 12:04:05','2005-01-10 12:04:05','1','1',NULL,'Yahoo! News: Entertainment - Movies',NULL,'http://rss.news.yahoo.com/rss/movies'),('6f988256-8ca1-1933-3049-41e2df3e60cc',0,'2005-01-10 12:04:06','2005-01-10 12:04:06','1','1',NULL,'Yahoo! News: Entertainment - Music',NULL,'http://rss.news.yahoo.com/rss/music'),('ccd00fec-47d3-7624-d16e-41e2df044894',0,'2005-01-10 12:04:07','2005-01-10 12:04:07','1','1',NULL,'Yahoo! News: Oddly Enough',NULL,'http://rss.news.yahoo.com/rss/oddlyenough'),('a4f2137a-b861-6975-c126-41e2dfb115db',0,'2005-01-10 12:04:07','2005-01-10 12:04:07','1','1',NULL,'Yahoo! News: Op/Ed',NULL,'http://rss.news.yahoo.com/rss/oped'),('94f3d97c-9124-f5ca-4863-41e2dff1e0f1',0,'2005-01-10 12:04:08','2005-01-10 12:04:08','1','1',NULL,'Yahoo! News: Business - Personal Finance',NULL,'http://rss.news.yahoo.com/rss/personalfinance'),('e67a951a-e02a-5e57-cbfe-41e2df1cb9eb',0,'2005-01-10 12:04:10','2005-01-10 12:04:10','1','1',NULL,'Yahoo! News: Technology - Personal Technology',NULL,'http://rss.news.yahoo.com/rss/personaltech'),('53e42a4a-aad1-d0cc-00bc-41e2df76fe22',0,'2005-01-10 12:04:11','2005-01-10 12:04:11','1','1',NULL,'Yahoo! News: Politics',NULL,'http://rss.news.yahoo.com/rss/politics'),('1c5392ff-668f-7a40-70b7-41e2dfca5009',0,'2005-01-10 12:04:12','2005-01-10 12:04:12','1','1',NULL,'Yahoo! News: Entertainment - Reviews',NULL,'http://rss.news.yahoo.com/rss/reviews'),('a048463f-b2d8-a68b-e532-41e2df0a664a',0,'2005-01-10 12:04:12','2005-01-10 12:04:12','1','1',NULL,'Yahoo! News: RSS & Blogging',NULL,'http://rss.news.yahoo.com/rss/rssblog'),('9aa02754-2c0e-e86b-9710-41e2df2e00b9',0,'2005-01-10 12:04:13','2005-01-10 12:04:13','1','1',NULL,'Yahoo! News: Science',NULL,'http://rss.news.yahoo.com/rss/science'),('bf91dda9-fe5c-b0f9-dcdd-41e2dfa2fcc8',0,'2005-01-10 12:04:14','2005-01-10 12:04:14','1','1',NULL,'Yahoo! News: Portals and Search Engines',NULL,'http://rss.news.yahoo.com/rss/search'),('a789b41c-d7d5-211c-5d76-41e2df3eb898',0,'2005-01-10 12:04:15','2005-01-10 12:04:15','1','1',NULL,'Yahoo! News: Computer Security & Viruses',NULL,'http://rss.news.yahoo.com/rss/security'),('70f3c59d-f85f-66aa-a42f-41e2df696f49',0,'2005-01-10 12:04:16','2005-01-10 12:04:16','1','1',NULL,'Yahoo! News: Semiconductor Industry & Servers',NULL,'http://rss.news.yahoo.com/rss/semiconductor'),('8b800cfb-41f6-5740-02bd-41e2df801fd9',0,'2005-01-10 12:04:17','2005-01-10 12:04:17','1','1',NULL,'Yahoo! News: Technology - Software',NULL,'http://rss.news.yahoo.com/rss/software'),('b82277c3-a5bd-e2a2-313a-41e2dff0822e',0,'2005-01-10 12:04:17','2005-01-10 12:04:17','1','1',NULL,'Yahoo! News: Technology - Spam',NULL,'http://rss.news.yahoo.com/rss/spam'),('26498c47-05ac-260e-414b-41e2df9ed30a',0,'2005-01-10 12:04:18','2005-01-10 12:04:18','1','1',NULL,'Yahoo! News: Sports',NULL,'http://rss.news.yahoo.com/rss/sports'),('8d9cbe09-2776-3142-3c67-41e2dfc11a61',0,'2005-01-10 12:04:18','2005-01-10 12:04:18','1','1',NULL,'Yahoo! News: Business - Stock Markets',NULL,'http://rss.news.yahoo.com/rss/stocks'),('df2f6c82-2eb8-80a4-6827-41e2df880575',0,'2005-01-10 12:04:18','2005-01-10 12:04:18','1','1',NULL,'Yahoo! News: Technology',NULL,'http://rss.news.yahoo.com/rss/tech'),('5cf1cf76-42d6-61ba-3889-41e2df406926',0,'2005-01-10 12:04:19','2005-01-10 12:04:19','1','1',NULL,'Yahoo! News: Top Stories',NULL,'http://rss.news.yahoo.com/rss/topstories'),('d9dcddc7-2d6b-df2f-7577-41e2df55a413',0,'2005-01-10 12:04:20','2005-01-10 12:04:20','1','1',NULL,'Yahoo! News: Entertainment - Television',NULL,'http://rss.news.yahoo.com/rss/tv'),('561f4dd0-2359-391b-d126-41e2df4e5438',0,'2005-01-10 12:04:21','2005-01-10 12:04:21','1','1',NULL,'Yahoo! News: U.S. National',NULL,'http://rss.news.yahoo.com/rss/us'),('18874c7d-9299-93cb-2ba2-41e2df1995a8',0,'2005-01-10 12:04:22','2005-01-10 12:04:22','1','1',NULL,'Yahoo! News: Technology - Video Games',NULL,'http://rss.news.yahoo.com/rss/videogames'),('324f0fd4-0eb6-12e2-ecaf-41e2df28bcb9',0,'2005-01-10 12:04:24','2005-01-10 12:04:24','1','1',NULL,'Yahoo! News: Wireless and Mobile Technology',NULL,'http://rss.news.yahoo.com/rss/wireless'),('6493d8af-027e-3cca-c2d6-41e2dfb9aa84',0,'2005-01-10 12:04:24','2005-01-10 12:04:24','1','1',NULL,'Yahoo! News: World',NULL,'http://rss.news.yahoo.com/rss/world'),('eb881ccf-3494-a043-381a-41e2df52c73f',0,'2005-01-10 12:04:29','2005-01-10 12:04:29','1','1',NULL,'PCWorld.com - Most Popular Downloads of the Week',NULL,'http://rss.pcworld.com/rss/downloads.rss?period=week'),('6bf251a7-1139-4c31-3d90-41e2df7ee6d3',0,'2005-01-10 12:04:34','2005-01-10 12:04:34','1','1',NULL,'PCWorld.com - Latest News Stories',NULL,'http://rss.pcworld.com/rss/latestnews.rss'),('391c061c-5472-f753-ba89-41e2df7adaef',0,'2005-01-10 12:04:39','2005-01-10 12:04:39','1','1',NULL,'eWEEK Database',NULL,'http://rssnewsapps.ziffdavis.com/eweekdatabase.xml'),('687e89bc-e055-7cc8-fee6-41e2df89541f',0,'2005-01-10 12:04:44','2005-01-10 12:04:44','1','1',NULL,'eWEEK Developer',NULL,'http://rssnewsapps.ziffdavis.com/eweekdeveloper.xml'),('61ddc6c4-15c2-1e2e-b559-41e2df9ccbd9',0,'2005-01-10 12:04:49','2005-01-10 12:04:49','1','1',NULL,'eWEEK Linux',NULL,'http://rssnewsapps.ziffdavis.com/eweeklinux.xml'),('388d5242-789e-015b-389e-41e2dfa00dc7',0,'2005-01-10 12:04:54','2005-01-10 12:04:54','1','1',NULL,'eWEEK Web Services',NULL,'http://rssnewsapps.ziffdavis.com/eweekwebservices.xml'),('f01c7eac-7b4e-4742-2287-41e2df47daaf',0,'2005-01-10 12:04:58','2005-01-10 12:04:58','1','1',NULL,'eWEEK Windows',NULL,'http://rssnewsapps.ziffdavis.com/eweekwindows.xml'),('cf40c1b2-e2fb-8641-2bb7-41e2dff46a8f',0,'2005-01-10 12:05:03','2005-01-10 12:05:03','1','1',NULL,'eWEEK Technology News',NULL,'http://rssnewsapps.ziffdavis.com/tech.xml'),('65a0f073-85fe-9426-4a06-41e2dfe5a004',0,'2005-01-10 12:05:04','2005-01-10 12:05:04','1','1',NULL,'Seattle Post-Intelligencer: Arts & Entertainment',NULL,'http://seattlepi.nwsource.com/rss/ae.rss'),('f00846ce-dd14-7fb7-9226-41e2df5041f0',0,'2005-01-10 12:05:04','2005-01-10 12:05:04','1','1',NULL,'Seattle Post-Intelligencer: Books',NULL,'http://seattlepi.nwsource.com/rss/books.rss'),('64f66a69-0df0-3188-49bf-41e2dfa7fcf9',0,'2005-01-10 12:05:05','2005-01-10 12:05:05','1','1',NULL,'Seattle Post-Intelligencer: Business News',NULL,'http://seattlepi.nwsource.com/rss/business.rss'),('bbd43fee-d439-694d-44e9-41e2df39ca30',0,'2005-01-10 12:05:05','2005-01-10 12:05:05','1','1',NULL,'Seattle Post-Intelligencer: Classical Music',NULL,'http://seattlepi.nwsource.com/rss/classical.rss'),('2bf6471a-aca7-ad06-07a2-41e2df156469',0,'2005-01-10 12:05:06','2005-01-10 12:05:06','1','1',NULL,'Seattle Post-Intelligencer: Cougar Football',NULL,'http://seattlepi.nwsource.com/rss/cougars.rss'),('813bddc2-bf31-dad5-1b09-41e2dff8520f',0,'2005-01-10 12:05:06','2005-01-10 12:05:06','1','1',NULL,'Seattle Post-Intelligencer: Dining',NULL,'http://seattlepi.nwsource.com/rss/dining.rss'),('d15c347f-dcce-83f5-3dba-41e2df339a4f',0,'2005-01-10 12:05:06','2005-01-10 12:05:06','1','1',NULL,'Seattle Post-Intelligencer: Food',NULL,'http://seattlepi.nwsource.com/rss/food.rss'),('439337e2-9bc7-465b-4f0e-41e2dfda55c8',0,'2005-01-10 12:05:07','2005-01-10 12:05:07','1','1',NULL,'Seattle Post-Intelligencer: Gardening',NULL,'http://seattlepi.nwsource.com/rss/gardening.rss'),('8858e7a9-9e84-ee76-1486-41e2df13c205',0,'2005-01-10 12:05:07','2005-01-10 12:05:07','1','1',NULL,'Seattle Post-Intelligencer: Health and Fitness',NULL,'http://seattlepi.nwsource.com/rss/health.rss'),('ca29844f-e128-1e28-a2fd-41e2dfeba1b6',0,'2005-01-10 12:05:07','2005-01-10 12:05:07','1','1',NULL,'Seattle Post-Intelligencer: Husky Football',NULL,'http://seattlepi.nwsource.com/rss/huskies.rss'),('32892ebf-9522-7358-8e3b-41e2dff2b85c',0,'2005-01-10 12:05:08','2005-01-10 12:05:08','1','1',NULL,'Seattle Post-Intelligencer: John Levesque',NULL,'http://seattlepi.nwsource.com/rss/levesque.rss'),('887bcac4-2f06-7430-894f-41e2df3ae78f',0,'2005-01-10 12:05:08','2005-01-10 12:05:08','1','1',NULL,'Seattle Post-Intelligencer: Lifestyle',NULL,'http://seattlepi.nwsource.com/rss/lifestyle.rss'),('ead74e28-ee83-4f0d-c681-41e2df62d666',0,'2005-01-10 12:05:08','2005-01-10 12:05:08','1','1',NULL,'Seattle Post-Intelligencer: Local News',NULL,'http://seattlepi.nwsource.com/rss/local.rss'),('5308fdd0-fe86-a7d4-6b56-41e2df0aee0f',0,'2005-01-10 12:05:09','2005-01-10 12:05:09','1','1',NULL,'Seattle Post-Intelligencer: Mariners',NULL,'http://seattlepi.nwsource.com/rss/mariners.rss'),('e6ca8ca3-5734-d264-de97-41e2df6ae7da',0,'2005-01-10 12:05:09','2005-01-10 12:05:09','1','1',NULL,'Seattle Post-Intelligencer: Jim Moore',NULL,'http://seattlepi.nwsource.com/rss/moore.rss'),('78a04e91-dd06-a9d5-33d8-41e2df6aa326',0,'2005-01-10 12:05:10','2005-01-10 12:05:10','1','1',NULL,'Seattle Post-Intelligencer: Movies',NULL,'http://seattlepi.nwsource.com/rss/movies.rss'),('d6e1961e-025e-03bc-c2eb-41e2df215811',0,'2005-01-10 12:05:10','2005-01-10 12:05:10','1','1',NULL,'Seattle Post-Intelligencer: Music',NULL,'http://seattlepi.nwsource.com/rss/music.rss'),('44ac9e37-caa2-74f1-f2b2-41e2df8451fd',0,'2005-01-10 12:05:11','2005-01-10 12:05:11','1','1',NULL,'Seattle Post-Intelligencer: Opinion',NULL,'http://seattlepi.nwsource.com/rss/opinion.rss'),('b59a1298-cecc-56fd-78af-41e2dfbd7ac3',0,'2005-01-10 12:05:11','2005-01-10 12:05:11','1','1',NULL,'Seattle Post-Intelligencer: High School Sports',NULL,'http://seattlepi.nwsource.com/rss/preps.rss'),('daa10bd9-2c50-667b-ad93-41e2df16b642',0,'2005-01-10 12:05:12','2005-01-10 12:05:12','1','1',NULL,'Seattle Post-Intelligencer: Seahawks',NULL,'http://seattlepi.nwsource.com/rss/seahawks.rss'),('896a8ce4-0a22-f2e4-cb46-41e2df90b5d5',0,'2005-01-10 12:05:12','2005-01-10 12:05:12','1','1',NULL,'Seattle Post-Intelligencer: Sonics',NULL,'http://seattlepi.nwsource.com/rss/sonics.rss'),('456ffec6-3c8a-c963-4a45-41e2df7c5b60',0,'2005-01-10 12:05:13','2005-01-10 12:05:13','1','1',NULL,'Seattle Post-Intelligencer: Theater',NULL,'http://seattlepi.nwsource.com/rss/theater.rss'),('92184695-82da-6b2e-0c48-41e2dfbbecac',0,'2005-01-10 12:05:13','2005-01-10 12:05:13','1','1',NULL,'Seattle Post-Intelligencer: Art Thiel',NULL,'http://seattlepi.nwsource.com/rss/thiel.rss'),('e10d1442-e58c-4a7a-cc76-41e2df151d40',0,'2005-01-10 12:05:13','2005-01-10 12:05:13','1','1',NULL,'Seattle Post-Intelligencer: TV & Radio',NULL,'http://seattlepi.nwsource.com/rss/tv.rss'),('52c2c540-9646-b6b4-0690-41e2dfd3c33c',0,'2005-01-10 12:05:14','2005-01-10 12:05:14','1','1',NULL,'Seattle Post-Intelligencer: Video Games',NULL,'http://seattlepi.nwsource.com/rss/videogames.rss'),('1e3e0549-9ae4-d6e4-c152-41e2df2c0b60',0,'2005-01-10 12:05:15','2005-01-10 12:05:15','1','1',NULL,'Seattle Post-Intelligencer: Wheels',NULL,'http://seattlepi.nwsource.com/rss/wheels.rss'),('83921b19-86dd-0a41-74b3-41e2df9dc09c',0,'2005-01-10 12:05:19','2005-01-10 12:05:19','1','1',NULL,'Slashdot: Developers',NULL,'http://slashdot.org/developers.rdf'),('e10afa8d-ec55-fb12-7db5-41e2e01be5c7',0,'2005-01-10 12:05:23','2005-01-10 12:05:23','1','1',NULL,'Slashdot:',NULL,'http://slashdot.org/slashdot.rss'),('b7809dbf-4e01-b6e2-fa54-41e2e0b93efd',0,'2005-01-10 12:05:28','2005-01-10 12:05:28','1','1',NULL,'Slate Magazine',NULL,'http://slate.msn.com/rss/'),('25016a8b-3c84-d029-d4f0-41e2e0c4a154',0,'2005-01-10 12:05:34','2005-01-10 12:05:34','1','1',NULL,'SourceForge.net Project News',NULL,'http://sourceforge.net/export/rss_sfnews.php'),('f40305df-0c9b-bd01-a424-41e2e06687ee',0,'2005-01-10 12:05:34','2005-01-10 12:05:34','1','1',NULL,'Boston Globe -- Business News',NULL,'http://syndication.boston.com/news/globe/business?mode=rss_10'),('4c7e5a97-0790-4a84-1c34-41e2e0395694',0,'2005-01-10 12:05:36','2005-01-10 12:05:36','1','1',NULL,'Boston Globe -- City/Region News',NULL,'http://syndication.boston.com/news/globe/city_region?mode=rss_10'),('54949bd8-5a1d-9a47-7249-41e2e055c4db',0,'2005-01-10 12:05:37','2005-01-10 12:05:37','1','1',NULL,'Boston Globe -- Ideas Section',NULL,'http://syndication.boston.com/news/globe/ideas?mode=rss_10'),('4f7b5f7c-0e5c-6f17-3a7b-41e2e0ddfc44',0,'2005-01-10 12:05:38','2005-01-10 12:05:38','1','1',NULL,'Boston Globe -- Living / Arts News',NULL,'http://syndication.boston.com/news/globe/living?mode=rss_10'),('228dcfab-6c30-2cf6-f7e3-41e2e0488a17',0,'2005-01-10 12:05:39','2005-01-10 12:05:39','1','1',NULL,'Boston Globe -- National News',NULL,'http://syndication.boston.com/news/globe/nation?mode=rss_10'),('ea614325-af09-f851-f120-41e2e0490fa2',0,'2005-01-10 12:05:39','2005-01-10 12:05:39','1','1',NULL,'Boston Globe -- Front Page',NULL,'http://syndication.boston.com/news/globe/pageone?mode=rss_10'),('4b850ec7-8c12-16fa-e99f-41e2e01c0942',0,'2005-01-10 12:05:41','2005-01-10 12:05:41','1','1',NULL,'Boston Globe -- Sports News',NULL,'http://syndication.boston.com/news/globe/sports?mode=rss_10'),('158909fe-4028-662e-c57d-41e2e0cb2054',0,'2005-01-10 12:05:42','2005-01-10 12:05:42','1','1',NULL,'Boston Globe -- World News',NULL,'http://syndication.boston.com/news/globe/world?mode=rss_10'),('ec7000ad-6b84-81b2-c632-41e2e0e9f21c',0,'2005-01-10 12:05:42','2005-01-10 12:05:42','1','1',NULL,'Odds and Ends',NULL,'http://syndication.boston.com/news/odd?mode=rss_10'),('44f8d79e-0fae-a328-d8f8-41e2e0abc373',0,'2005-01-10 12:05:44','2005-01-10 12:05:44','1','1',NULL,'Boston.com / News',NULL,'http://syndication.boston.com/news?mode=rss_10'),('d208a0cd-fb70-a0f2-fa96-41e2e01c4cf5',0,'2005-01-10 12:05:48','2005-01-10 12:05:48','1','1',NULL,'Techdirt',NULL,'http://techdirt.com/techdirt_rss.xml'),('8d018850-7e9b-e970-cbd1-41e2e0c1a765',0,'2005-01-10 12:05:53','2005-01-10 12:05:53','1','1',NULL,'Techno File',NULL,'http://time.blogs.com/technofile/index.rdf'),('eaf51d0c-834a-5593-ee8c-41e2e05e449f',0,'2005-01-10 12:05:54','2005-01-10 12:05:54','1','1',NULL,'BBC News | News Front Page | UK Edition',NULL,'http://www.bbc.co.uk/syndication/feeds/news/ukfs_news/front_page/rss091.xml'),('28193b0e-fb4e-3197-70fb-41e2e0da0a44',0,'2005-01-10 12:05:56','2005-01-10 12:05:56','1','1',NULL,'BBC News | Technology | UK Edition',NULL,'http://www.bbc.co.uk/syndication/feeds/news/ukfs_news/technology/rss091.xml'),('8610b5a9-75cc-c84c-fadc-41e2e088b0df',0,'2005-01-10 12:05:57','2005-01-10 12:05:57','1','1',NULL,'BBC News | UK | UK Edition',NULL,'http://www.bbc.co.uk/syndication/feeds/news/ukfs_news/uk/rss091.xml'),('c313e1b3-db1d-26ec-84af-41e2e00160d9',0,'2005-01-10 12:06:01','2005-01-10 12:06:01','1','1',NULL,'InfoWorld: Application development',NULL,'http://www.infoworld.com/rss/appdev.xml'),('2ff65a56-6bd5-c60c-9f76-41e2e0df96b8',0,'2005-01-10 12:06:06','2005-01-10 12:06:06','1','1',NULL,'InfoWorld: Java',NULL,'http://www.infoworld.com/rss/appdev_java.xml'),('df955186-98c3-2983-2135-41e2e01ab985',0,'2005-01-10 12:06:10','2005-01-10 12:06:10','1','1',NULL,'InfoWorld: Web Applications',NULL,'http://www.infoworld.com/rss/appdev_webapp.xml'),('3c0798b8-fb41-2fb1-3d23-41e2e01b8d2e',0,'2005-01-10 12:06:15','2005-01-10 12:06:15','1','1',NULL,'InfoWorld: Wireless Applications',NULL,'http://www.infoworld.com/rss/appdev_wireapps.xml'),('7e235e26-b2f2-e691-b6be-41e2e07e66b9',0,'2005-01-10 12:06:19','2005-01-10 12:06:19','1','1',NULL,'InfoWorld: XML',NULL,'http://www.infoworld.com/rss/appdev_xml.xml'),('ba005fe6-b497-6dd0-2ead-41e2e047f344',0,'2005-01-10 12:06:23','2005-01-10 12:06:23','1','1',NULL,'InfoWorld: Applications',NULL,'http://www.infoworld.com/rss/applications.xml'),('2d0effdd-a0df-b611-fe99-41e2e01d157f',0,'2005-01-10 12:06:28','2005-01-10 12:06:28','1','1',NULL,'InfoWorld: Application Management',NULL,'http://www.infoworld.com/rss/apps_appmgmt.xml'),('8848e6de-196b-a37f-acc1-41e2e0bded0b',0,'2005-01-10 12:06:32','2005-01-10 12:06:32','1','1',NULL,'InfoWorld: Collaboration',NULL,'http://www.infoworld.com/rss/apps_collab.xml'),('d78da415-8df2-c73f-3706-41e2e03e5563',0,'2005-01-10 12:06:36','2005-01-10 12:06:36','1','1',NULL,'InfoWorld: CRM',NULL,'http://www.infoworld.com/rss/apps_crm.xml'),('31114cb7-c113-29bf-9f20-41e2e0a5687a',0,'2005-01-10 12:06:41','2005-01-10 12:06:41','1','1',NULL,'InfoWorld: Enterprise Integration',NULL,'http://www.infoworld.com/rss/apps_einteg.xml'),('7ea784e8-46ad-8979-dd73-41e2e0241926',0,'2005-01-10 12:06:45','2005-01-10 12:06:45','1','1',NULL,'InfoWorld: ERP',NULL,'http://www.infoworld.com/rss/apps_erp.xml'),('d75c137d-0aae-3fbd-2906-41e2e0de0fe0',0,'2005-01-10 12:06:49','2005-01-10 12:06:49','1','1',NULL,'InfoWorld: Columnists',NULL,'http://www.infoworld.com/rss/columnists.xml'),('288dd54e-4460-658f-f7c3-41e2e031d2f8',0,'2005-01-10 12:06:54','2005-01-10 12:06:54','1','1',NULL,'InfoWorld: Business',NULL,'http://www.infoworld.com/rss/ebizstra.xml'),('5fb588ad-8d0a-c82e-920d-41e2e02745bf',0,'2005-01-10 12:06:58','2005-01-10 12:06:58','1','1',NULL,'InfoWorld: Business to Business',NULL,'http://www.infoworld.com/rss/ebustrat_btob.xml'),('9794dfd2-c784-d326-2ad7-41e2e00e2a81',0,'2005-01-10 12:07:02','2005-01-10 12:07:02','1','1',NULL,'InfoWorld: Business to Consumer',NULL,'http://www.infoworld.com/rss/ebustrat_btoc.xml'),('f162f572-b6da-7189-90be-41e2e02042de',0,'2005-01-10 12:07:06','2005-01-10 12:07:06','1','1',NULL,'InfoWorld: Portals',NULL,'http://www.infoworld.com/rss/ebustrat_portal.xml'),('3817838b-4dbf-84b6-1549-41e2e0b0995a',0,'2005-01-10 12:07:11','2005-01-10 12:07:11','1','1',NULL,'InfoWorld: Handheld Devices',NULL,'http://www.infoworld.com/rss/eusrhw_handdevc.xml'),('66f7b3eb-104a-dba5-7a66-41e2e065f261',0,'2005-01-10 12:07:15','2005-01-10 12:07:15','1','1',NULL,'InfoWorld: Mobile PC',NULL,'http://www.infoworld.com/rss/eusrhw_mobilepc.xml'),('9e00fb2a-6efe-1d1f-ad34-41e2e03a4ca6',0,'2005-01-10 12:07:19','2005-01-10 12:07:19','1','1',NULL,'InfoWorld: PCs',NULL,'http://www.infoworld.com/rss/eusrhw_pc.xml'),('d4c6cbba-d698-5f1f-d06a-41e2e05ba76d',0,'2005-01-10 12:07:23','2005-01-10 12:07:23','1','1',NULL,'InfoWorld: Processors & Components',NULL,'http://www.infoworld.com/rss/eusrhw_proccomp.xml'),('1c467be4-a384-2226-b896-41e2e07a8bf5',0,'2005-01-10 12:07:28','2005-01-10 12:07:28','1','1',NULL,'InfoWorld: Hardware',NULL,'http://www.infoworld.com/rss/hardware.xml'),('5915c10c-ea6e-ed29-b748-41e2e0feb9f0',0,'2005-01-10 12:07:32','2005-01-10 12:07:32','1','1',NULL,'InfoWorld: Grid Computing',NULL,'http://www.infoworld.com/rss/netwking_gridcmp.xml'),('916d98b1-a0df-59e6-d252-41e2e0a0fce5',0,'2005-01-10 12:07:36','2005-01-10 12:07:36','1','1',NULL,'InfoWorld: Network Infrastructure',NULL,'http://www.infoworld.com/rss/netwking_netinfra.xml'),('dfc0f4c7-69e2-3310-0a2a-41e2e0195d74',0,'2005-01-10 12:07:40','2005-01-10 12:07:40','1','1',NULL,'InfoWorld: Network Management',NULL,'http://www.infoworld.com/rss/netwking_netmgmt.xml'),('29007367-92cc-7976-501d-41e2e037017b',0,'2005-01-10 12:07:45','2005-01-10 12:07:45','1','1',NULL,'InfoWorld: Utilities Component',NULL,'http://www.infoworld.com/rss/netwking_utilcomp.xml'),('6abf823f-4b0d-e9a8-635c-41e2e039d4bf',0,'2005-01-10 12:07:49','2005-01-10 12:07:49','1','1',NULL,'InfoWorld: Networking',NULL,'http://www.infoworld.com/rss/networking.xml'),('e8f2ad3b-48dd-d577-2362-41e2e0e96eec',0,'2005-01-10 12:07:57','2005-01-10 12:07:57','1','1',NULL,'InfoWorld: Top News',NULL,'http://www.infoworld.com/rss/news.rdf'),('36a48d6e-be52-025b-aff8-41e2e0a360c5',0,'2005-01-10 12:08:02','2005-01-10 12:08:02','1','1',NULL,'InfoWorld: Top News',NULL,'http://www.infoworld.com/rss/news.xml'),('74662412-16b7-140f-bf08-41e2e088ee14',0,'2005-01-10 12:08:06','2005-01-10 12:08:06','1','1',NULL,'InfoWorld: Platforms',NULL,'http://www.infoworld.com/rss/platforms.xml'),('adf6ac68-003f-395e-c410-41e2e0e5463f',0,'2005-01-10 12:08:10','2005-01-10 12:08:10','1','1',NULL,'InfoWorld: Application Servers',NULL,'http://www.infoworld.com/rss/platform_appserv.xml'),('ebb409b9-3336-e5da-16d1-41e2e0a346ab',0,'2005-01-10 12:08:14','2005-01-10 12:08:14','1','1',NULL,'InfoWorld: Databases',NULL,'http://www.infoworld.com/rss/platform_database.xml'),('2c602f5d-5c2e-2b0a-558d-41e2e016671c',0,'2005-01-10 12:08:19','2005-01-10 12:08:19','1','1',NULL,'InfoWorld: Open Source',NULL,'http://www.infoworld.com/rss/platform_opensrc.xml'),('64050dae-dd95-8a54-a7f4-41e2e027805a',0,'2005-01-10 12:08:23','2005-01-10 12:08:23','1','1',NULL,'InfoWorld: Platforms',NULL,'http://www.infoworld.com/rss/platform_os.xml'),('9866d35a-406f-e916-f8c9-41e2e0214c5d',0,'2005-01-10 12:08:27','2005-01-10 12:08:27','1','1',NULL,'InfoWorld: Server Hardware',NULL,'http://www.infoworld.com/rss/platform_servhw.xml'),('d244ac22-d651-84d4-9726-41e2e029cbde',0,'2005-01-10 12:08:31','2005-01-10 12:08:31','1','1',NULL,'InfoWorld: Test Center Reviews',NULL,'http://www.infoworld.com/rss/reviews.xml'),('173d9c3d-a132-efbc-3653-41e2e07f665f',0,'2005-01-10 12:08:36','2005-01-10 12:08:36','1','1',NULL,'InfoWorld: Security',NULL,'http://www.infoworld.com/rss/security.xml'),('6362dd39-39e6-dd5e-96a5-41e2e07c3534',0,'2005-01-10 12:08:40','2005-01-10 12:08:40','1','1',NULL,'InfoWorld: Firewall',NULL,'http://www.infoworld.com/rss/security_firewall.xml'),('a8f67506-9b3c-92bc-046d-41e2e06b7fbc',0,'2005-01-10 12:08:44','2005-01-10 12:08:44','1','1',NULL,'InfoWorld: Security Appliances',NULL,'http://www.infoworld.com/rss/security_secapp.xml'),('dc99ca3c-a068-afcc-41f0-41e2e06d71e5',0,'2005-01-10 12:08:48','2005-01-10 12:08:48','1','1',NULL,'InfoWorld: VPN',NULL,'http://www.infoworld.com/rss/security_vpn.xml'),('29ac7be2-6a12-5710-435f-41e2e03416e1',0,'2005-01-10 12:08:53','2005-01-10 12:08:53','1','1',NULL,'InfoWorld: Vulnerability Management',NULL,'http://www.infoworld.com/rss/security_vulmgmt.xml'),('6776e391-4544-b6e6-caf4-41e2e07f46b9',0,'2005-01-10 12:08:57','2005-01-10 12:08:57','1','1',NULL,'InfoWorld: Wireless Security',NULL,'http://www.infoworld.com/rss/security_wiresec.xml'),('a24dcc9a-3fda-e158-9bcc-41e2e049a496',0,'2005-01-10 12:09:01','2005-01-10 12:09:01','1','1',NULL,'InfoWorld: Standards',NULL,'http://www.infoworld.com/rss/standards.xml'),('f336c24c-3349-c630-9cbd-41e2e08442a9',0,'2005-01-10 12:09:05','2005-01-10 12:09:05','1','1',NULL,'InfoWorld: Application Development',NULL,'http://www.infoworld.com/rss/stanprot_appdev.xml'),('300c6790-d2a3-75f0-8fa0-41e2e08b960b',0,'2005-01-10 12:09:10','2005-01-10 12:09:10','1','1',NULL,'InfoWorld: Internet',NULL,'http://www.infoworld.com/rss/stanprot_inet.xml'),('69babb1f-fe7c-c364-83ab-41e2e0e2b049',0,'2005-01-10 12:09:14','2005-01-10 12:09:14','1','1',NULL,'InfoWorld: Networking',NULL,'http://www.infoworld.com/rss/stanprot_netwking.xml'),('b97c4759-c783-6990-f94a-41e2e00fca1d',0,'2005-01-10 12:09:18','2005-01-10 12:09:18','1','1',NULL,'InfoWorld: Security',NULL,'http://www.infoworld.com/rss/stanprot_security.xml'),('27b8f326-6eba-c459-8a66-41e2e0c88453',0,'2005-01-10 12:09:23','2005-01-10 12:09:23','1','1',NULL,'InfoWorld: Storage',NULL,'http://www.infoworld.com/rss/stanprot_storage.xml'),('5ede0b55-899c-ccf0-a22b-41e2e0473f50',0,'2005-01-10 12:09:27','2005-01-10 12:09:27','1','1',NULL,'InfoWorld: Wireless',NULL,'http://www.infoworld.com/rss/stanprot_wireless.xml'),('9ba85759-7a84-79d2-5d5b-41e2e0215d1e',0,'2005-01-10 12:09:31','2005-01-10 12:09:31','1','1',NULL,'InfoWorld: Storage',NULL,'http://www.infoworld.com/rss/storage.xml'),('d9cde4fd-28f6-faed-2555-41e2e04de5cb',0,'2005-01-10 12:09:35','2005-01-10 12:09:35','1','1',NULL,'InfoWorld: Business Continuity',NULL,'http://www.infoworld.com/rss/storage_buscont.xml'),('2bdd0ae4-0ddc-8c7c-6bbe-41e2e1f0faeb',0,'2005-01-10 12:09:40','2005-01-10 12:09:40','1','1',NULL,'InfoWorld: Networked Storage',NULL,'http://www.infoworld.com/rss/storage_netstor.xml'),('68d12716-8c75-08d5-0785-41e2e1f8d408',0,'2005-01-10 12:09:44','2005-01-10 12:09:44','1','1',NULL,'InfoWorld: Storage Hardware',NULL,'http://www.infoworld.com/rss/storage_storhw.xml'),('a6502372-e900-cd75-587f-41e2e1a348db',0,'2005-01-10 12:09:48','2005-01-10 12:09:48','1','1',NULL,'InfoWorld: Storage Management',NULL,'http://www.infoworld.com/rss/storage_stormgmt.xml'),('e494037a-c6c4-8793-108b-41e2e15f0f95',0,'2005-01-10 12:09:52','2005-01-10 12:09:52','1','1',NULL,'InfoWorld: Telecom',NULL,'http://www.infoworld.com/rss/telecomm.xml'),('42778fab-3037-1280-059b-41e2e149966a',0,'2005-01-10 12:09:57','2005-01-10 12:09:57','1','1',NULL,'InfoWorld: Broadband',NULL,'http://www.infoworld.com/rss/telecom_broadband.xml'),('82a29d82-9ad5-65ca-b74d-41e2e1b9cc06',0,'2005-01-10 12:10:01','2005-01-10 12:10:01','1','1',NULL,'InfoWorld: Telephony',NULL,'http://www.infoworld.com/rss/telecom_telephony.xml'),('d05fc611-e074-96ea-4186-41e2e1577cea',0,'2005-01-10 12:10:05','2005-01-10 12:10:05','1','1',NULL,'InfoWorld: xSPs',NULL,'http://www.infoworld.com/rss/telecom_xsp.xml'),('21f3db54-63ce-67b8-999d-41e2e11b3dfb',0,'2005-01-10 12:10:10','2005-01-10 12:10:10','1','1',NULL,'InfoWorld: Web services',NULL,'http://www.infoworld.com/rss/webservices.xml'),('586629ae-ecab-f5d5-41f9-41e2e1eb8af6',0,'2005-01-10 12:10:14','2005-01-10 12:10:14','1','1',NULL,'InfoWorld: Web Services Applications',NULL,'http://www.infoworld.com/rss/websvcs_websvcap.xml'),('8a5a7213-cc37-924c-1fef-41e2e1607a6a',0,'2005-01-10 12:10:18','2005-01-10 12:10:18','1','1',NULL,'InfoWorld: Web Services Development',NULL,'http://www.infoworld.com/rss/websvcs_websvcdv.xml'),('d30ec90d-86e4-6b11-05dd-41e2e155d05a',0,'2005-01-10 12:10:22','2005-01-10 12:10:22','1','1',NULL,'InfoWorld: Web Services Integration',NULL,'http://www.infoworld.com/rss/websvcs_websvcin.xml'),('22f69fbf-65ef-2790-262f-41e2e17a93e2',0,'2005-01-10 12:10:27','2005-01-10 12:10:27','1','1',NULL,'InfoWorld: Web Management',NULL,'http://www.infoworld.com/rss/websvcs_websvcmg.xml'),('7ce83cab-8e9d-f80f-0013-41e2e17e3a32',0,'2005-01-10 12:10:31','2005-01-10 12:10:31','1','1',NULL,'InfoWorld: Wireless',NULL,'http://www.infoworld.com/rss/wireless.xml'),('bcaa2681-9bf1-9ef1-6be9-41e2e1c982e2',0,'2005-01-10 12:10:35','2005-01-10 12:10:35','1','1',NULL,'InfoWorld: Wireless Applications',NULL,'http://www.infoworld.com/rss/wireless_wireapps.xml'),('53e80be9-2d4c-d3d4-9e83-41e2e1a6d6be',0,'2005-01-10 12:10:40','2005-01-10 12:10:40','1','1',NULL,'InfoWorld: Wireless Network Infrastructure',NULL,'http://www.infoworld.com/rss/wireless_wirenetinfra.xml'),('53714c90-4807-b021-8e0a-41e2e16e168f',0,'2005-01-10 12:10:44','2005-01-10 12:10:44','1','1',NULL,'InfoWorld: Wireless Network Management',NULL,'http://www.infoworld.com/rss/wireless_wirenetmgmt.xml'),('a63fa605-f6f5-fdb5-9b4b-41e2e1f0b3dd',0,'2005-01-10 12:10:48','2005-01-10 12:10:48','1','1',NULL,'Linux Magazine',NULL,'http://www.linux-mag.com/lm.rss'),('5bd9c58c-b0a7-bdef-ebca-41e2e150faf6',0,'2005-01-10 12:10:57','2005-01-10 12:10:57','1','1',NULL,'Linux Journal - The Original Magazine of the Linux Community',NULL,'http://www.linuxjournal.com/news.rss'),('49e7d772-950e-9f18-b39e-41e2e1344dd3',0,'2005-01-10 12:11:06','2005-01-10 12:11:06','1','1',NULL,'macdailynews.com',NULL,'http://www.macdailynews.com/rss/rss.xml'),('b15d917f-6220-4792-f3cf-41e2e1295e2d',0,'2005-01-10 12:11:06','2005-01-10 12:11:06','1','1',NULL,'MacRumors',NULL,'http://www.macrumors.com/macrumors.xml'),('90634cab-75d2-4b3f-4424-41e2e18d34f1',0,'2005-01-10 12:11:11','2005-01-10 12:11:11','1','1',NULL,'GoogleGuy Says - Google Ranking Info',NULL,'http://www.markcarey.com/googleguy-says/index.rdf'),('3b548447-e8e8-b3d1-c4c7-41e2e1c46b85',0,'2005-01-10 12:11:12','2005-01-10 12:11:12','1','1',NULL,'CBS MarketWatch.com - Financial Services Industry News',NULL,'http://www.marketwatch.com/rss/financial/'),('dff224ac-4ccf-aed7-43b9-41e2e194fb1e',0,'2005-01-10 12:11:12','2005-01-10 12:11:12','1','1',NULL,'CBS MarketWatch.com - Internet Industry News',NULL,'http://www.marketwatch.com/rss/internet/'),('9abe4795-81da-da4b-c27d-41e2e1f12209',0,'2005-01-10 12:11:13','2005-01-10 12:11:13','1','1',NULL,'CBS MarketWatch.com - Personal Finance News',NULL,'http://www.marketwatch.com/rss/pf/'),('4dfb388a-1305-c6a6-bb1b-41e2e1ec0ea0',0,'2005-01-10 12:11:14','2005-01-10 12:11:14','1','1',NULL,'CBS MarketWatch.com - Software Industry News',NULL,'http://www.marketwatch.com/rss/software/'),('5a554d53-5f02-0030-fa51-41e2e1c4ec0b',0,'2005-01-10 12:11:15','2005-01-10 12:11:15','1','1',NULL,'CBS MarketWatch.com - Top Stories',NULL,'http://www.marketwatch.com/rss/topstories/'),('70a60db8-b993-ffdc-c7a2-41e2e1f9f2cc',0,'2005-01-10 12:11:16','2005-01-10 12:11:16','1','1',NULL,'Reuters: Business',NULL,'http://www.microsite.reuters.com/rss/businessNews'),('8bd7e961-fade-e048-969b-41e2e15a0523',0,'2005-01-10 12:11:16','2005-01-10 12:11:16','1','1',NULL,'Reuters: US Domestic News',NULL,'http://www.microsite.reuters.com/rss/domesticNews'),('157fe8ea-d139-355e-b64d-41e2e1d60dd1',0,'2005-01-10 12:11:17','2005-01-10 12:11:17','1','1',NULL,'Reuters: Politics',NULL,'http://www.microsite.reuters.com/rss/ElectionCoverage'),('92d037ee-06a3-418f-74c4-41e2e19c22f5',0,'2005-01-10 12:11:17','2005-01-10 12:11:17','1','1',NULL,'Reuters: Entertainment',NULL,'http://www.microsite.reuters.com/rss/Entertainment'),('1e69fa33-09c2-f086-1f49-41e2e130cd40',0,'2005-01-10 12:11:18','2005-01-10 12:11:18','1','1',NULL,'Reuters: Health',NULL,'http://www.microsite.reuters.com/rss/healthNews'),('9f9d5276-26a0-aadc-1e03-41e2e13d5fc3',0,'2005-01-10 12:11:18','2005-01-10 12:11:18','1','1',NULL,'Reuters: Life & Leisure',NULL,'http://www.microsite.reuters.com/rss/lifeAndLeisureNews'),('22ae3feb-5b25-0c61-7d1c-41e2e134a898',0,'2005-01-10 12:11:19','2005-01-10 12:11:19','1','1',NULL,'Reuters: Oddly Enough',NULL,'http://www.microsite.reuters.com/rss/oddlyEnoughNews'),('a446695a-c6d2-e970-0d13-41e2e10b4f0a',0,'2005-01-10 12:11:19','2005-01-10 12:11:19','1','1',NULL,'Reuters: Politics',NULL,'http://www.microsite.reuters.com/rss/politicsNews'),('4360b39e-9f38-94ab-68f5-41e2e1f8ebfc',0,'2005-01-10 12:11:20','2005-01-10 12:11:20','1','1',NULL,'Reuters: Science',NULL,'http://www.microsite.reuters.com/rss/scienceNews'),('bdbfe8e9-980b-c873-e3b0-41e2e1426554',0,'2005-01-10 12:11:20','2005-01-10 12:11:20','1','1',NULL,'Reuters: Sports',NULL,'http://www.microsite.reuters.com/rss/sportsNews'),('56773914-9860-cc40-5763-41e2e126f83f',0,'2005-01-10 12:11:21','2005-01-10 12:11:21','1','1',NULL,'Reuters: Technology',NULL,'http://www.microsite.reuters.com/rss/technologyNews'),('d098cf04-c313-867c-11d9-41e2e1fd4fe3',0,'2005-01-10 12:11:21','2005-01-10 12:11:21','1','1',NULL,'Reuters: Top News',NULL,'http://www.microsite.reuters.com/rss/topNews'),('563ae3f7-df64-9e60-d02a-41e2e182eacb',0,'2005-01-10 12:11:22','2005-01-10 12:11:22','1','1',NULL,'Reuters: World',NULL,'http://www.microsite.reuters.com/rss/worldNews'),('e52e8793-7b64-d778-4382-41e2e11bda85',0,'2005-01-10 12:11:26','2005-01-10 12:11:26','1','1',NULL,'NYT > Arts',NULL,'http://www.nytimes.com/services/xml/rss/nyt/Arts.xml'),('76395a02-40cb-98c1-7e38-41e2e1cfef20',0,'2005-01-10 12:11:31','2005-01-10 12:11:31','1','1',NULL,'NYT > Automobiles',NULL,'http://www.nytimes.com/services/xml/rss/nyt/Automobiles.xml'),('f329defa-0a0b-72bd-874b-41e2e1d870e6',0,'2005-01-10 12:11:35','2005-01-10 12:11:35','1','1',NULL,'NYT > Books',NULL,'http://www.nytimes.com/services/xml/rss/nyt/Books.xml'),('7bd169d6-5a81-5486-a70b-41e2e1bdb372',0,'2005-01-10 12:11:40','2005-01-10 12:11:40','1','1',NULL,'NYT > Business',NULL,'http://www.nytimes.com/services/xml/rss/nyt/Business.xml'),('32da2be6-a2be-a445-baeb-41e2e10be2b4',0,'2005-01-10 12:11:59','2005-01-10 12:11:59','1','1',NULL,'NYT > Circuits',NULL,'http://www.nytimes.com/services/xml/rss/nyt/Circuits.xml'),('abc4b934-4df7-b840-2c71-41e2e1b5c624',0,'2005-01-10 12:12:03','2005-01-10 12:12:03','1','1',NULL,'NYT > Fashion and Style',NULL,'http://www.nytimes.com/services/xml/rss/nyt/FashionandStyle.xml'),('3e368e6c-a9c8-9db5-8c58-41e2e13063cc',0,'2005-01-10 12:12:08','2005-01-10 12:12:08','1','1',NULL,'NYT > Health',NULL,'http://www.nytimes.com/services/xml/rss/nyt/Health.xml'),('ad6f00c5-4d44-a7f3-3956-41e2e13cb440',0,'2005-01-10 12:12:12','2005-01-10 12:12:12','1','1',NULL,'NYT > Home Page',NULL,'http://www.nytimes.com/services/xml/rss/nyt/HomePage.xml'),('3243b29a-5bf0-73e7-ff62-41e2e10d3f1e',0,'2005-01-10 12:12:17','2005-01-10 12:12:17','1','1',NULL,'NYT > International',NULL,'http://www.nytimes.com/services/xml/rss/nyt/International.xml'),('c0a95969-5b4c-0813-5070-41e2e1dc098d',0,'2005-01-10 12:12:21','2005-01-10 12:12:21','1','1',NULL,'NYT > Magazine',NULL,'http://www.nytimes.com/services/xml/rss/nyt/Magazine.xml'),('b26227be-c4ac-d0db-3534-41e2e1e3c2bd',0,'2005-01-10 12:12:31','2005-01-10 12:12:31','1','1',NULL,'NYT > Media and Advertising',NULL,'http://www.nytimes.com/services/xml/rss/nyt/MediaandAdvertising.xml'),('949123f7-e6b3-9c9b-6d3f-41e2e1ac24ca',0,'2005-01-10 12:12:41','2005-01-10 12:12:41','1','1',NULL,'NYT > Movie Reviews',NULL,'http://www.nytimes.com/services/xml/rss/nyt/Movies.xml'),('1daf4a0b-1a1a-3f5b-9114-41e2e1ac5bd2',0,'2005-01-10 12:12:46','2005-01-10 12:12:46','1','1',NULL,'NYT > Multimedia',NULL,'http://www.nytimes.com/services/xml/rss/nyt/Multimedia.xml'),('93f6049a-0b8c-368f-84db-41e2e10cf8dc',0,'2005-01-10 12:12:50','2005-01-10 12:12:50','1','1',NULL,'NYT > National',NULL,'http://www.nytimes.com/services/xml/rss/nyt/National.xml'),('162fe62d-82ad-3acb-e40b-41e2e1ca3a42',0,'2005-01-10 12:12:55','2005-01-10 12:12:55','1','1',NULL,'NYT > New York Region',NULL,'http://www.nytimes.com/services/xml/rss/nyt/NYRegion.xml'),('8b3b6aa8-afe3-f354-6934-41e2e1289783',0,'2005-01-10 12:12:59','2005-01-10 12:12:59','1','1',NULL,'NYT > Opinion',NULL,'http://www.nytimes.com/services/xml/rss/nyt/Opinion.xml'),('16f15af7-8097-d8ff-e71b-41e2e1e3e56d',0,'2005-01-10 12:13:04','2005-01-10 12:13:04','1','1',NULL,'NYT > Most E-mailed Articles',NULL,'http://www.nytimes.com/services/xml/rss/nyt/pop_top.xml'),('8c824e5a-a19e-3d18-f0b3-41e2e1347681',0,'2005-01-10 12:13:08','2005-01-10 12:13:08','1','1',NULL,'NYT > Real Estate',NULL,'http://www.nytimes.com/services/xml/rss/nyt/RealEstate.xml'),('18a8f2f9-a4bb-40a0-c2fa-41e2e1a22c5b',0,'2005-01-10 12:13:13','2005-01-10 12:13:13','1','1',NULL,'NYT > Science',NULL,'http://www.nytimes.com/services/xml/rss/nyt/Science.xml'),('8b5a69c3-7872-7621-978d-41e2e16ed94a',0,'2005-01-10 12:13:17','2005-01-10 12:13:17','1','1',NULL,'NYT > Sports',NULL,'http://www.nytimes.com/services/xml/rss/nyt/Sports.xml'),('2c248cf4-cbb0-1ae3-98dc-41e2e1f4b908',0,'2005-01-10 12:13:22','2005-01-10 12:13:22','1','1',NULL,'NYT > Technology',NULL,'http://www.nytimes.com/services/xml/rss/nyt/Technology.xml'),('b87e7042-bb54-8c71-eb00-41e2e1fe56f3',0,'2005-01-10 12:13:26','2005-01-10 12:13:26','1','1',NULL,'NYT > Theater',NULL,'http://www.nytimes.com/services/xml/rss/nyt/Theater.xml'),('56a41258-299c-b87a-f11f-41e2e1dea02e',0,'2005-01-10 12:13:40','2005-01-10 12:13:40','1','1',NULL,'NYT > Travel',NULL,'http://www.nytimes.com/services/xml/rss/nyt/Travel.xml'),('cad9e735-4edb-cf76-fa57-41e2e1bd9573',0,'2005-01-10 12:13:44','2005-01-10 12:13:44','1','1',NULL,'NYT > Washington',NULL,'http://www.nytimes.com/services/xml/rss/nyt/Washington.xml'),('6c4ffca7-d6e0-762b-7319-41e2e1942650',0,'2005-01-10 12:13:49','2005-01-10 12:13:49','1','1',NULL,'NYT > Week in Review',NULL,'http://www.nytimes.com/services/xml/rss/nyt/WeekinReview.xml'),('8fc8560f-f3b2-2f3f-7a8e-41e2e2b89d5a',0,'2005-01-10 12:13:54','2005-01-10 12:13:54','1','1',NULL,'Telegraph Arts | Books',NULL,'http://www.telegraph.co.uk/newsfeed/rss/arts_books.xml'),('5ed58c84-963b-dc9e-9192-41e2e286de6b',0,'2005-01-10 12:13:59','2005-01-10 12:13:59','1','1',NULL,'Telegraph Arts',NULL,'http://www.telegraph.co.uk/newsfeed/rss/arts_main.xml'),('3f8d6369-2cb1-34ff-2a84-41e2e2ad2838',0,'2005-01-10 12:14:04','2005-01-10 12:14:04','1','1',NULL,'Telegraph Connected',NULL,'http://www.telegraph.co.uk/newsfeed/rss/connected.xml'),('26c18e81-99a1-dd1d-2971-41e2e2b1f154',0,'2005-01-10 12:14:09','2005-01-10 12:14:09','1','1',NULL,'Telegraph Education',NULL,'http://www.telegraph.co.uk/newsfeed/rss/education.xml'),('f09bdcc6-8e18-f9b6-a868-41e2e26e388c',0,'2005-01-10 12:14:13','2005-01-10 12:14:13','1','1',NULL,'Telegraph Expat',NULL,'http://www.telegraph.co.uk/newsfeed/rss/expat.xml'),('caa98477-7101-c99e-018d-41e2e2c7c022',0,'2005-01-10 12:14:18','2005-01-10 12:14:18','1','1',NULL,'Telegraph Fashion',NULL,'http://www.telegraph.co.uk/newsfeed/rss/fashion.xml'),('abf7648d-d5c0-31cd-b450-41e2e294e388',0,'2005-01-10 12:14:23','2005-01-10 12:14:23','1','1',NULL,'Telegraph Gardening',NULL,'http://www.telegraph.co.uk/newsfeed/rss/gardening.xml'),('a1762049-8d34-762a-49ff-41e2e23d820e',0,'2005-01-10 12:14:28','2005-01-10 12:14:28','1','1',NULL,'Telegraph Health',NULL,'http://www.telegraph.co.uk/newsfeed/rss/health.xml'),('3f266fb5-3e33-91e2-73be-41e2e2dd9764',0,'2005-01-10 12:14:33','2005-01-10 12:14:33','1','1',NULL,'Telegraph Opinion | Leaders',NULL,'http://www.telegraph.co.uk/newsfeed/rss/leaders.xml'),('108906cd-58af-9a2e-a04e-41e2e23db4a1',0,'2005-01-10 12:14:38','2005-01-10 12:14:38','1','1',NULL,'Telegraph Opinion | Letters',NULL,'http://www.telegraph.co.uk/newsfeed/rss/letters.xml'),('b4eff965-86bf-e571-fef0-41e2e234081f',0,'2005-01-10 12:14:42','2005-01-10 12:14:42','1','1',NULL,'Telegraph Money | Markets',NULL,'http://www.telegraph.co.uk/newsfeed/rss/money_markets.xml'),('9bebccf6-65fe-7240-9802-41e2e2a5d2b6',0,'2005-01-10 12:14:47','2005-01-10 12:14:47','1','1',NULL,'Telegraph Money | Personal Finance',NULL,'http://www.telegraph.co.uk/newsfeed/rss/money_pf.xml'),('6268c9b4-82b3-74b5-be2d-41e2e280945c',0,'2005-01-10 12:14:52','2005-01-10 12:14:52','1','1',NULL,'Telegraph Business | Small Business',NULL,'http://www.telegraph.co.uk/newsfeed/rss/money_smallbus.xml'),('6313eb76-e22b-cb06-b80b-41e2e25b1270',0,'2005-01-10 12:14:57','2005-01-10 12:14:57','1','1',NULL,'Telegraph Motoring',NULL,'http://www.telegraph.co.uk/newsfeed/rss/motoring.xml'),('42131d7e-df56-90a2-6ff1-41e2e21b63d4',0,'2005-01-10 12:15:02','2005-01-10 12:15:02','1','1',NULL,'Telegraph News | Breaking News',NULL,'http://www.telegraph.co.uk/newsfeed/rss/news_breaking.xml'),('13dd2763-7cff-361b-6864-41e2e2f367cb',0,'2005-01-10 12:15:07','2005-01-10 12:15:07','1','1',NULL,'Telegraph News | International News',NULL,'http://www.telegraph.co.uk/newsfeed/rss/news_international.xml'),('e00bd292-8c0c-4f96-49b0-41e2e2ff2f9a',0,'2005-01-10 12:15:11','2005-01-10 12:15:11','1','1',NULL,'Telegraph News | Front Page News',NULL,'http://www.telegraph.co.uk/newsfeed/rss/news_main.xml'),('b2da8888-120f-bfb7-67d6-41e2e28c5532',0,'2005-01-10 12:15:16','2005-01-10 12:15:16','1','1',NULL,'Telegraph News | UK News',NULL,'http://www.telegraph.co.uk/newsfeed/rss/news_uk.xml'),('885e54fd-09ba-9cdc-a9e3-41e2e2ebb292',0,'2005-01-10 12:15:21','2005-01-10 12:15:21','1','1',NULL,'Telegraph Opinion',NULL,'http://www.telegraph.co.uk/newsfeed/rss/opinion.xml'),('689b064d-8821-4b66-9788-41e2e2e48838',0,'2005-01-10 12:15:26','2005-01-10 12:15:26','1','1',NULL,'Telegraph Property',NULL,'http://www.telegraph.co.uk/newsfeed/rss/property.xml'),('c36c0a13-8f54-a6c5-6b0b-41e2e27050c6',0,'2005-01-10 12:15:31','2005-01-10 12:15:31','1','1',NULL,'Telegraph Sport | Cricket',NULL,'http://www.telegraph.co.uk/newsfeed/rss/sport_cricket.xml'),('4ecabb98-a3cd-4b96-d288-41e2e2943a21',0,'2005-01-10 12:15:36','2005-01-10 12:15:36','1','1',NULL,'Telegraph Sport | Football',NULL,'http://www.telegraph.co.uk/newsfeed/rss/sport_football.xml'),('e911ad05-13d6-869d-6e85-41e2e24224d4',0,'2005-01-10 12:15:40','2005-01-10 12:15:40','1','1',NULL,'Telegraph Sport | Golf',NULL,'http://www.telegraph.co.uk/newsfeed/rss/sport_golf.xml'),('ba80d353-4126-d39e-363e-41e2e29b93b6',0,'2005-01-10 12:15:45','2005-01-10 12:15:45','1','1',NULL,'Telegraph Sport',NULL,'http://www.telegraph.co.uk/newsfeed/rss/sport_main.xml'),('bd5e4012-976e-3cdb-bacb-41e2e2409362',0,'2005-01-10 12:15:50','2005-01-10 12:15:50','1','1',NULL,'Telegraph Sport | Rugby Union',NULL,'http://www.telegraph.co.uk/newsfeed/rss/sport_rugu.xml'),('c7d5ddd0-3e83-5b31-5158-41e2e2c8eeaf',0,'2005-01-10 12:15:55','2005-01-10 12:15:55','1','1',NULL,'Telegraph Travel',NULL,'http://www.telegraph.co.uk/newsfeed/rss/travel_main.xml'),('933a0c4c-b2b9-cef9-a3a1-41e2e2afe273',0,'2005-01-10 12:16:00','2005-01-10 12:16:00','1','1',NULL,'Telegraph Wine',NULL,'http://www.telegraph.co.uk/newsfeed/rss/wine.xml'),('3ac7981d-0c22-8f87-72c3-41e2e2965536',0,'2005-01-10 12:16:05','2005-01-10 12:16:05','1','1',NULL,'washingtonpost.com - Business',NULL,'http://www.washingtonpost.com/wp-srv/business/rssheadlines.xml'),('c09c8abc-7992-2dc4-face-41e2e268cfb9',0,'2005-01-10 12:16:09','2005-01-10 12:16:09','1','1',NULL,'washingtonpost.com - Education',NULL,'http://www.washingtonpost.com/wp-srv/education/rssheadlines.xml'),('6de7e3cf-20a5-8ae9-9b91-41e2e2531c32',0,'2005-01-10 12:16:14','2005-01-10 12:16:14','1','1',NULL,'washingtonpost.com - Health',NULL,'http://www.washingtonpost.com/wp-srv/health/rssheadlines.xml'),('e6962597-5923-ce09-9db4-41e2e2864635',0,'2005-01-10 12:16:18','2005-01-10 12:16:18','1','1',NULL,'washingtonpost.com - Metro',NULL,'http://www.washingtonpost.com/wp-srv/metro/rssheadlines.xml'),('644ba5b6-6a86-c78c-9fc7-41e2e213bcc8',0,'2005-01-10 12:16:23','2005-01-10 12:16:23','1','1',NULL,'washingtonpost.com - Nation',NULL,'http://www.washingtonpost.com/wp-srv/nation/rssheadlines.xml'),('e06ad79d-0a57-7366-1e30-41e2e2e06c22',0,'2005-01-10 12:16:27','2005-01-10 12:16:27','1','1',NULL,'washingtonpost.com - Opinion',NULL,'http://www.washingtonpost.com/wp-srv/opinion/rssheadlines.xml'),('b04689c2-b068-7223-d8af-41e2e2687b82',0,'2005-01-10 12:16:32','2005-01-10 12:16:32','1','1',NULL,'washingtonpost.com - 2004 Election',NULL,'http://www.washingtonpost.com/wp-srv/politics/elections/2004/rssheadlines.xml'),('4660f0e9-37bf-af65-dbb3-41e2e2e3aef3',0,'2005-01-10 12:16:37','2005-01-10 12:16:37','1','1',NULL,'washingtonpost.com - Politics',NULL,'http://www.washingtonpost.com/wp-srv/politics/rssheadlines.xml'),('d549ff0c-6666-a153-9804-41e2e2dea5de',0,'2005-01-10 12:16:41','2005-01-10 12:16:41','1','1',NULL,'washingtonpost.com - Real Estate',NULL,'http://www.washingtonpost.com/wp-srv/realestate/rssheadlines.xml'),('6204cd5b-0bf2-eda1-1c1b-41e2e2475997',0,'2005-01-10 12:16:46','2005-01-10 12:16:46','1','1',NULL,'washingtonpost.com - Sports',NULL,'http://www.washingtonpost.com/wp-srv/sports/rssheadlines.xml'),('227a0fa6-21fb-a275-66f8-41e2e2b91da7',0,'2005-01-10 12:16:51','2005-01-10 12:16:51','1','1',NULL,'washingtonpost.com - Technology',NULL,'http://www.washingtonpost.com/wp-srv/technology/rssheadlines.xml'),('b8ef9e66-846e-8c8a-5e37-41e2e2139fb6',0,'2005-01-10 12:16:55','2005-01-10 12:16:55','1','1',NULL,'washingtonpost.com - World',NULL,'http://www.washingtonpost.com/wp-srv/world/rssheadlines.xml'),('1426c66e-f338-2f01-6c37-41e2e250f9c6',0,'2005-01-10 12:17:09','2005-01-10 12:17:09','1','1',NULL,'Wired News',NULL,'http://www.wired.com/news_drop/netcenter/netcenter.rdf'),('dad0faed-5e63-a3d3-2600-41e2e25b3432',0,'2005-01-10 12:17:13','2005-01-10 12:17:13','1','1',NULL,'African News from World Press Review',NULL,'http://www.worldpress.org/feeds/Africa.xml'),('975ea85d-b5e3-147d-9a4e-41e2e2bd803c',0,'2005-01-10 12:17:18','2005-01-10 12:17:18','1','1',NULL,'Latin American and Canadian News from World Press Review',NULL,'http://www.worldpress.org/feeds/Americas.xml'),('5c4cc320-8083-64c3-3e26-41e2e2f6b657',0,'2005-01-10 12:17:23','2005-01-10 12:17:23','1','1',NULL,'Asian News from World Press Review',NULL,'http://www.worldpress.org/feeds/Asia.xml'),('2b354b70-9a4f-f7ce-a98e-41e2e21f0c8f',0,'2005-01-10 12:17:28','2005-01-10 12:17:28','1','1',NULL,'European News from World Press Review',NULL,'http://www.worldpress.org/feeds/Europe.xml'),('dc142b87-1213-1748-38c8-41e2e23eb448',0,'2005-01-10 12:17:32','2005-01-10 12:17:32','1','1',NULL,'Middle Eastern News from World Press Review',NULL,'http://www.worldpress.org/feeds/Mideast.xml'),('ade6b2d5-1c1d-f17c-564c-41e2e20caaa3',0,'2005-01-10 12:17:37','2005-01-10 12:17:37','1','1',NULL,'Top Headlines from World Press Review',NULL,'http://www.worldpress.org/feeds/topstories.xml'),('3c13d9ed-6b2e-ffc0-432a-41e2e2bd099b',0,'2005-01-10 12:17:42','2005-01-10 12:17:42','1','1',NULL,'Breaking News Headlines from Around the World, Powered by Worldpress.org',NULL,'http://www.worldpress.org/feeds/worldpresswire.xml'),('cb27f088-bcd4-6378-d754-41e2e2c815b8',0,'2005-01-10 12:17:50','2005-01-10 12:17:50','1','1',NULL,'Linux Journal - The Original Magazine of the Linux Community',NULL,'http://www3.linuxjournal.com/news.rss'),('d3b812de-b09b-d19d-1ef7-41e2e2c7175b',0,'2005-01-10 12:17:51','2005-01-10 12:17:51','1','1',NULL,'ZDNet News - Front Door',NULL,'http://zdnet.com.com/2036-2_2-0.xml'),('4a1301d9-c4fe-f6be-4edb-41e2e22b41b0',0,'2005-01-10 12:17:52','2005-01-10 12:17:52','1','1',NULL,'ZDNet News - Hardware',NULL,'http://zdnet.com.com/2509-1103_2-0-10.xml'),('b5cc579b-0de1-f1fb-2f4c-41e2e23dc415',0,'2005-01-10 12:17:52','2005-01-10 12:17:52','1','1',NULL,'ZDNet News - Software',NULL,'http://zdnet.com.com/2509-1104_2-0-10.xml'),('36085453-2d39-d3b9-1b9c-41e2e2ab4ee7',0,'2005-01-10 12:17:53','2005-01-10 12:17:53','1','1',NULL,'ZDNet News - Security',NULL,'http://zdnet.com.com/2509-1105_2-0-10.xml'),('ae0619d9-4e7e-f462-6d85-41e2e21bfd46',0,'2005-01-10 12:17:53','2005-01-10 12:17:53','1','1',NULL,'ZDNet News - Commentary',NULL,'http://zdnet.com.com/2509-1107_2-0-10.xml'),('30d86812-bc01-d5d3-faca-41e2e2d9bd0d',0,'2005-01-10 12:17:54','2005-01-10 12:17:54','1','1',NULL,'ZDNet News - Latest Headlines',NULL,'http://zdnet.com.com/2509-11_2-0-20.xml'),('90df24f4-9717-7a1b-ed5b-41e77fbcfba7',0,'2005-01-14 00:16:00','2005-01-14 00:16:00','1','1','1','SourceForge.net: SF.net Recent Project Donations: SugarCRM',NULL,'http://sourceforge.net/export/rss2_projdonors.php?group_id=107819'),('4bbca87f-2017-5488-d8e0-41e7808c2553',0,'2005-01-14 00:17:00','2005-01-14 00:17:00','1','1','1','SourceForge.net: SF.net Project News: SugarCRM',NULL,'http://sourceforge.net/export/rss2_projnews.php?group_id=107819'),('c03b64eb-d0d4-a188-e203-41e7804677bd',0,'2005-01-14 00:17:00','2005-01-14 00:17:00','1','1','1','SourceForge.net: SF.net Project News: SugarCRM  (including full news text)',NULL,'http://sourceforge.net/export/rss2_projnews.php?group_id=107819&rss_fulltext=1'),('42210fc0-d21c-cff6-2c72-41e780195bfc',0,'2005-01-14 00:17:00','2005-01-14 00:17:00','1','1','1','SourceForge.net: Project File Releases: SugarCRM',NULL,'http://sourceforge.net/export/rss2_projfiles.php?group_id=107819'),('d410145c-e217-8ad3-0e99-41e78038cf4a',0,'2005-01-14 00:17:00','2005-01-14 00:17:00','1','1','1','SourceForge.net: Project Documentation (DocManager) Updates: SugarCRM',NULL,'http://sourceforge.net/export/rss2_projdocs.php?group_id=107819'),('db197b9c-9158-d779-0be3-41e780eda0f6',0,'2005-01-14 00:17:00','2005-01-14 00:17:00','1','1','1','SourceForge.net: Project Summary: SugarCRM  (sugarcrm project)',NULL,'http://sourceforge.net/export/rss2_projsummary.php?group_id=107819');
/*!40000 ALTER TABLE `feeds` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fields_meta_data`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `fields_meta_data` (
  `id` varchar(255) NOT NULL,
  `name` varchar(255) default NULL,
  `vname` varchar(255) default NULL,
  `comments` varchar(255) default NULL,
  `help` varchar(255) default NULL,
  `custom_module` varchar(255) default NULL,
  `type` varchar(255) default NULL,
  `len` int(11) default NULL,
  `required` tinyint(1) default '0',
  `default_value` varchar(255) default NULL,
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) default '0',
  `audited` tinyint(1) default '0',
  `massupdate` tinyint(1) default '0',
  `duplicate_merge` smallint(6) default '0',
  `reportable` tinyint(1) default '1',
  `importable` varchar(255) default NULL,
  `ext1` varchar(255) default NULL,
  `ext2` varchar(255) default NULL,
  `ext3` varchar(255) default NULL,
  `ext4` text,
  PRIMARY KEY  (`id`),
  KEY `idx_meta_id_del` (`id`,`deleted`),
  KEY `idx_meta_cm_del` (`custom_module`,`deleted`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `fields_meta_data`
--

LOCK TABLES `fields_meta_data` WRITE;
/*!40000 ALTER TABLE `fields_meta_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `fields_meta_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `folders`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `folders` (
  `id` char(36) NOT NULL,
  `name` varchar(25) NOT NULL,
  `folder_type` varchar(25) default NULL,
  `parent_folder` char(36) default NULL,
  `has_child` tinyint(1) default '0',
  `is_group` tinyint(1) default '0',
  `is_dynamic` tinyint(1) default '0',
  `dynamic_query` text,
  `assign_to_id` char(36) default NULL,
  `created_by` char(36) NOT NULL,
  `modified_by` char(36) NOT NULL,
  `deleted` tinyint(1) default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_parent_folder` (`parent_folder`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `folders`
--

LOCK TABLES `folders` WRITE;
/*!40000 ALTER TABLE `folders` DISABLE KEYS */;
/*!40000 ALTER TABLE `folders` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `folders_rel`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `folders_rel` (
  `id` char(36) NOT NULL,
  `folder_id` char(36) NOT NULL,
  `polymorphic_module` varchar(25) NOT NULL,
  `polymorphic_id` char(36) NOT NULL,
  `deleted` tinyint(1) default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_poly_module_poly_id` (`polymorphic_module`,`polymorphic_id`),
  KEY `idx_folders_rel_folder_id` (`folder_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `folders_rel`
--

LOCK TABLES `folders_rel` WRITE;
/*!40000 ALTER TABLE `folders_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `folders_rel` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `folders_subscriptions`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `folders_subscriptions` (
  `id` char(36) NOT NULL,
  `folder_id` char(36) NOT NULL,
  `assigned_user_id` char(36) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_folder_id_assigned_user_id` (`folder_id`,`assigned_user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `folders_subscriptions`
--

LOCK TABLES `folders_subscriptions` WRITE;
/*!40000 ALTER TABLE `folders_subscriptions` DISABLE KEYS */;
/*!40000 ALTER TABLE `folders_subscriptions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `iframes`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `iframes` (
  `id` char(36) NOT NULL,
  `name` varchar(255) NOT NULL,
  `url` varchar(255) NOT NULL,
  `type` varchar(255) NOT NULL,
  `placement` varchar(255) NOT NULL,
  `status` tinyint(1) NOT NULL default '0',
  `deleted` tinyint(1) NOT NULL default '0',
  `date_entered` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  `created_by` char(36) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_cont_name` (`name`,`deleted`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `iframes`
--

LOCK TABLES `iframes` WRITE;
/*!40000 ALTER TABLE `iframes` DISABLE KEYS */;
/*!40000 ALTER TABLE `iframes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `import_maps`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `import_maps` (
  `id` char(36) NOT NULL,
  `name` varchar(254) NOT NULL,
  `source` varchar(36) NOT NULL,
  `enclosure` varchar(1) NOT NULL default ' ',
  `delimiter` varchar(1) NOT NULL default ',',
  `module` varchar(36) NOT NULL,
  `content` blob,
  `default_values` blob,
  `has_header` tinyint(1) NOT NULL default '1',
  `deleted` tinyint(1) NOT NULL default '0',
  `date_entered` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  `assigned_user_id` char(36) default NULL,
  `is_published` varchar(3) NOT NULL default 'no',
  PRIMARY KEY  (`id`),
  KEY `idx_owner_module_name` (`assigned_user_id`,`module`,`name`,`deleted`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `import_maps`
--

LOCK TABLES `import_maps` WRITE;
/*!40000 ALTER TABLE `import_maps` DISABLE KEYS */;
/*!40000 ALTER TABLE `import_maps` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `inbound_email`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `inbound_email` (
  `id` varchar(36) NOT NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  `date_entered` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  `modified_user_id` char(36) default NULL,
  `created_by` char(36) default NULL,
  `name` varchar(255) default NULL,
  `status` varchar(25) NOT NULL default 'Active',
  `server_url` varchar(100) NOT NULL,
  `email_user` varchar(100) NOT NULL,
  `email_password` varchar(100) NOT NULL,
  `port` int(5) NOT NULL,
  `service` varchar(50) NOT NULL,
  `mailbox` text NOT NULL,
  `delete_seen` tinyint(1) default '0',
  `mailbox_type` varchar(10) default NULL,
  `template_id` char(36) default NULL,
  `stored_options` text,
  `group_id` char(36) default NULL,
  `is_personal` tinyint(1) NOT NULL default '0',
  `groupfolder_id` char(36) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `inbound_email`
--

LOCK TABLES `inbound_email` WRITE;
/*!40000 ALTER TABLE `inbound_email` DISABLE KEYS */;
/*!40000 ALTER TABLE `inbound_email` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `inbound_email_autoreply`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `inbound_email_autoreply` (
  `id` char(36) NOT NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  `date_entered` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  `autoreplied_to` varchar(100) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_ie_autoreplied_to` (`autoreplied_to`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `inbound_email_autoreply`
--

LOCK TABLES `inbound_email_autoreply` WRITE;
/*!40000 ALTER TABLE `inbound_email_autoreply` DISABLE KEYS */;
/*!40000 ALTER TABLE `inbound_email_autoreply` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `inbound_email_cache_ts`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `inbound_email_cache_ts` (
  `id` varchar(255) NOT NULL,
  `ie_timestamp` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `inbound_email_cache_ts`
--

LOCK TABLES `inbound_email_cache_ts` WRITE;
/*!40000 ALTER TABLE `inbound_email_cache_ts` DISABLE KEYS */;
/*!40000 ALTER TABLE `inbound_email_cache_ts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `leads`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `leads` (
  `id` char(36) NOT NULL,
  `date_entered` datetime default NULL,
  `date_modified` datetime default NULL,
  `modified_user_id` char(36) default NULL,
  `created_by` char(36) default NULL,
  `description` text,
  `deleted` tinyint(1) default '0',
  `assigned_user_id` char(36) default NULL,
  `salutation` varchar(5) default NULL,
  `first_name` varchar(100) default NULL,
  `last_name` varchar(100) default NULL,
  `title` varchar(100) default NULL,
  `department` varchar(100) default NULL,
  `do_not_call` tinyint(1) default '0',
  `phone_home` varchar(25) default NULL,
  `phone_mobile` varchar(25) default NULL,
  `phone_work` varchar(25) default NULL,
  `phone_other` varchar(25) default NULL,
  `phone_fax` varchar(25) default NULL,
  `primary_address_street` varchar(150) default NULL,
  `primary_address_city` varchar(100) default NULL,
  `primary_address_state` varchar(100) default NULL,
  `primary_address_postalcode` varchar(20) default NULL,
  `primary_address_country` varchar(255) default NULL,
  `alt_address_street` varchar(150) default NULL,
  `alt_address_city` varchar(100) default NULL,
  `alt_address_state` varchar(100) default NULL,
  `alt_address_postalcode` varchar(20) default NULL,
  `alt_address_country` varchar(255) default NULL,
  `assistant` varchar(75) default NULL,
  `assistant_phone` varchar(25) default NULL,
  `converted` tinyint(1) NOT NULL default '0',
  `refered_by` varchar(100) default NULL,
  `lead_source` varchar(100) default NULL,
  `lead_source_description` text,
  `status` varchar(100) default NULL,
  `status_description` text,
  `reports_to_id` char(36) default NULL,
  `account_name` varchar(255) default NULL,
  `account_description` text,
  `contact_id` char(36) default NULL,
  `account_id` char(36) default NULL,
  `opportunity_id` char(36) default NULL,
  `opportunity_name` varchar(255) default NULL,
  `opportunity_amount` varchar(50) default NULL,
  `campaign_id` char(36) default NULL,
  `portal_name` varchar(255) default NULL,
  `portal_app` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_lead_acct_name_first` (`account_name`,`deleted`),
  KEY `idx_lead_last_first` (`last_name`,`first_name`,`deleted`),
  KEY `idx_lead_del_stat` (`last_name`,`status`,`deleted`,`first_name`),
  KEY `idx_lead_opp_del` (`opportunity_id`,`deleted`),
  KEY `idx_leads_acct_del` (`account_id`,`deleted`),
  KEY `idx_del_user` (`deleted`,`assigned_user_id`),
  KEY `idx_lead_assigned` (`assigned_user_id`),
  KEY `idx_lead_contact` (`contact_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `leads`
--

LOCK TABLES `leads` WRITE;
/*!40000 ALTER TABLE `leads` DISABLE KEYS */;
/*!40000 ALTER TABLE `leads` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `leads_audit`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `leads_audit` (
  `id` char(36) NOT NULL,
  `parent_id` char(36) NOT NULL,
  `date_created` datetime default NULL,
  `created_by` varchar(36) default NULL,
  `field_name` varchar(100) default NULL,
  `data_type` varchar(100) default NULL,
  `before_value_string` varchar(255) default NULL,
  `after_value_string` varchar(255) default NULL,
  `before_value_text` text,
  `after_value_text` text
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `leads_audit`
--

LOCK TABLES `leads_audit` WRITE;
/*!40000 ALTER TABLE `leads_audit` DISABLE KEYS */;
/*!40000 ALTER TABLE `leads_audit` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `linked_documents`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `linked_documents` (
  `id` varchar(36) NOT NULL,
  `parent_id` varchar(36) default NULL,
  `parent_type` varchar(25) default NULL,
  `document_id` varchar(36) default NULL,
  `document_revision_id` varchar(36) default NULL,
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_parent_document` (`parent_type`,`parent_id`,`document_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `linked_documents`
--

LOCK TABLES `linked_documents` WRITE;
/*!40000 ALTER TABLE `linked_documents` DISABLE KEYS */;
/*!40000 ALTER TABLE `linked_documents` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `meetings`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `meetings` (
  `id` char(36) NOT NULL,
  `name` varchar(50) default NULL,
  `date_entered` datetime default NULL,
  `date_modified` datetime default NULL,
  `modified_user_id` char(36) default NULL,
  `created_by` char(36) default NULL,
  `description` text,
  `deleted` tinyint(1) default '0',
  `assigned_user_id` char(36) default NULL,
  `location` varchar(50) default NULL,
  `duration_hours` int(2) default NULL,
  `duration_minutes` int(2) default NULL,
  `date_start` datetime default NULL,
  `date_end` date default NULL,
  `parent_type` varchar(25) default NULL,
  `status` varchar(25) default NULL,
  `parent_id` char(36) default NULL,
  `reminder_time` int(11) default '-1',
  `outlook_id` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_mtg_name` (`name`),
  KEY `idx_meet_par_del` (`parent_id`,`parent_type`,`deleted`),
  KEY `idx_meet_stat_del` (`assigned_user_id`,`status`,`deleted`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `meetings`
--

LOCK TABLES `meetings` WRITE;
/*!40000 ALTER TABLE `meetings` DISABLE KEYS */;
/*!40000 ALTER TABLE `meetings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `meetings_contacts`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `meetings_contacts` (
  `id` varchar(36) NOT NULL,
  `meeting_id` varchar(36) default NULL,
  `contact_id` varchar(36) default NULL,
  `required` varchar(1) default '1',
  `accept_status` varchar(25) default 'none',
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_con_mtg_mtg` (`meeting_id`),
  KEY `idx_con_mtg_con` (`contact_id`),
  KEY `idx_meeting_contact` (`meeting_id`,`contact_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `meetings_contacts`
--

LOCK TABLES `meetings_contacts` WRITE;
/*!40000 ALTER TABLE `meetings_contacts` DISABLE KEYS */;
/*!40000 ALTER TABLE `meetings_contacts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `meetings_leads`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `meetings_leads` (
  `id` varchar(36) NOT NULL,
  `meeting_id` varchar(36) default NULL,
  `lead_id` varchar(36) default NULL,
  `required` varchar(1) default '1',
  `accept_status` varchar(25) default 'none',
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_lead_meeting_meeting` (`meeting_id`),
  KEY `idx_lead_meeting_lead` (`lead_id`),
  KEY `idx_meeting_lead` (`meeting_id`,`lead_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `meetings_leads`
--

LOCK TABLES `meetings_leads` WRITE;
/*!40000 ALTER TABLE `meetings_leads` DISABLE KEYS */;
/*!40000 ALTER TABLE `meetings_leads` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `meetings_users`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `meetings_users` (
  `id` varchar(36) NOT NULL,
  `meeting_id` varchar(36) default NULL,
  `user_id` varchar(36) default NULL,
  `required` varchar(1) default '1',
  `accept_status` varchar(25) default 'none',
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_usr_mtg_mtg` (`meeting_id`),
  KEY `idx_usr_mtg_usr` (`user_id`),
  KEY `idx_meeting_users` (`meeting_id`,`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `meetings_users`
--

LOCK TABLES `meetings_users` WRITE;
/*!40000 ALTER TABLE `meetings_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `meetings_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `notes`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `notes` (
  `id` char(36) NOT NULL,
  `date_entered` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  `modified_user_id` char(36) default NULL,
  `created_by` char(36) default NULL,
  `name` varchar(255) default NULL,
  `filename` varchar(255) default NULL,
  `file_mime_type` varchar(100) default NULL,
  `parent_type` varchar(25) default NULL,
  `parent_id` char(36) default NULL,
  `contact_id` char(36) default NULL,
  `portal_flag` tinyint(1) NOT NULL default '0',
  `embed_flag` tinyint(1) NOT NULL default '0',
  `description` text,
  `deleted` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_note_name` (`name`),
  KEY `idx_notes_parent` (`parent_id`,`parent_type`),
  KEY `idx_note_contact` (`contact_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `notes`
--

LOCK TABLES `notes` WRITE;
/*!40000 ALTER TABLE `notes` DISABLE KEYS */;
/*!40000 ALTER TABLE `notes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `opportunities`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `opportunities` (
  `id` char(36) NOT NULL,
  `name` varchar(50) default NULL,
  `date_entered` datetime default NULL,
  `date_modified` datetime default NULL,
  `modified_user_id` char(36) default NULL,
  `created_by` char(36) default NULL,
  `description` text,
  `deleted` tinyint(1) default '0',
  `assigned_user_id` char(36) default NULL,
  `opportunity_type` varchar(255) default NULL,
  `campaign_id` char(36) default NULL,
  `lead_source` varchar(50) default NULL,
  `amount` double default NULL,
  `amount_usdollar` double default NULL,
  `currency_id` char(36) default NULL,
  `date_closed` date default NULL,
  `next_step` varchar(100) default NULL,
  `sales_stage` varchar(25) default NULL,
  `probability` double default NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_opp_name` (`name`),
  KEY `idx_opp_assigned` (`assigned_user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `opportunities`
--

LOCK TABLES `opportunities` WRITE;
/*!40000 ALTER TABLE `opportunities` DISABLE KEYS */;
/*!40000 ALTER TABLE `opportunities` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `opportunities_audit`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `opportunities_audit` (
  `id` char(36) NOT NULL,
  `parent_id` char(36) NOT NULL,
  `date_created` datetime default NULL,
  `created_by` varchar(36) default NULL,
  `field_name` varchar(100) default NULL,
  `data_type` varchar(100) default NULL,
  `before_value_string` varchar(255) default NULL,
  `after_value_string` varchar(255) default NULL,
  `before_value_text` text,
  `after_value_text` text
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `opportunities_audit`
--

LOCK TABLES `opportunities_audit` WRITE;
/*!40000 ALTER TABLE `opportunities_audit` DISABLE KEYS */;
/*!40000 ALTER TABLE `opportunities_audit` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `opportunities_contacts`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `opportunities_contacts` (
  `id` varchar(36) NOT NULL,
  `contact_id` varchar(36) default NULL,
  `opportunity_id` varchar(36) default NULL,
  `contact_role` varchar(50) default NULL,
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_con_opp_con` (`contact_id`),
  KEY `idx_con_opp_opp` (`opportunity_id`),
  KEY `idx_opportunities_contacts` (`opportunity_id`,`contact_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `opportunities_contacts`
--

LOCK TABLES `opportunities_contacts` WRITE;
/*!40000 ALTER TABLE `opportunities_contacts` DISABLE KEYS */;
/*!40000 ALTER TABLE `opportunities_contacts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `outbound_email`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `outbound_email` (
  `id` char(36) NOT NULL,
  `name` varchar(50) NOT NULL,
  `type` varchar(6) NOT NULL default 'user',
  `user_id` char(36) NOT NULL,
  `mail_sendtype` varchar(8) NOT NULL default 'sendmail',
  `mail_smtpserver` varchar(100) default NULL,
  `mail_smtpport` int(5) default NULL,
  `mail_smtpuser` varchar(100) default NULL,
  `mail_smtppass` varchar(100) default NULL,
  `mail_smtpauth_req` tinyint(1) default '0',
  `mail_smtpssl` tinyint(1) default '0',
  PRIMARY KEY  (`id`),
  KEY `oe_user_id_idx` (`id`,`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `outbound_email`
--

LOCK TABLES `outbound_email` WRITE;
/*!40000 ALTER TABLE `outbound_email` DISABLE KEYS */;
INSERT INTO `outbound_email` VALUES ('9d1100e8-8b3f-b4cc-bf7a-4c47742d068e','system','system','1','SMTP','',25,'','',0,0);
/*!40000 ALTER TABLE `outbound_email` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `project`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `project` (
  `id` char(36) NOT NULL,
  `date_entered` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  `assigned_user_id` char(36) default NULL,
  `modified_user_id` char(36) default NULL,
  `created_by` char(36) default NULL,
  `name` varchar(50) NOT NULL,
  `description` text,
  `deleted` tinyint(1) NOT NULL default '0',
  `estimated_start_date` date NOT NULL,
  `estimated_end_date` date NOT NULL,
  `status` varchar(255) default NULL,
  `priority` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `project`
--

LOCK TABLES `project` WRITE;
/*!40000 ALTER TABLE `project` DISABLE KEYS */;
/*!40000 ALTER TABLE `project` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `project_task`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `project_task` (
  `id` char(36) NOT NULL,
  `date_entered` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  `project_id` char(36) default NULL,
  `project_task_id` int(11) NOT NULL,
  `name` varchar(50) NOT NULL,
  `status` varchar(255) default NULL,
  `description` text,
  `predecessors` text,
  `date_start` date default NULL,
  `time_start` int(11) default NULL,
  `time_finish` int(11) default NULL,
  `date_finish` date default NULL,
  `duration` int(11) NOT NULL,
  `duration_unit` text NOT NULL,
  `actual_duration` int(11) default NULL,
  `percent_complete` int(11) default NULL,
  `parent_task_id` int(11) default NULL,
  `assigned_user_id` char(36) default NULL,
  `modified_user_id` char(36) default NULL,
  `priority` varchar(255) default NULL,
  `created_by` char(36) default NULL,
  `milestone_flag` tinyint(1) default '0',
  `order_number` int(11) default '1',
  `task_number` int(11) default NULL,
  `estimated_effort` int(11) default NULL,
  `actual_effort` int(11) default NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  `utilization` int(11) default '100',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `project_task`
--

LOCK TABLES `project_task` WRITE;
/*!40000 ALTER TABLE `project_task` DISABLE KEYS */;
/*!40000 ALTER TABLE `project_task` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `project_task_audit`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `project_task_audit` (
  `id` char(36) NOT NULL,
  `parent_id` char(36) NOT NULL,
  `date_created` datetime default NULL,
  `created_by` varchar(36) default NULL,
  `field_name` varchar(100) default NULL,
  `data_type` varchar(100) default NULL,
  `before_value_string` varchar(255) default NULL,
  `after_value_string` varchar(255) default NULL,
  `before_value_text` text,
  `after_value_text` text
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `project_task_audit`
--

LOCK TABLES `project_task_audit` WRITE;
/*!40000 ALTER TABLE `project_task_audit` DISABLE KEYS */;
/*!40000 ALTER TABLE `project_task_audit` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `projects_accounts`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `projects_accounts` (
  `id` varchar(36) NOT NULL,
  `account_id` varchar(36) default NULL,
  `project_id` varchar(36) default NULL,
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_proj_acct_proj` (`project_id`),
  KEY `idx_proj_acct_acct` (`account_id`),
  KEY `projects_accounts_alt` (`project_id`,`account_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `projects_accounts`
--

LOCK TABLES `projects_accounts` WRITE;
/*!40000 ALTER TABLE `projects_accounts` DISABLE KEYS */;
/*!40000 ALTER TABLE `projects_accounts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `projects_bugs`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `projects_bugs` (
  `id` varchar(36) NOT NULL,
  `bug_id` varchar(36) default NULL,
  `project_id` varchar(36) default NULL,
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_proj_bug_proj` (`project_id`),
  KEY `idx_proj_bug_bug` (`bug_id`),
  KEY `projects_bugs_alt` (`project_id`,`bug_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `projects_bugs`
--

LOCK TABLES `projects_bugs` WRITE;
/*!40000 ALTER TABLE `projects_bugs` DISABLE KEYS */;
/*!40000 ALTER TABLE `projects_bugs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `projects_cases`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `projects_cases` (
  `id` varchar(36) NOT NULL,
  `case_id` varchar(36) default NULL,
  `project_id` varchar(36) default NULL,
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_proj_case_proj` (`project_id`),
  KEY `idx_proj_case_case` (`case_id`),
  KEY `projects_cases_alt` (`project_id`,`case_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `projects_cases`
--

LOCK TABLES `projects_cases` WRITE;
/*!40000 ALTER TABLE `projects_cases` DISABLE KEYS */;
/*!40000 ALTER TABLE `projects_cases` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `projects_contacts`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `projects_contacts` (
  `id` varchar(36) NOT NULL,
  `contact_id` varchar(36) default NULL,
  `project_id` varchar(36) default NULL,
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_proj_con_proj` (`project_id`),
  KEY `idx_proj_con_con` (`contact_id`),
  KEY `projects_contacts_alt` (`project_id`,`contact_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `projects_contacts`
--

LOCK TABLES `projects_contacts` WRITE;
/*!40000 ALTER TABLE `projects_contacts` DISABLE KEYS */;
/*!40000 ALTER TABLE `projects_contacts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `projects_opportunities`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `projects_opportunities` (
  `id` varchar(36) NOT NULL,
  `opportunity_id` varchar(36) default NULL,
  `project_id` varchar(36) default NULL,
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_proj_opp_proj` (`project_id`),
  KEY `idx_proj_opp_opp` (`opportunity_id`),
  KEY `projects_opportunities_alt` (`project_id`,`opportunity_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `projects_opportunities`
--

LOCK TABLES `projects_opportunities` WRITE;
/*!40000 ALTER TABLE `projects_opportunities` DISABLE KEYS */;
/*!40000 ALTER TABLE `projects_opportunities` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `projects_products`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `projects_products` (
  `id` varchar(36) NOT NULL,
  `product_id` varchar(36) default NULL,
  `project_id` varchar(36) default NULL,
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_proj_prod_project` (`project_id`),
  KEY `idx_proj_prod_product` (`product_id`),
  KEY `projects_products_alt` (`project_id`,`product_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `projects_products`
--

LOCK TABLES `projects_products` WRITE;
/*!40000 ALTER TABLE `projects_products` DISABLE KEYS */;
/*!40000 ALTER TABLE `projects_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `prospect_list_campaigns`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `prospect_list_campaigns` (
  `id` varchar(36) NOT NULL,
  `prospect_list_id` varchar(36) default NULL,
  `campaign_id` varchar(36) default NULL,
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_pro_id` (`prospect_list_id`),
  KEY `idx_cam_id` (`campaign_id`),
  KEY `idx_prospect_list_campaigns` (`prospect_list_id`,`campaign_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `prospect_list_campaigns`
--

LOCK TABLES `prospect_list_campaigns` WRITE;
/*!40000 ALTER TABLE `prospect_list_campaigns` DISABLE KEYS */;
/*!40000 ALTER TABLE `prospect_list_campaigns` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `prospect_lists`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `prospect_lists` (
  `id` char(36) NOT NULL,
  `name` varchar(50) default NULL,
  `list_type` varchar(25) default NULL,
  `date_entered` datetime default NULL,
  `date_modified` datetime default NULL,
  `modified_user_id` char(36) default NULL,
  `assigned_user_id` char(36) default NULL,
  `created_by` char(36) default NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  `description` text,
  `domain_name` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_prospect_list_name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `prospect_lists`
--

LOCK TABLES `prospect_lists` WRITE;
/*!40000 ALTER TABLE `prospect_lists` DISABLE KEYS */;
/*!40000 ALTER TABLE `prospect_lists` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `prospect_lists_prospects`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `prospect_lists_prospects` (
  `id` varchar(36) NOT NULL,
  `prospect_list_id` varchar(36) default NULL,
  `related_id` varchar(36) default NULL,
  `related_type` varchar(25) default NULL,
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_plp_pro_id` (`prospect_list_id`),
  KEY `idx_plp_rel_id` (`related_id`,`related_type`,`prospect_list_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `prospect_lists_prospects`
--

LOCK TABLES `prospect_lists_prospects` WRITE;
/*!40000 ALTER TABLE `prospect_lists_prospects` DISABLE KEYS */;
/*!40000 ALTER TABLE `prospect_lists_prospects` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `prospects`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `prospects` (
  `id` char(36) NOT NULL,
  `date_entered` datetime default NULL,
  `date_modified` datetime default NULL,
  `modified_user_id` char(36) default NULL,
  `created_by` char(36) default NULL,
  `description` text,
  `deleted` tinyint(1) default '0',
  `assigned_user_id` char(36) default NULL,
  `salutation` varchar(5) default NULL,
  `first_name` varchar(100) default NULL,
  `last_name` varchar(100) default NULL,
  `title` varchar(100) default NULL,
  `department` varchar(255) default NULL,
  `do_not_call` tinyint(1) default '0',
  `phone_home` varchar(25) default NULL,
  `phone_mobile` varchar(25) default NULL,
  `phone_work` varchar(25) default NULL,
  `phone_other` varchar(25) default NULL,
  `phone_fax` varchar(25) default NULL,
  `primary_address_street` varchar(150) default NULL,
  `primary_address_city` varchar(100) default NULL,
  `primary_address_state` varchar(100) default NULL,
  `primary_address_postalcode` varchar(20) default NULL,
  `primary_address_country` varchar(255) default NULL,
  `alt_address_street` varchar(150) default NULL,
  `alt_address_city` varchar(100) default NULL,
  `alt_address_state` varchar(100) default NULL,
  `alt_address_postalcode` varchar(20) default NULL,
  `alt_address_country` varchar(255) default NULL,
  `assistant` varchar(75) default NULL,
  `assistant_phone` varchar(25) default NULL,
  `tracker_key` int(11) NOT NULL auto_increment,
  `birthdate` date default NULL,
  `lead_id` char(36) default NULL,
  `account_name` varchar(150) default NULL,
  `campaign_id` char(36) default NULL,
  PRIMARY KEY  (`id`),
  KEY `prospect_auto_tracker_key` (`tracker_key`),
  KEY `idx_prospects_last_first` (`last_name`,`first_name`,`deleted`),
  KEY `idx_prospecs_del_last` (`last_name`,`deleted`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `prospects`
--

LOCK TABLES `prospects` WRITE;
/*!40000 ALTER TABLE `prospects` DISABLE KEYS */;
/*!40000 ALTER TABLE `prospects` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `relationships`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `relationships` (
  `id` char(36) NOT NULL,
  `relationship_name` varchar(150) NOT NULL,
  `lhs_module` varchar(100) NOT NULL,
  `lhs_table` varchar(64) NOT NULL,
  `lhs_key` varchar(64) NOT NULL,
  `rhs_module` varchar(100) NOT NULL,
  `rhs_table` varchar(64) NOT NULL,
  `rhs_key` varchar(64) NOT NULL,
  `join_table` varchar(64) default NULL,
  `join_key_lhs` varchar(64) default NULL,
  `join_key_rhs` varchar(64) default NULL,
  `relationship_type` varchar(64) default NULL,
  `relationship_role_column` varchar(64) default NULL,
  `relationship_role_column_value` varchar(50) default NULL,
  `reverse` tinyint(1) default '0',
  `deleted` tinyint(1) default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_rel_name` (`relationship_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `relationships`
--

LOCK TABLES `relationships` WRITE;
/*!40000 ALTER TABLE `relationships` DISABLE KEYS */;
INSERT INTO `relationships` VALUES ('86447749-b22c-c3db-c1ed-4c4774b9289e','leads_modified_user','Users','users','id','Leads','leads','modified_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('869b6a22-10a3-88bf-9ced-4c4774304461','leads_created_by','Users','users','id','Leads','leads','created_by',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('86ee0fae-bb4e-c910-61b4-4c47748f3225','leads_assigned_user','Users','users','id','Leads','leads','assigned_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('873d5419-e575-2db2-376e-4c47743622d9','leads_email_addresses_primary','Leads','leads','id','EmailAddresses','email_addresses','id','email_addr_bean_rel','bean_id','email_address_id','many-to-many',NULL,NULL,0,0),('879f9a14-d18d-d571-4295-4c4774bc0200','lead_direct_reports','Leads','leads','id','Leads','leads','reports_to_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('87e431be-b9e2-64fa-6485-4c47749770d2','lead_tasks','Leads','leads','id','Tasks','tasks','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','Leads',0,0),('8832efc0-fbd5-bea8-06d6-4c4774114484','lead_notes','Leads','leads','id','Notes','notes','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','Leads',0,0),('887e1202-25d9-db8e-7425-4c47745d3b48','lead_meetings','Leads','leads','id','Meetings','meetings','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','Leads',0,0),('88c6199f-0edc-3dfb-5e4b-4c4774637f55','lead_calls','Leads','leads','id','Calls','calls','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','Leads',0,0),('8921d967-4d90-6ea6-3764-4c47743da02b','lead_emails','Leads','leads','id','Emails','emails','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','Leads',0,0),('896bc690-a050-eb72-4c35-4c47740562e5','lead_campaign_log','Leads','leads','id','CampaignLog','campaign_log','target_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('96c19758-9c3a-ede1-bcc3-4c477438936a','contacts_modified_user','Users','users','id','Contacts','contacts','modified_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('9748a232-1c8d-4749-c30b-4c4774cc2eb1','contacts_created_by','Users','users','id','Contacts','contacts','created_by',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('97935ad6-2981-f219-170b-4c47749d08d5','contacts_assigned_user','Users','users','id','Contacts','contacts','assigned_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('97df831d-2b62-7eb8-5f1c-4c4774c6fc20','contacts_email_addresses_primary','Contacts','contacts','id','EmailAddresses','email_addresses','id','email_addr_bean_rel','bean_id','email_address_id','many-to-many',NULL,NULL,0,0),('9827528c-c686-78be-3a3f-4c4774bd5957','contact_direct_reports','Contacts','contacts','id','Contacts','contacts','reports_to_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('986fc841-6f78-ab3e-6f72-4c4774498824','contact_leads','Contacts','contacts','id','Leads','leads','contact_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('98b7d34a-7546-7a37-5483-4c47740a65df','contact_notes','Contacts','contacts','id','Notes','notes','contact_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('99001ee2-ad90-d1a4-fe47-4c477423219f','contact_tasks','Contacts','contacts','id','Tasks','tasks','contact_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('994db10f-5069-c34f-fb00-4c47744fa027','contact_campaign_log','Contacts','contacts','id','CampaignLog','campaign_log','target_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('a7d2a8ca-b909-c449-0460-4c47741f25cb','accounts_modified_user','Users','users','id','Accounts','accounts','modified_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('a8433cbb-4b41-797c-3969-4c4774876df4','accounts_created_by','Users','users','id','Accounts','accounts','created_by',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('a89b82f9-0e78-0cb1-4843-4c4774f8870d','accounts_assigned_user','Users','users','id','Accounts','accounts','assigned_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('a8e8d39f-36f3-5c91-1eec-4c47745d5906','accounts_email_addresses_primary','Accounts','accounts','id','EmailAddresses','email_addresses','id','email_addr_bean_rel','bean_id','email_address_id','many-to-many',NULL,NULL,0,0),('a939e045-df2d-df2c-acc0-4c47748f8ee1','member_accounts','Accounts','accounts','id','Accounts','accounts','parent_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('a988ade5-c696-22e0-ae52-4c47742e477e','account_cases','Accounts','accounts','id','Cases','cases','account_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('a9ce819f-dffe-69d3-7ebb-4c47748a4c07','account_tasks','Accounts','accounts','id','Tasks','tasks','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','Accounts',0,0),('aa1d4822-6969-c10e-c77e-4c4774778362','account_notes','Accounts','accounts','id','Notes','notes','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','Accounts',0,0),('aa70be9f-2e8f-f89b-c782-4c47746a02c1','account_meetings','Accounts','accounts','id','Meetings','meetings','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','Accounts',0,0),('aac51271-df97-eeaa-2bfb-4c47744585e6','account_calls','Accounts','accounts','id','Calls','calls','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','Accounts',0,0),('ab1f9b19-036f-e96d-0323-4c4774fc8c2f','account_emails','Accounts','accounts','id','Emails','emails','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','Accounts',0,0),('ab6af0ba-da1f-e08c-5564-4c4774fae009','account_leads','Accounts','accounts','id','Leads','leads','account_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('b95a1a69-5c73-6e47-2aed-4c4774256264','opportunities_modified_user','Users','users','id','Opportunities','opportunities','modified_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('b9acb063-ac72-7866-b881-4c4774d9930d','opportunities_created_by','Users','users','id','Opportunities','opportunities','created_by',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('ba057bf8-9656-6010-165e-4c47745cbc7f','opportunities_assigned_user','Users','users','id','Opportunities','opportunities','assigned_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('ba627876-6539-0140-14d1-4c47745e1b3b','opportunity_calls','Opportunities','opportunities','id','Calls','calls','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','Opportunities',0,0),('babb419f-db19-8c96-e17a-4c477402e9e0','opportunity_meetings','Opportunities','opportunities','id','Meetings','meetings','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','Opportunities',0,0),('bb0a9e0a-0311-c668-ba08-4c4774cf2d05','opportunity_tasks','Opportunities','opportunities','id','Tasks','tasks','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','Opportunities',0,0),('bb5cb835-57ac-c760-ab44-4c4774578ef1','opportunity_notes','Opportunities','opportunities','id','Notes','notes','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','Opportunities',0,0),('bbac7e9a-387e-e8cc-954a-4c47743aae56','opportunity_emails','Opportunities','opportunities','id','Emails','emails','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','Opportunities',0,0),('bc1e9fcc-2b13-4f30-99e2-4c47749f2f4a','opportunity_leads','Opportunities','opportunities','id','Leads','leads','opportunity_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('bc70e694-b3f0-4ebc-490f-4c4774b7cbc8','opportunity_currencies','Opportunities','opportunities','currency_id','Currencies','currencies','id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('bcbacb11-39e5-feb2-3b04-4c47744a394e','opportunities_campaign','campaigns','campaigns','id','Opportunities','opportunities','campaign_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('d310fc65-94e1-8649-a2ae-4c4774b3f536','cases_modified_user','Users','users','id','Cases','cases','modified_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('d36b1059-ec4d-397f-a5fa-4c4774fcdca3','cases_created_by','Users','users','id','Cases','cases','created_by',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('d3f4ee50-914c-13dc-a572-4c4774529b86','cases_assigned_user','Users','users','id','Cases','cases','assigned_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('d4484db9-24cf-f9cb-ff9f-4c4774c9eac3','case_calls','Cases','cases','id','Calls','calls','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','Cases',0,0),('d4a19f9d-905a-3f03-88a5-4c477488a69d','case_tasks','Cases','cases','id','Tasks','tasks','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','Cases',0,0),('d4ee10bb-7b5a-900f-c651-4c477402fcc9','case_notes','Cases','cases','id','Notes','notes','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','Cases',0,0),('d53c3ce7-4449-18ef-69b5-4c4774c43284','case_meetings','Cases','cases','id','Meetings','meetings','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','Cases',0,0),('d5e469ce-03f0-9b53-0e12-4c4774850960','case_emails','Cases','cases','id','Emails','emails','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','Cases',0,0),('e986c903-da0d-9c9a-a23e-4c477408eed7','notes_modified_user','Users','users','id','Notes','notes','modified_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('e9e1e055-854c-ceaf-aae1-4c477489d747','notes_created_by','Users','users','id','Notes','notes','created_by',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('e9cc0ba0-70c9-4f37-0f4c-4c4774446a6d','calls_modified_user','Users','users','id','Calls','calls','modified_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('efa30b5a-3b73-8be1-0a9e-4c47743be5b7','calls_created_by','Users','users','id','Calls','calls','created_by',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('f43e058f-f2c8-bccd-aa73-4c4774269e88','calls_assigned_user','Users','users','id','Calls','calls','assigned_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('f87d031f-1170-f4d2-9c7b-4c4774c59986','calls_notes','Calls','calls','id','Notes','notes','parent_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('231e5440-f285-6f03-1b10-4c47743b34ce','emails_assigned_user','Users','users','id','Emails','emails','assigned_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('2376812e-3d72-07d4-80ae-4c47749473f5','emails_modified_user','Users','users','id','Emails','emails','modified_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('23bdaa80-3b0d-6fda-f4e8-4c4774507d5e','emails_created_by','Users','users','id','Emails','emails','created_by',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('24059df6-616c-5b4f-628f-4c47746b208b','emails_notes_rel','Emails','emails','id','Notes','notes','parent_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('312e5244-113c-57cf-d7be-4c4774f4fd2b','meetings_modified_user','Users','users','id','Meetings','meetings','modified_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('31889e66-cfe8-0b25-c65f-4c47746928a1','meetings_created_by','Users','users','id','Meetings','meetings','created_by',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('31c6609f-ce95-d158-b4de-4c47744f6718','meetings_assigned_user','Users','users','id','Meetings','meetings','assigned_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('320583dc-03fa-ccf7-299a-4c47741c45c8','meetings_notes','Meetings','meetings','id','Notes','notes','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','Meetings',0,0),('3fc91cb5-460f-5b2f-d1a1-4c4774646eda','tasks_modified_user','Users','users','id','Tasks','tasks','modified_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('40117ad5-31b7-ae8b-7735-4c47746e0132','tasks_created_by','Users','users','id','Tasks','tasks','created_by',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('405c66f1-783b-f967-16a0-4c47742171d5','tasks_assigned_user','Users','users','id','Tasks','tasks','assigned_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('46b58808-6b12-5b52-3d91-4c4774a55a14','user_direct_reports','Users','users','id','Users','users','reports_to_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('7865e980-a26b-fcf3-108f-4c4774074e82','bugs_modified_user','Users','users','id','Bugs','bugs','modified_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('78a94280-f3e3-4c5c-ee49-4c4774f3d153','bugs_created_by','Users','users','id','Bugs','bugs','created_by',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('78fbaf4b-4d45-8675-0fe0-4c4774890628','bugs_assigned_user','Users','users','id','Bugs','bugs','assigned_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('795dd8ab-2bfb-a762-7c85-4c47741be533','bug_tasks','Bugs','bugs','id','Tasks','tasks','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','Bugs',0,0),('79b09082-1bd9-eb5f-c946-4c4774e49497','bug_meetings','Bugs','bugs','id','Meetings','meetings','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','Bugs',0,0),('79f96ff7-f887-70d1-64e0-4c4774c2d843','bug_calls','Bugs','bugs','id','Calls','calls','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','Bugs',0,0),('7a428261-4650-9000-30f0-4c47747b308b','bug_emails','Bugs','bugs','id','Emails','emails','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','Bugs',0,0),('7a99fe89-2c2d-6954-7c4d-4c4774ae3679','bug_notes','Bugs','bugs','id','Notes','notes','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','Bugs',0,0),('7ae7df94-1c57-1c1d-0269-4c4774c226b4','bugs_release','Releases','releases','id','Bugs','bugs','found_in_release',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('7b5a8634-4845-a7c8-610e-4c47744595c4','bugs_fixed_in_release','Releases','releases','id','Bugs','bugs','fixed_in_release',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('b248ea0f-fd39-9125-86ab-4c47743708ef','feeds_assigned_user','Users','users','id','Feeds','feeds','assigned_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('b2a7bb50-b232-168f-e85c-4c477420fa55','feeds_modified_user','Users','users','id','Feeds','feeds','modified_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('b2f60050-b40b-5548-50a6-4c47748fd8d0','feeds_created_by','Users','users','id','Feeds','feeds','created_by',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('bb082686-b75f-8ec1-c8ff-4c47740e6428','projects_notes','Project','project','id','Notes','notes','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','Project',0,0),('bbaf29f2-fbec-9db6-8c42-4c477459ef06','projects_tasks','Project','project','id','Tasks','tasks','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','Project',0,0),('bbfa4d09-4156-f9c3-359c-4c477419cfb4','projects_meetings','Project','project','id','Meetings','meetings','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','Project',0,0),('bc4f4307-9bcb-15ed-a857-4c47744898b7','projects_calls','Project','project','id','Calls','calls','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','Project',0,0),('bca10e1f-57c1-2255-53d5-4c4774743d48','projects_emails','Project','project','id','Emails','emails','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','Project',0,0),('bd087f70-2935-6bcc-ccc9-4c4774fa2df6','projects_project_tasks','Project','project','id','ProjectTask','project_task','project_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('bd4d1e33-f872-a011-9676-4c47746535bd','projects_assigned_user','Users','users','id','Project','project','assigned_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('bd9707a9-24f3-7080-3c75-4c47743f493b','projects_modified_user','Users','users','id','Project','project','modified_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('bddf7ea0-a101-8ba9-d76b-4c47746db0bc','projects_created_by','Users','users','id','Project','project','created_by',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('cbfcdf93-e1b5-560a-5929-4c4774d2497b','project_tasks_notes','ProjectTask','project_task','id','Notes','notes','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','ProjectTask',0,0),('cc547cfa-0b7c-0a56-fc06-4c4774daf389','project_tasks_tasks','ProjectTask','project_task','id','Tasks','tasks','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','ProjectTask',0,0),('cca40406-7bbf-4d08-c79c-4c4774fff6ec','project_tasks_meetings','ProjectTask','project_task','id','Meetings','meetings','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','ProjectTask',0,0),('ccf3647c-ce21-a9f2-2010-4c47749938c9','project_tasks_calls','ProjectTask','project_task','id','Calls','calls','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','ProjectTask',0,0),('cdb7ada5-e750-5c1d-2fbc-4c47740caf8d','project_tasks_emails','ProjectTask','project_task','id','Emails','emails','parent_id',NULL,NULL,NULL,'one-to-many','parent_type','ProjectTask',0,0),('ce18649a-c5a0-1b49-3e6a-4c4774a2f18f','project_tasks_assigned_user','Users','users','id','ProjectTask','project_task','assigned_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('ce67a607-595b-ac30-9562-4c4774d38dd3','project_tasks_modified_user','Users','users','id','ProjectTask','project_task','modified_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('ceb1a968-2c3b-aac9-766f-4c47747081f1','project_tasks_created_by','Users','users','id','ProjectTask','project_task','created_by',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('d943f3fd-f43d-1bbd-6b1a-4c47744afce0','email_template_email_marketings','EmailTemplates','email_templates','id','EmailMarketing','email_marketing','template_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('ecb873ef-d4e5-9a9c-0ee3-4c47743ae705','campaigns_modified_user','Users','users','id','Campaigns','campaigns','modified_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('ed5be114-8f7c-3c71-f93d-4c4774ac8cd1','campaigns_created_by','Users','users','id','Campaigns','campaigns','created_by',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('edad3eaa-1123-c14d-7bb0-4c4774df355a','campaigns_assigned_user','Users','users','id','Campaigns','campaigns','assigned_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('edff3b5e-6ebc-c7d1-4094-4c4774100d9b','campaign_accounts','Campaigns','campaigns','id','Accounts','accounts','campaign_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('ee4adefe-3829-ac0d-5163-4c4774608ae6','campaign_contacts','Campaigns','campaigns','id','Contacts','contacts','campaign_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('ee96fc1a-545b-bc03-ba24-4c4774fa4002','campaign_leads','Campaigns','campaigns','id','Leads','leads','campaign_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('ef0082f3-2894-a5ee-39c0-4c4774b6f122','campaign_prospects','Campaigns','campaigns','id','Prospects','prospects','campaign_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('ef4acf26-05fc-6165-9f76-4c477459e4c4','campaign_opportunities','Campaigns','campaigns','id','Opportunities','opportunities','campaign_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('ef9799df-29f0-fccd-89b5-4c4774367c3d','campaign_email_marketing','Campaigns','campaigns','id','EmailMarketing','email_marketing','campaign_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('efdf220d-1e5f-d932-e4c4-4c477492b209','campaign_emailman','Campaigns','campaigns','id','EmailMan','emailman','campaign_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('f04766b9-fcd9-7e30-0d28-4c4774ce56d0','campaign_campaignlog','Campaigns','campaigns','id','CampaignLog','campaign_log','campaign_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('f09cdbfc-56e2-4d07-566e-4c477486d3b7','campaign_assigned_user','Users','users','id','Campaigns','campaigns','assigned_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('f0e72539-a170-9f6d-960d-4c477411a8b4','campaign_modified_user','Users','users','id','Campaigns','campaigns','modified_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('12965744-c063-c2dd-873b-4c47746186ac','prospects_modified_user','Users','users','id','Prospects','prospects','modified_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('12f17a03-e845-2931-5cbb-4c47749a0ae8','prospects_created_by','Users','users','id','Prospects','prospects','created_by',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('13368dea-5727-3746-cf5a-4c4774110e60','prospects_assigned_user','Users','users','id','Prospects','prospects','assigned_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('138f8af6-b1a7-b52c-2b6f-4c4774826517','prospects_email_addresses_primary','Prospects','prospects','id','EmailAddresses','email_addresses','id','email_addr_bean_rel','bean_id','email_address_id','many-to-many',NULL,NULL,0,0),('13eb3eac-386d-9ccb-0ff7-4c47743ed27d','prospect_campaign_log','Prospects','prospects','id','CampaignLog','campaign_log','target_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('2076b7ee-9572-8168-4fae-4c47744d3ed0','documents_modified_user','Users','users','id','Documents','documents','modified_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('20cbd975-5775-4338-8b7c-4c477474bd6b','documents_created_by','Users','users','id','Documents','documents','created_by',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('211a940b-f5f4-b3f2-bc67-4c477451181d','document_revisions','Documents','documents','id','Documents','document_revisions','document_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('2c71e73e-9839-97d7-935c-4c4774439802','revisions_created_by','Users','users','id','DocumentRevisions','document_revisions','created_by',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('3955a900-df46-bbb4-813d-4c477423c525','schedulers_created_by_rel','Users','users','id','Schedulers','schedulers','created_by',NULL,NULL,NULL,'one-to-one',NULL,NULL,0,0),('39a6cba8-8d1a-e527-2a39-4c47749fe4a7','schedulers_modified_user_id_rel','Users','users','id','Schedulers','schedulers','modified_user_id',NULL,NULL,NULL,'one-to-one',NULL,NULL,0,0),('39ee1e64-0171-b7dc-956a-4c4774e2a57d','schedulers_jobs_rel','Schedulers','schedulers','id','SchedulersJobs','schedulers_times','scheduler_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('40fc8d53-cd02-9f04-d44a-4c4774a635ba','inbound_email_created_by','Users','users','id','InboundEmail','inbound_email','created_by',NULL,NULL,NULL,'one-to-one',NULL,NULL,0,0),('419d6cde-99fc-1650-85ee-4c4774ef1b1d','inbound_email_modified_user_id','Users','users','id','InboundEmail','inbound_email','modified_user_id',NULL,NULL,NULL,'one-to-one',NULL,NULL,0,0),('46267bcb-b105-d33b-4e27-4c47744cbd5c','campaignlog_contact','CampaignLog','campaign_log','related_id','Contacts','contacts','id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('46744918-6fa0-2078-e1c0-4c477446f597','campaignlog_lead','CampaignLog','campaign_log','related_id','Leads','leads','id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('49f52e47-2f53-5aef-bb28-4c47747650f0','dashboards_assigned_user','Users','users','id','Dashboard','dashboards','assigned_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('4a67913e-6bc8-392e-f41e-4c47749f1dcd','dashboards_modified_user','Users','users','id','Dashboard','dashboards','modified_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('4acb2d87-75b1-253f-bf95-4c47740e8bab','dashboards_created_by','Users','users','id','Dashboard','dashboards','created_by',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('4e1be6b2-b8f1-9d18-024a-4c477405e157','campaign_campaigntrakers','Campaigns','campaigns','id','CampaignTrackers','campaign_trkrs','campaign_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('53be1890-28b8-167f-3558-4c47749a680a','saved_search_assigned_user','Users','users','id','SavedSearch','saved_search','assigned_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('616f3f76-6bd8-11cc-815c-4c477443e97b','sugarfeed_modified_user','Users','users','id','SugarFeed','sugarfeed','modified_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('61d02ed7-5a86-2278-cc53-4c4774bc8423','sugarfeed_created_by','Users','users','id','SugarFeed','sugarfeed','created_by',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('6225b63a-4042-212b-0bec-4c4774cca417','sugarfeed_assigned_user','Users','users','id','SugarFeed','sugarfeed','assigned_user_id',NULL,NULL,NULL,'one-to-many',NULL,NULL,0,0),('709a43bd-1859-7ea0-3f8a-4c4774a19af8','accounts_bugs','Accounts','accounts','id','Bugs','bugs','id','accounts_bugs','account_id','bug_id','many-to-many',NULL,NULL,0,0),('75eee62a-6e77-c12f-b841-4c47742d74be','accounts_contacts','Accounts','accounts','id','Contacts','contacts','id','accounts_contacts','account_id','contact_id','many-to-many',NULL,NULL,0,0),('778f0bb0-4447-a91c-2e98-4c4774a761ed','accounts_opportunities','Accounts','accounts','id','Opportunities','opportunities','id','accounts_opportunities','account_id','opportunity_id','many-to-many',NULL,NULL,0,0),('796ebf84-1812-f034-5e62-4c47740ff0bd','acl_roles_actions','ACLRoles','acl_roles','id','ACLActions','acl_actions','id','acl_roles_actions','role_id','action_id','many-to-many',NULL,NULL,0,0),('7b584acd-7011-910a-8207-4c47748c1bc3','acl_roles_users','ACLRoles','acl_roles','id','Users','users','id','acl_roles_users','role_id','user_id','many-to-many',NULL,NULL,0,0),('7d16f456-c6ec-e37f-5ce8-4c477472cd38','calls_contacts','Calls','calls','id','Contacts','contacts','id','calls_contacts','call_id','contact_id','many-to-many',NULL,NULL,0,0),('7edf9cfc-2f10-dde8-8210-4c4774fe7647','calls_leads','Calls','calls','id','Leads','leads','id','calls_leads','call_id','lead_id','many-to-many',NULL,NULL,0,0),('80b6bce4-639c-9425-59c3-4c47747a3247','calls_users','Calls','calls','id','Users','users','id','calls_users','call_id','user_id','many-to-many',NULL,NULL,0,0),('84199063-757f-144a-1e6a-4c47746d80dd','cases_bugs','Cases','cases','id','Bugs','bugs','id','cases_bugs','case_id','bug_id','many-to-many',NULL,NULL,0,0),('86453f00-b4dd-0b48-90af-4c4774707945','contacts_bugs','Contacts','contacts','id','Bugs','bugs','id','contacts_bugs','contact_id','bug_id','many-to-many',NULL,NULL,0,0),('886aec4d-2056-8b9f-2509-4c4774312cea','contacts_cases','Contacts','contacts','id','Cases','cases','id','contacts_cases','contact_id','case_id','many-to-many',NULL,NULL,0,0),('8ab5c8a7-78c1-05ac-33fa-4c47749184cb','contacts_users','Contacts','contacts','id','Users','users','id','contacts_users','contact_id','user_id','many-to-many',NULL,NULL,0,0),('9112773a-1908-f2a9-0bdc-4c4774ee1f47','accounts_email_addresses','Accounts','accounts','id','EmailAddresses','email_addresses','id','email_addr_bean_rel','bean_id','email_address_id','many-to-many','bean_module','Accounts',0,0),('91eb081a-4e84-a481-e014-4c4774bde3c1','contacts_email_addresses','Contacts','contacts','id','EmailAddresses','email_addresses','id','email_addr_bean_rel','bean_id','email_address_id','many-to-many','bean_module','Contacts',0,0),('9294da65-d52a-03b7-1202-4c4774e4927d','leads_email_addresses','Leads','leads','id','EmailAddresses','email_addresses','id','email_addr_bean_rel','bean_id','email_address_id','many-to-many','bean_module','Leads',0,0),('9327a61d-d651-3d2f-d6cd-4c4774d3cb3a','prospects_email_addresses','Prospects','prospects','id','EmailAddresses','email_addresses','id','email_addr_bean_rel','bean_id','email_address_id','many-to-many','bean_module','Prospects',0,0),('93a1605d-f01b-3710-79fa-4c477468d420','users_email_addresses','Users','users','id','EmailAddresses','email_addresses','id','email_addr_bean_rel','bean_id','email_address_id','many-to-many','bean_module','Users',0,0),('9405d601-5296-5648-030a-4c477481835a','users_email_addresses_primary','Users','users','id','EmailAddresses','email_addresses','id','email_addr_bean_rel','bean_id','email_address_id','many-to-many','primary_address','1',0,0),('991abce7-61ff-8212-0408-4c4774ac63b9','email_marketing_prospect_lists','EmailMarketing','email_marketing','id','ProspectLists','prospect_lists','id','email_marketing_prospect_lists','email_marketing_id','prospect_list_id','many-to-many',NULL,NULL,0,0),('9b12bed9-b201-ab1b-c00b-4c47742b88c2','emails_accounts_rel','Emails','emails','id','Accounts','accounts','id','emails_beans','email_id','bean_id','many-to-many','bean_module','Accounts',0,0),('9b6f1222-3b66-f262-eae5-4c4774d9f930','emails_bugs_rel','Emails','emails','id','Bugs','bugs','id','emails_beans','email_id','bean_id','many-to-many','bean_module','Bugs',0,0),('9c4cf448-33da-3b10-4424-4c47748d6adf','emails_cases_rel','Emails','emails','id','Cases','cases','id','emails_beans','email_id','bean_id','many-to-many','bean_module','Cases',0,0),('9cad24ba-dca6-d01e-d2f9-4c4774c114a6','emails_contacts_rel','Emails','emails','id','Contacts','contacts','id','emails_beans','email_id','bean_id','many-to-many','bean_module','Contacts',0,0),('9cffeac0-6593-d046-3f71-4c47743cc045','emails_leads_rel','Emails','emails','id','Leads','leads','id','emails_beans','email_id','bean_id','many-to-many','bean_module','Leads',0,0),('9d56cd0b-83d0-5c8a-df97-4c477424d93f','emails_opportunities_rel','Emails','emails','id','Opportunities','opportunities','id','emails_beans','email_id','bean_id','many-to-many','bean_module','Opportunities',0,0),('9da5ce7b-9ea5-8a50-a475-4c47742264c1','emails_tasks_rel','Emails','emails','id','Tasks','tasks','id','emails_beans','email_id','bean_id','many-to-many','bean_module','Tasks',0,0),('9e0fdfe3-e909-7bce-33ab-4c4774cc327a','emails_users_rel','Emails','emails','id','Users','users','id','emails_beans','email_id','bean_id','many-to-many','bean_module','Users',0,0),('9e564593-798f-27fb-858e-4c47744b6509','emails_project_task_rel','Emails','emails','id','ProjectTask','project_task','id','emails_beans','email_id','bean_id','many-to-many','bean_module','ProjectTask',0,0),('9eb2bf04-000d-ccb3-0c47-4c477453a41f','emails_projects_rel','Emails','emails','id','Project','project','id','emails_beans','email_id','bean_id','many-to-many','bean_module','Project',0,0),('9f22776a-89df-a689-8238-4c4774ebb13e','emails_prospects_rel','Emails','emails','id','Prospects','prospects','id','emails_beans','email_id','bean_id','many-to-many','bean_module','Prospects',0,0),('a7cef991-9428-24c6-889f-4c47748bf0c2','leads_documents','Leads','leads','id','Documents','documents','id','linked_documents','parent_id','document_id','many-to-many','parent_type','Leads',0,0),('a9910c27-ae43-500c-b4d6-4c47741ae6d4','meetings_contacts','Meetings','meetings','id','Contacts','contacts','id','meetings_contacts','meeting_id','contact_id','many-to-many',NULL,NULL,0,0),('ab7a8bbf-b985-ad1f-789e-4c47741a99be','meetings_leads','Meetings','meetings','id','Leads','leads','id','meetings_leads','meeting_id','lead_id','many-to-many',NULL,NULL,0,0),('aef98764-2d20-6f17-90b1-4c4774ba86d0','meetings_users','Meetings','meetings','id','Users','users','id','meetings_users','meeting_id','user_id','many-to-many',NULL,NULL,0,0),('b309b68b-d36b-c66a-714b-4c4774fb240e','opportunities_contacts','Opportunities','opportunities','id','Contacts','contacts','id','opportunities_contacts','opportunity_id','contact_id','many-to-many',NULL,NULL,0,0),('b5a9781e-b122-244c-d0f9-4c4774e474d4','projects_accounts','Project','project','id','Accounts','accounts','id','projects_accounts','project_id','account_id','many-to-many',NULL,NULL,0,0),('b998e1d4-1299-17c2-72e5-4c4774f1ead4','projects_bugs','Project','project','id','Bugs','bugs','id','projects_bugs','project_id','bug_id','many-to-many',NULL,NULL,0,0),('bb532df2-ecc7-f9e1-b0c5-4c4774ff3254','projects_cases','Project','project','id','Cases','cases','id','projects_cases','project_id','case_id','many-to-many',NULL,NULL,0,0),('bd1f9772-f7f7-9929-f9a6-4c4774e501c2','projects_contacts','Project','project','id','Contacts','contacts','id','projects_contacts','project_id','contact_id','many-to-many',NULL,NULL,0,0),('bef13895-67fb-4620-d756-4c477485d916','projects_opportunities','Project','project','id','Opportunities','opportunities','id','projects_opportunities','project_id','opportunity_id','many-to-many',NULL,NULL,0,0),('c2be7c73-abcc-282e-af8e-4c4774f36f79','prospect_list_campaigns','ProspectLists','prospect_lists','id','Campaigns','campaigns','id','prospect_list_campaigns','prospect_list_id','campaign_id','many-to-many',NULL,NULL,0,0),('c4b303cd-f6d4-3a65-0cb7-4c4774b3d748','prospect_list_contacts','ProspectLists','prospect_lists','id','Contacts','contacts','id','prospect_lists_prospects','prospect_list_id','related_id','many-to-many','related_type','Contacts',0,0),('c508a2d9-13a3-b34a-999a-4c4774854865','prospect_list_prospects','ProspectLists','prospect_lists','id','Prospects','prospects','id','prospect_lists_prospects','prospect_list_id','related_id','many-to-many','related_type','Prospects',0,0),('c5543cab-7ac4-ea7e-8ef0-4c4774c81550','prospect_list_leads','ProspectLists','prospect_lists','id','Leads','leads','id','prospect_lists_prospects','prospect_list_id','related_id','many-to-many','related_type','Leads',0,0),('c5c08031-664a-51c1-3502-4c4774abd24c','prospect_list_users','ProspectLists','prospect_lists','id','Users','users','id','prospect_lists_prospects','prospect_list_id','related_id','many-to-many','related_type','Users',0,0),('c8d6df41-43eb-acc6-c216-4c4774f5a58d','roles_users','Roles','roles','id','Users','users','id','roles_users','role_id','user_id','many-to-many',NULL,NULL,0,0);
/*!40000 ALTER TABLE `relationships` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `releases`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `releases` (
  `id` char(36) NOT NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  `date_entered` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  `modified_user_id` char(36) NOT NULL,
  `created_by` char(36) default NULL,
  `name` varchar(50) NOT NULL,
  `list_order` int(4) default NULL,
  `status` varchar(25) default NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_releases` (`name`,`deleted`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `releases`
--

LOCK TABLES `releases` WRITE;
/*!40000 ALTER TABLE `releases` DISABLE KEYS */;
/*!40000 ALTER TABLE `releases` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `roles`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `roles` (
  `id` char(36) NOT NULL,
  `date_entered` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  `modified_user_id` char(36) NOT NULL,
  `created_by` char(36) default NULL,
  `name` varchar(150) default NULL,
  `description` text,
  `modules` text,
  `deleted` tinyint(1) default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_role_id_del` (`id`,`deleted`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `roles`
--

LOCK TABLES `roles` WRITE;
/*!40000 ALTER TABLE `roles` DISABLE KEYS */;
/*!40000 ALTER TABLE `roles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `roles_modules`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `roles_modules` (
  `id` varchar(36) NOT NULL,
  `role_id` varchar(36) default NULL,
  `module_id` varchar(36) default NULL,
  `allow` tinyint(1) default '0',
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_role_id` (`role_id`),
  KEY `idx_module_id` (`module_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `roles_modules`
--

LOCK TABLES `roles_modules` WRITE;
/*!40000 ALTER TABLE `roles_modules` DISABLE KEYS */;
/*!40000 ALTER TABLE `roles_modules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `roles_users`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `roles_users` (
  `id` varchar(36) NOT NULL,
  `role_id` varchar(36) default NULL,
  `user_id` varchar(36) default NULL,
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_ru_role_id` (`role_id`),
  KEY `idx_ru_user_id` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `roles_users`
--

LOCK TABLES `roles_users` WRITE;
/*!40000 ALTER TABLE `roles_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `roles_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `saved_search`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `saved_search` (
  `id` char(36) NOT NULL,
  `name` varchar(150) default NULL,
  `search_module` varchar(150) default NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  `date_entered` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  `assigned_user_id` char(36) default NULL,
  `contents` text,
  `description` text,
  PRIMARY KEY  (`id`),
  KEY `idx_desc` (`name`,`deleted`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `saved_search`
--

LOCK TABLES `saved_search` WRITE;
/*!40000 ALTER TABLE `saved_search` DISABLE KEYS */;
/*!40000 ALTER TABLE `saved_search` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `schedulers`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `schedulers` (
  `id` varchar(36) NOT NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  `date_entered` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  `created_by` char(36) default NULL,
  `modified_user_id` char(36) default NULL,
  `name` varchar(255) NOT NULL,
  `job` varchar(255) NOT NULL,
  `date_time_start` datetime NOT NULL,
  `date_time_end` datetime default NULL,
  `job_interval` varchar(100) NOT NULL,
  `time_from` time default NULL,
  `time_to` time default NULL,
  `last_run` datetime default NULL,
  `status` varchar(25) default NULL,
  `catch_up` tinyint(1) default '1',
  PRIMARY KEY  (`id`),
  KEY `idx_schedule` (`date_time_start`,`deleted`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `schedulers`
--

LOCK TABLES `schedulers` WRITE;
/*!40000 ALTER TABLE `schedulers` DISABLE KEYS */;
INSERT INTO `schedulers` VALUES ('d9b02221-f572-71f8-5faf-4c47745cd74f',0,'2010-07-21 22:29:23','2010-07-21 22:29:23',NULL,'1','Prune tracker tables','function::trimTracker','2005-01-01 16:00:00','2021-01-01 04:59:00','0::2::1::*::*',NULL,NULL,NULL,'Active',1),('db3cf761-eb1c-6bcd-e4d1-4c477492fc20',0,'2010-07-21 22:29:23','2010-07-21 22:29:23',NULL,'1','Check Inbound Mailboxes','function::pollMonitoredInboxes','2005-01-01 16:45:00','2021-01-01 04:59:00','*::*::*::*::*',NULL,NULL,NULL,'Active',0),('dd0c328e-c79c-ab1a-1cf5-4c4774160097',0,'2010-07-21 22:29:23','2010-07-21 22:29:23',NULL,'1','Run Nightly Process Bounced Campaign Emails','function::pollMonitoredInboxesForBouncedCampaignEmails','2005-01-01 15:30:00','2021-01-01 04:59:00','0::2-6::*::*::*',NULL,NULL,NULL,'Active',1),('de8f93c7-42fa-0574-b6c0-4c4774fbc016',0,'2010-07-21 22:29:23','2010-07-21 22:29:23',NULL,'1','Run Nightly Mass Email Campaigns','function::runMassEmailCampaign','2005-01-01 20:30:00','2021-01-01 04:59:00','0::2-6::*::*::*',NULL,NULL,NULL,'Active',1),('e0367137-3ca7-b1ad-7943-4c4774578f87',0,'2010-07-21 22:29:23','2010-07-21 22:29:23',NULL,'1','Prune Database on 1st of Month','function::pruneDatabase','2005-01-02 00:45:00','2021-01-01 04:59:00','0::4::1::*::*',NULL,NULL,NULL,'Inactive',0);
/*!40000 ALTER TABLE `schedulers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `schedulers_times`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `schedulers_times` (
  `id` char(36) NOT NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  `date_entered` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  `scheduler_id` char(36) NOT NULL,
  `execute_time` datetime NOT NULL,
  `status` varchar(25) NOT NULL default 'ready',
  PRIMARY KEY  (`id`),
  KEY `idx_scheduler_id` (`scheduler_id`,`execute_time`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `schedulers_times`
--

LOCK TABLES `schedulers_times` WRITE;
/*!40000 ALTER TABLE `schedulers_times` DISABLE KEYS */;
/*!40000 ALTER TABLE `schedulers_times` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sugarfeed`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `sugarfeed` (
  `id` char(36) NOT NULL,
  `name` varchar(255) default NULL,
  `date_entered` datetime default NULL,
  `date_modified` datetime default NULL,
  `modified_user_id` char(36) default NULL,
  `created_by` char(36) default NULL,
  `description` varchar(255) default NULL,
  `deleted` tinyint(1) default '0',
  `assigned_user_id` char(36) default NULL,
  `related_module` varchar(100) default NULL,
  `related_id` char(36) default NULL,
  `link_url` varchar(255) default NULL,
  `link_type` varchar(30) default NULL,
  PRIMARY KEY  (`id`),
  KEY `sgrfeed_date` (`date_entered`,`deleted`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sugarfeed`
--

LOCK TABLES `sugarfeed` WRITE;
/*!40000 ALTER TABLE `sugarfeed` DISABLE KEYS */;
/*!40000 ALTER TABLE `sugarfeed` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tasks`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `tasks` (
  `id` char(36) NOT NULL,
  `name` varchar(50) default NULL,
  `date_entered` datetime default NULL,
  `date_modified` datetime default NULL,
  `modified_user_id` char(36) default NULL,
  `created_by` char(36) default NULL,
  `description` text,
  `deleted` tinyint(1) default '0',
  `assigned_user_id` char(36) default NULL,
  `status` varchar(25) default NULL,
  `date_due_flag` tinyint(1) default '1',
  `date_due` datetime default NULL,
  `date_start_flag` tinyint(1) default '1',
  `date_start` datetime default NULL,
  `parent_type` varchar(25) default NULL,
  `parent_id` char(36) default NULL,
  `contact_id` char(36) default NULL,
  `priority` varchar(25) default NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_tsk_name` (`name`),
  KEY `idx_task_con_del` (`contact_id`,`deleted`),
  KEY `idx_task_par_del` (`parent_id`,`parent_type`,`deleted`),
  KEY `idx_task_assigned` (`assigned_user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tasks`
--

LOCK TABLES `tasks` WRITE;
/*!40000 ALTER TABLE `tasks` DISABLE KEYS */;
/*!40000 ALTER TABLE `tasks` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tracker`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `tracker` (
  `id` int(11) NOT NULL auto_increment,
  `monitor_id` char(36) NOT NULL,
  `user_id` varchar(36) default NULL,
  `module_name` varchar(255) default NULL,
  `item_id` varchar(36) default NULL,
  `item_summary` varchar(255) default NULL,
  `date_modified` datetime default NULL,
  `action` varchar(255) default NULL,
  `session_id` varchar(36) default NULL,
  `visible` tinyint(1) default '0',
  `deleted` tinyint(1) default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_tracker_iid` (`item_id`),
  KEY `idx_tracker_userid_vis_id` (`user_id`,`visible`,`id`),
  KEY `idx_tracker_userid_itemid_vis` (`user_id`,`item_id`,`visible`),
  KEY `idx_tracker_monitor_id` (`monitor_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tracker`
--

LOCK TABLES `tracker` WRITE;
/*!40000 ALTER TABLE `tracker` DISABLE KEYS */;
INSERT INTO `tracker` VALUES (1,'6ec2ab51-1bb3-e34e-664b-4c4774e13dd5',NULL,'Users',NULL,NULL,'2010-07-21 22:29:30','login','ql5cum4pkd0v9ofqiq619efa34',0,0);
/*!40000 ALTER TABLE `tracker` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `upgrade_history`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `upgrade_history` (
  `id` char(36) NOT NULL,
  `filename` varchar(255) default NULL,
  `md5sum` varchar(32) default NULL,
  `type` varchar(30) default NULL,
  `status` varchar(50) default NULL,
  `version` varchar(10) default NULL,
  `name` varchar(255) default NULL,
  `description` text,
  `id_name` varchar(255) default NULL,
  `manifest` text,
  `date_entered` datetime NOT NULL,
  `enabled` tinyint(1) default '1',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `upgrade_history_md5_uk` (`md5sum`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `upgrade_history`
--

LOCK TABLES `upgrade_history` WRITE;
/*!40000 ALTER TABLE `upgrade_history` DISABLE KEYS */;
/*!40000 ALTER TABLE `upgrade_history` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_preferences`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `user_preferences` (
  `id` char(36) NOT NULL,
  `category` varchar(50) default NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  `date_entered` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  `assigned_user_id` char(36) NOT NULL,
  `contents` text,
  PRIMARY KEY  (`id`),
  KEY `idx_userprefnamecat` (`assigned_user_id`,`category`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `user_preferences`
--

LOCK TABLES `user_preferences` WRITE;
/*!40000 ALTER TABLE `user_preferences` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_preferences` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `users` (
  `id` char(36) NOT NULL,
  `user_name` varchar(60) default NULL,
  `user_hash` varchar(32) default NULL,
  `authenticate_id` varchar(100) default NULL,
  `sugar_login` tinyint(1) default '1',
  `first_name` varchar(30) default NULL,
  `last_name` varchar(30) default NULL,
  `reports_to_id` char(36) default NULL,
  `is_admin` tinyint(1) default '0',
  `receive_notifications` tinyint(1) default '1',
  `description` text,
  `date_entered` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  `modified_user_id` char(36) default NULL,
  `created_by` char(36) default NULL,
  `title` varchar(50) default NULL,
  `department` varchar(50) default NULL,
  `phone_home` varchar(50) default NULL,
  `phone_mobile` varchar(50) default NULL,
  `phone_work` varchar(50) default NULL,
  `phone_other` varchar(50) default NULL,
  `phone_fax` varchar(50) default NULL,
  `status` varchar(25) default NULL,
  `address_street` varchar(150) default NULL,
  `address_city` varchar(100) default NULL,
  `address_state` varchar(100) default NULL,
  `address_country` varchar(25) default NULL,
  `address_postalcode` varchar(9) default NULL,
  `user_preferences` text,
  `deleted` tinyint(1) NOT NULL default '0',
  `portal_only` tinyint(1) default '0',
  `employee_status` varchar(25) default NULL,
  `messenger_id` varchar(25) default NULL,
  `messenger_type` varchar(25) default NULL,
  `is_group` tinyint(1) default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_user_name` (`user_name`,`is_group`,`status`,`last_name`,`first_name`,`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES ('1','admin','21232f297a57a5a743894a0e4a801fc3',NULL,1,NULL,'Administrator',NULL,1,1,NULL,'2010-07-21 22:29:23','2010-07-21 22:29:23','1',NULL,'Administrator',NULL,NULL,NULL,NULL,NULL,NULL,'Active',NULL,NULL,NULL,NULL,NULL,NULL,0,0,'Active',NULL,NULL,0);
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users_feeds`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `users_feeds` (
  `user_id` varchar(36) default NULL,
  `feed_id` varchar(36) default NULL,
  `rank` int(11) default NULL,
  `date_modified` datetime default NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  KEY `idx_ud_user_id` (`user_id`,`feed_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `users_feeds`
--

LOCK TABLES `users_feeds` WRITE;
/*!40000 ALTER TABLE `users_feeds` DISABLE KEYS */;
INSERT INTO `users_feeds` VALUES ('1','4bbca87f-2017-5488-d8e0-41e7808c2553',1,NULL,0);
/*!40000 ALTER TABLE `users_feeds` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users_last_import`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `users_last_import` (
  `id` char(36) NOT NULL,
  `assigned_user_id` char(36) default NULL,
  `import_module` varchar(36) default NULL,
  `bean_type` varchar(36) default NULL,
  `bean_id` char(36) default NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_user_id` (`assigned_user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `users_last_import`
--

LOCK TABLES `users_last_import` WRITE;
/*!40000 ALTER TABLE `users_last_import` DISABLE KEYS */;
/*!40000 ALTER TABLE `users_last_import` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users_signatures`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `users_signatures` (
  `id` char(36) NOT NULL,
  `date_entered` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  `user_id` varchar(36) default NULL,
  `name` varchar(255) default NULL,
  `signature` text,
  `signature_html` text,
  PRIMARY KEY  (`id`),
  KEY `idx_usersig_uid` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `users_signatures`
--

LOCK TABLES `users_signatures` WRITE;
/*!40000 ALTER TABLE `users_signatures` DISABLE KEYS */;
/*!40000 ALTER TABLE `users_signatures` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vcals`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `vcals` (
  `id` char(36) NOT NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  `date_entered` datetime default NULL,
  `date_modified` datetime default NULL,
  `user_id` char(36) NOT NULL,
  `type` varchar(25) default NULL,
  `source` varchar(25) default NULL,
  `content` text,
  PRIMARY KEY  (`id`),
  KEY `idx_vcal` (`type`,`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `vcals`
--

LOCK TABLES `vcals` WRITE;
/*!40000 ALTER TABLE `vcals` DISABLE KEYS */;
/*!40000 ALTER TABLE `vcals` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `versions`
--


SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `versions` (
  `id` char(36) NOT NULL,
  `deleted` tinyint(1) NOT NULL default '0',
  `date_entered` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  `modified_user_id` char(36) NOT NULL,
  `created_by` char(36) default NULL,
  `name` varchar(255) NOT NULL,
  `file_version` varchar(255) NOT NULL,
  `db_version` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_version` (`name`,`deleted`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `versions`
--

LOCK TABLES `versions` WRITE;
/*!40000 ALTER TABLE `versions` DISABLE KEYS */;
INSERT INTO `versions` VALUES ('e1314b0d-3262-be90-8bb8-4c47744ce2f9',0,'2010-07-21 22:29:23','2010-07-21 22:29:23','1',NULL,'Chart Data Cache','3.5.1','3.5.1'),('e1bc8ac5-ae3d-c5b5-8217-4c477414b9eb',0,'2010-07-21 22:29:23','2010-07-21 22:29:23','1',NULL,'htaccess','3.5.1','3.5.1'),('e23b860f-0b14-e206-af48-4c47748faf9e',0,'2010-07-21 22:29:23','2010-07-21 22:29:23','1',NULL,'Rebuild Relationships','4.0.0','4.0.0'),('e2b5e75f-cfb5-d2c4-e4a1-4c4774852a00',0,'2010-07-21 22:29:23','2010-07-21 22:29:23','1',NULL,'Rebuild Extensions','4.0.0','4.0.0');
/*!40000 ALTER TABLE `versions` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2010-07-21 22:31:51

GRANT ALL PRIVILEGES ON sugarcrm.* TO 'sugarcrm'@'localhost' IDENTIFIED BY 'sugarcrm';